<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */

get_header();
    $page_id = s7upf_get_option('sv_404_page');
    if(!empty($page_id)) $cl_404 = 'custom-404-page';
    else $cl_404 = '';
?>

	<div id="main-content" class="default-404 main-content-home <?php echo esc_attr($cl_404)?>">
        <div class="container">
        	<?php
            if(!empty($page_id)) echo S7upf_Template::get_vc_pagecontent($page_id);
            else{ ?>
				<section class="error-404 not-found">
					<header class="page-header">
						<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'kutearts_shop' ); ?></h1>
					</header><!-- .page-header -->

					<div class="page-content">
						<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try a search?', 'kutearts_shop' ); ?></p>

						<?php get_search_form(); ?>
					</div><!-- .page-content -->
				</section><!-- .error-404 -->
			<?php }?>
		</div><!-- .site-main -->
	</div><!-- .content-area -->

<?php get_footer(); ?>
