<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:20 AM
 */
if(class_exists('Vc_Manager')){
    function s7upf_add_custom_shortcode_param( $name, $form_field_callback, $script_url = null ) {
        return WpbakeryShortcodeParams::addField( $name, $form_field_callback, $script_url );
    }
    s7upf_add_custom_shortcode_param('add_social', 's7upf_add_social', get_template_directory_uri(). '/assets/js/vc_js.js');
    
    // function social
    function s7upf_add_social($settings, $value)
    {
        // $dependency = vc_generate_dependencies_attributes($settings);
        $val = $value;
        $html = '<div class="st_add_social">';
        
        parse_str(urldecode($value), $social);
        if(is_array($social)) 
        {
            $i = 1;
            foreach ($social as $key => $value) {
                if(!isset($value['url'])) $value['url'] = '';
                $html .= '<div class="social-item" data-item="'.$i.'">';
                    $html .= '<label>'.esc_html__("Social","kutearts_shop").' '.$i.':</label></br><label>'.esc_html__("Icon","kutearts_shop").' </label><input style="width:65%;margin-right:10px;margin-bottom:15px" class="st-social sv_iconpicker" name="'.$i.'[social]" value="'.$value['social'].'" type="text" ></br>';
                    $html .= '<label>'.esc_html__("Link","kutearts_shop").' </label><input style="width:65%;margin-right:10px;margin-bottom:15px" class="st-social" name="'.$i.'[url]" value="'.$value['url'].'" type="text" >';
                    $html .= '<a style="color:red" href="#" class="st-del-item">'.esc_html__("Delete","kutearts_shop").'</a>';
                $html .= '</div>';
                $i++;
            }
        }
        $html .= '</div>';
        $html .= '<div class="st-add"><button class="vc_btn vc_btn-primary vc_btn-sm st-button-add" type="button">'.esc_html__('Add social', 'kutearts_shop').' </button></div>';
        $html .= '<input name="'.$settings['param_name'].'" class="st-social-value wpb_vc_param_value wpb-textinput '.$settings['param_name'].' '.$settings['type'].'_field" type="hidden" value="'.$val.'">';
        return $html;
    }

    // Mutil location param

    s7upf_add_custom_shortcode_param('add_location_map', 's7upf_add_location_map', get_template_directory_uri(). '/assets/js/vc_js.js');

    function s7upf_add_location_map($settings, $value)
    {
        // $dependency = vc_generate_dependencies_attributes($settings);
        $val = $value;
        $html = '<div class="st_add_location">';
        
        parse_str(urldecode($value), $locations);
        if(is_array($locations)) 
        {
            $i = 1;
            foreach ($locations as $key => $value) {
                $html .= '<div class="location-item" data-item="'.$i.'">';
                    $html .= '<div class="wpb_element_label">'.esc_html__("Location",'kutearts_shop').' '.$i.'</div>';
                    $html .= '<label>'.esc_html__("Latitude",'kutearts_shop').'</label><input class="st-input st-location-save st-title" name="'.$i.'[lat]" value="'.$value['lat'].'" type="text" >';
                    $html .= '<label>'.esc_html__("Longitude",'kutearts_shop').'</label><input class="st-input st-location-save st-des" name="'.$i.'[lon]" value="'.$value['lon'].'" type="text" >';
                    $html .= '<label>'.esc_html__("Marker Title",'kutearts_shop').'</label><input class="st-input st-location-save st-label" name="'.$i.'[title]" value="'.$value['title'].'" type="text" >';
                    $html .= '<label>'.esc_html__("Info Box",'kutearts_shop').'</label>';
                    $html .= '<label>'.esc_html__("Info Box",'kutearts_shop').'</label><textarea id="content'.$i.'" class="st-input st-location-save info-content" name="'.$i.'[boxinfo]">'.$value['boxinfo'].'</textarea>';
                    $html .= '<a href="#" class="st-del-item">'.esc_html__("delete",'kutearts_shop').'</a>';
                $html .= '</div>';
                $i++;
            }
        }
        $html .= '</div>';
        $html .= '<div class="add-location"><button style="margin-top: 10px;padding: 5px 12px" class="vc_btn vc_btn-primary vc_btn-sm st-location-add-map" type="button">'.esc_html__('Add more', 'kutearts_shop').' </button></div>';
        $html .= '<input name="'.$settings['param_name'].'" class="st-location-value wpb_vc_param_value wpb-textinput '.$settings['param_name'].' '.$settings['type'].'_field" type="hidden" value="'.$val.'">';
        return $html;
    }

    // Mutil location param

    if(!class_exists('S7upf_VisualComposerController'))
    {
        class  S7upf_VisualComposerController
        {

            static function _init()
            {
                add_filter('vc_shortcodes_css_class',array(__CLASS__,'_change_class'), 10, 2);
            }

            static function _custom_vc_param()
            {
               
            }

            static function _change_class($class_string, $tag)
            {
                if($tag=='vc_row' || $tag=='vc_row_inner') {
                    $class_string = str_replace('vc_row-fluid', '', $class_string);
                }

                if(defined ('WPB_VC_VERSION'))
                {
                    if(version_compare(WPB_VC_VERSION,'4.2.3','>'))
                    {
                        if($tag=='vc_column' || $tag=='vc_column_inner') {
                            $class_string=str_replace('vc_col', 'col', $class_string);
                        }
                    }else
                    {
                        if($tag=='vc_column' || $tag=='vc_column_inner') {
                            $class_string = preg_replace('/vc_span(\d{1,2})/', 'col-lg-$1', $class_string);
                        }
                    }
                }

                return $class_string;
            }

        }    

        S7upf_VisualComposerController::_init();
        S7upf_VisualComposerController:: _custom_vc_param(); 
    }
    
}