<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 18/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_menu'))
{
    function s7upf_vc_menu($attr,$content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'      => '',
            'menu'      => '',
        ),$attr));
        if(!empty($menu)){
            $html .=    '<nav class="main-nav '.esc_attr($style).'">';
                ob_start();
                wp_nav_menu( array(
                    'menu' => $menu,
                    'container'=>false,
                    'walker'=>new S7upf_Walker_Nav_Menu(),
                    'menu_class'=>'main-menu',
                ));
            $html .=        @ob_get_clean();
            $html .=        '<a href="#" class="toggle-mobile-menu"><i class="fa fa-list-ul" aria-hidden="true"></i></a>
                        </nav>';
        }
        else{
            $html .=    '<nav class="main-nav '.esc_attr($style).'">';
                ob_start();
                wp_nav_menu( array(
                    'theme_location' => 'primary',
                    'container'=>false,
                    'walker'=>new S7upf_Walker_Nav_Menu(),
                    'menu_class'=>'main-menu',
                ));
            $html .=        @ob_get_clean();
            $html .=        '<a href="#" class="toggle-mobile-menu"><i class="fa fa-list-ul" aria-hidden="true"></i></a>
                        </nav>';
        }        
        return $html;
    }
}

stp_reg_shortcode('sv_menu','s7upf_vc_menu');

vc_map( array(
    "name"      => esc_html__("SV Menu", 'kutearts_shop'),
    "base"      => "sv_menu",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Style",'kutearts_shop'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Default",'kutearts_shop')   => '',
                esc_html__("Home 3",'kutearts_shop')   => 'main-nav3',
                esc_html__("Home 4",'kutearts_shop')   => 'main-nav4',
                esc_html__("Home shop 2",'kutearts_shop')   => 'main-nav3 main-nav7',
                )
        ),
        array(
            'type' => 'dropdown',
            'holder' => 'div',
            'heading' => esc_html__( 'Menu name', 'kutearts_shop' ),
            'param_name' => 'menu',
            'value' => s7upf_list_menu_name(),
            'description' => esc_html__( 'Select Menu name to display', 'kutearts_shop' )
        ),
    )
));