<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 24/12/15
 * Time: 10:20 AM
 */
if(!class_exists('S7upf_Product_Fillter') && class_exists("woocommerce"))
{
    class S7upf_Product_Fillter extends WP_Widget {


        protected $default=array();

        static function _init()
        {
            add_action( 'widgets_init', array(__CLASS__,'_add_widget') );
        }

        static function _add_widget()
        {
            register_widget( 'S7upf_Product_Fillter' );
        }

        function __construct() {
            // Instantiate the parent object
            parent::__construct( false, esc_html__('Product Attribute Fillter','kutearts_shop'),
                array( 'description' => esc_html__( 'Fillter product shop page', 'kutearts_shop' ), ));

            $this->default=array(
                'title' => '',
                'attribute' => '',
            );
        }



        function widget( $args, $instance ) {
            // Widget output
            if(!is_single()){
                echo balancetags($args['before_widget']);
                if ( ! empty( $instance['title'] ) ) {
                   echo balancetags($args['before_title']) . apply_filters( 'widget_title', $instance['title'] ). $args['after_title'];
                }

                $instance=wp_parse_args($instance,$this->default);
                extract($instance);
                $attr = $attribute;
                $terms = get_terms("pa_".$attr);
                $term_current = '';
                if(isset($_GET['pa_'.$attr])) $term_current = $_GET['pa_'.$attr];
                if($term_current != '') $term_current = explode(',', $term_current);
                else $term_current = array();
                if($attr == 'color'){                        
                    echo    '<div class="widget-filter-color">
                                <ul class="list-color">';
                    if(is_array($terms)){
                        foreach ($terms as $term) {
                            if(is_object($term)){
                                if(in_array($term->slug, $term_current)) $active = 'active';
                                else $active = '';
                                echo '<li class="'.$active.'"><a href="'.esc_url(s7upf_get_filter_url('pa_'.$attr,$term->slug)).'"><span class="color-'.$term->slug.'"></span>'.$term->name.'</a></li>';
                            }
                        }
                    }
                    echo        '</ul>
                            </div>';
                }
                else{
                    echo    '<div class="widget-manufacturer">
                                <ul class="check-box-list">';
                    if(is_array($terms)){
                        foreach ($terms as $term) {
                            if(is_object($term)){
                                if(in_array($term->slug, $term_current)) $active = 'active';
                                else $active = '';
                                echo    '<li class="'.$active.'"><a href="'.esc_url(s7upf_get_filter_url('pa_'.$attr,$term->slug)).'"><span></span>'.$term->name.'</a></li>';
                            }
                        }
                    }
                    echo        '</ul>
                            </div>';
                }
                echo balancetags($args['after_widget']);
            }
        }

        function update( $new_instance, $old_instance ) {

            // Save widget options
            $instance=array();
            $instance=wp_parse_args($instance,$this->default);
            $new_instance=wp_parse_args($new_instance,$instance);

            return $new_instance;
        }

        function form( $instance ) {
            // Output admin widget options form

            $instance=wp_parse_args($instance,$this->default);
            extract($instance);
            ?>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title:' ,'kutearts_shop'); ?></label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
            </p>
            <p>
                <label><?php esc_html_e( 'Attribute:' ,'kutearts_shop'); ?></label></br>
                <select id="<?php echo esc_attr($this->get_field_id( 'attribute' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'attribute' )); ?>">
                    <?php echo s7upf_get_list_attribute($attribute);?>
                </select>
            </p>
        <?php
        }
    }

    S7upf_Product_Fillter::_init();

}
