(function($)
{
	"use strict";
	$(document).ready(function() {
		$('body').on('click','.sv-post-like',function(event){
			event.preventDefault();
			var heart = $(this).find('span');
			var post_id = $(this).data("post_id");
			heart.find('.count-like').append("<i id='icon-gear' class='icon-gear'></i>");
			$.ajax({
				type: "post",
				url: ajax_var.url,
				data: "action=sv-post-like&nonce="+ajax_var.nonce+"&s7upf_post_like=&post_id="+post_id,
				success: function(count){
					console.log(count);
					if( count.indexOf( "already" ) !== -1 )
					{
						var lecount = count.replace("already","");
						if (lecount === "0")
						{
							lecount = "";
						}
						heart.prop('title', 'Like');
						heart.removeClass("liked");
						heart.find('.count-like').html(lecount);
					}
					else
					{
						heart.prop('title', 'Unlike');
						heart.addClass("liked");
						heart.find('.count-like').html(count);
					}
					heart.find('#icon-gear').remove();
				}
			});
		});
	});
})(jQuery)
