<?php
$data = $slider = $pager = '';
$gallery = get_post_meta(get_the_ID(), 'format_gallery', true);
$single_style = get_post_meta(get_the_ID(), 'sv_single_style', true);
if($single_style == 'content-offset'){
    if (!empty($gallery)){
        $array = explode(',', $gallery);
        if(is_array($array) && !empty($array)){
            
            $data .=    '<div class="single-gallery-slider">';
            $count = 0;
            foreach ($array as $key => $item) {
                $thumbnail_url = wp_get_attachment_url($item);
                $slider .='<li><img src="' . esc_url($thumbnail_url) . '" alt=""></li>';
                $pager .= '<a data-slide-index="'.esc_attr($count).'" href="#"><img src="' . esc_url($thumbnail_url) . '" alt=""/></a>';
                $count++;
            }
            $data .=        '<ul class="bxslider">'.$slider.'</ul>';
            $data .=        '<div class="bx-pager">'.$pager.'</div>';
            $data .=    '</div>';
        }
    }
    ?>
    <?php if(!empty($data)) echo balanceTags($data);?>
    <div class="info-single-post">
        <?php echo s7upf_get_cat_post();?>
        <h2><?php the_title()?></h2>
        <ul class="post-comment-date">
            <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span><?php echo get_the_time('M d')?></span></li>
            <li><a href="<?php echo esc_url( get_comments_link() ); ?>"><i aria-hidden="true" class="fa fa-comment"></i><span><?php echo get_comments_number(); ?></span></a></li>
        </ul>
    </div>
    <div class="row">
        <div class="col-md-8 col-sm-12 col-xs-12 col-md-offset-2">
            <div class="sv-post-main-content">
                <?php the_content(); ?>
            </div>
    <?php
}
else{
    if (!empty($gallery)){
        $array = explode(',', $gallery);
        if(is_array($array) && !empty($array)){
            
            $data .= '<div class="owl-paginav owl-paginav-default"><div class="wrap-item">';
            foreach ($array as $key => $item) {
                $thumbnail_url = wp_get_attachment_url($item);
                $data .='<div class="image-slider">';
                $data .= '<img src="' . esc_url($thumbnail_url) . '">';           
                $data .= '</div>';
            }
            $data .='</div></div>';
        }
    }
    ?>

    <div class="info-single-post">
        <?php echo s7upf_get_cat_post();?>
        <h2><?php the_title()?></h2>
        <ul class="post-comment-date">
            <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span><?php echo get_the_time('M d')?></span></li>
            <li><a href="<?php echo esc_url( get_comments_link() ); ?>"><i aria-hidden="true" class="fa fa-comment"></i><span><?php echo get_comments_number(); ?></span></a></li>
        </ul>
    </div>
    <?php if(!empty($data)) echo balanceTags($data);?>
    <div class="sv-post-main-content">
        <?php the_content(); ?>
    </div>
<?php }?>