<?php
$data = '';
if (get_post_meta(get_the_ID(), 'format_media', true)) {
    $media_url = get_post_meta(get_the_ID(), 'format_media', true);
    $data .='<div class="post-video">';
    $data .= s7upf_remove_w3c(wp_oembed_get($media_url));
    $data .='</div>';
}
?>
<?php
$single_style = get_post_meta(get_the_ID(), 'sv_single_style', true);
if($single_style == 'content-offset'){
    if(!empty($data)) echo balanceTags($data);?>
    <div class="info-single-post">
        <?php echo s7upf_get_cat_post();?>
        <h2><?php the_title()?></h2>
        <ul class="post-comment-date">
            <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span><?php echo get_the_time('M d')?></span></li>
            <li><a href="<?php echo esc_url( get_comments_link() ); ?>"><i aria-hidden="true" class="fa fa-comment"></i><span><?php echo get_comments_number(); ?></span></a></li>
        </ul>
    </div>
    <div class="row">
        <div class="col-md-8 col-sm-12 col-xs-12 col-md-offset-2">
            <div class="sv-post-main-content">
                <?php the_content(); ?>
            </div>
    <?php
}
else{?>
    <div class="blog-item <?php echo (is_sticky()) ? 'sticky':''?>">
        <?php if(!empty($data)) echo balanceTags($data);?>
        <div class="blog-info">
            <h3 class="post-name">
                <?php the_title()?>
                <?php echo (is_sticky()) ? '<i class="fa fa-thumb-tack"></i>':''?>
            </h3>
            <?php s7upf_display_metabox();?>
            <div class="desc"><?php the_content(); ?></div>
        </div>
    </div>
<?php }?>