<?php
/**
 * The template for displaying search results pages.
 *
 * @package 7up-framework
 */

get_header(); ?>
<div id="main-content" class="main-content-home blog-default">
    <?php s7upf_display_breadcrumb()?>
    <?php do_action('s7upf_before_main_content')?>
    <div class="container">
        <div class="row">
            <?php s7upf_output_sidebar('left')?>
            <div class="<?php echo esc_attr(s7upf_get_main_class()); ?>">
            	<div class="content-<?php echo esc_attr(s7upf_main_pos())?> content-page">
                    <div class="list-post-default">
                    	<h1 class="page-title"><?php printf( esc_html__( 'Search Results for: %s', 'kutearts_shop' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
						<?php if ( have_posts() ) : ?>						

							<?php while (have_posts()) :the_post();?>

	    						<?php get_template_part('s7upf_templates/blog-content/content');?>
	    					
	    				    <?php endwhile;?>
	    				    <?php wp_reset_postdata();?>
						<?php else : ?>

							<h2><?php esc_html_e("No post for key search.","kutearts_shop")?></h2>

						<?php endif; ?>
					</div>
                    <?php s7upf_paging_nav();?>                    
                </div>
            </div>
	        <?php s7upf_output_sidebar('right')?>
		</div>
	</div>
</div>
<?php get_footer(); ?>
