<?php
/**
 * Product Loop Start
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 */
global $wp_query;
?>
<?php
	$type = 'grid';
    if(isset($_GET['type'])){
        $type = $_GET['type'];
    }
    $column = s7upf_get_option('woo_shop_column',3);
    if(isset($_GET['column'])){
	        $column = $_GET['column'];
	    }
	if(isset($_GET['number'])){
	    $number = $_GET['number'];
	}
?>
<?php if(!is_cart() && !is_single()):?>
<div class="show-view-bar">
	<div class="clearfix">
		<div class="view-bar pull-left">
			<label><?php esc_html_e("View as:","kutearts_shop");?></label>
			<a href="<?php echo esc_url(s7upf_get_key_url('type','grid'))?>" class="grid-view <?php if($type == 'grid') echo 'active'?>"><i class="fa fa-th-large" aria-hidden="true"></i></a>
			<a href="<?php echo esc_url(s7upf_get_key_url('type','list'))?>" class="list-view <?php if($type == 'list') echo 'active'?>"><i class="fa fa-th-list" aria-hidden="true"></i></a>
		</div>
		<div class="show-bar pull-right">
			<div class="select-col-wrap">
				<label><?php echo esc_html__("Show:","kutearts_shop").' '.$column.' '.esc_html__("Column","kutearts_shop");?></label>
				<ul class="shop-select-col">
					<li><a href="<?php echo esc_url(s7upf_get_key_url('column','2'))?>"><?php esc_html_e("2 Column","kutearts_shop")?></a></li>
					<li><a href="<?php echo esc_url(s7upf_get_key_url('column','3'))?>"><?php esc_html_e("3 Column","kutearts_shop")?></a></li>
					<li><a href="<?php echo esc_url(s7upf_get_key_url('column','4'))?>"><?php esc_html_e("4 Column","kutearts_shop")?></a></li>				
				</ul>
			</div>
		</div>
	</div>
</div>
<?php endif;?>
<ul class="product-<?php echo esc_attr($type)?> row">