<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 18/08/15
 * Time: 10:00 AM
 */
// Start 15/10/2016
if(!function_exists('s7upf_vc_menu'))
{
    function s7upf_vc_menu($attr,$content = false)
    {
        $html = $style = $menu = '';
        extract(shortcode_atts(array(
            'menu'      => '',
        ),$attr));
        $html .= '<nav class="main-nav">';
        ob_start();
        if(!empty($menu)){
            wp_nav_menu( array(
                'menu' => $menu,
                'container'=>false,
                'walker'=>new S7upf_Walker_Nav_Menu(),
            ));
        }
        else{
            wp_nav_menu( array(
                'theme_location' => 'primary',
                'container'=>false,
                'walker'=>new S7upf_Walker_Nav_Menu(),
            ));
        }
        $html .= @ob_get_clean();
        $html .= '<span class="ion-navicon-round oswald-font">'.esc_html__( 'Menu', 'worldnews' ).'</span>';
        $html .= '</nav>';
        return $html;
    }
}

stp_reg_shortcode('s7upf_menu','s7upf_vc_menu');

vc_map( array(
    "name"      => esc_html__("SV Menu", 'worldnews'),
    "base"      => "s7upf_menu",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            'type'              => 'dropdown',
            'holder'            => 'div',
            'heading'           => esc_html__( 'Menu name', 'worldnews' ),
            'param_name'        => 'menu',
            'value'             => s7upf_list_menu_name(),
            'description'       => esc_html__( 'Select Menu you want to display', 'worldnews' )
        ),
    )
));