<?php
/**
 * Created by Sublime text 3.
 * User: 7uptheme
 * Date: 25/08/2017
 * Time: 09:08 AM
 */
if(!function_exists('s7upf_vc_video'))
{
    function s7upf_vc_video($attr,$content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'post_id'       => '',
            'image_size'    => '',
            'link_video'    => '',
            ),$attr));
        $ids_arr = explode(',', $post_id);
        $ids_arr = array_unique($ids_arr);
        $args=array(
            'post_type'         => 'post',
            'post__in'          => $ids_arr,
            'posts_per_page'    => 1,
            'post_status'       => 'publish',
            );
        $query = new WP_Query($args);
        if($query->have_posts()) {
            while($query->have_posts()) {
                $query->the_post();
                $html .= '<div class="post-item white">
                <div class="post-thumb">
                    <div class="video2">
                        <span class="ion-play"></span>
                    </div>
                    <a href="'.get_the_permalink().'">'.get_the_post_thumbnail($post = null, $size= $image_size, $attr = '').'</a>
                </div>
                <div class="post-info">
                    <a href="'.get_the_permalink().'"><b>'.get_the_title().'</b></a>
                    <ul class="post-list-info">
                        <li>
                            <i class="ion-android-calendar"></i>
                            <span>'.get_the_date(get_option('date_format')).'</span>
                        </li>
                        <li>
                            <a href="'.get_comments_link().'">
                                <i class="ion-chatbox-working"></i>
                                <span>'.get_comments_number( '0', '1', '%' ).'</span>
                            </a>
                        </li>
                    </ul>
                    <p>WorldNews helps you navigate the WN ecosystem to find the products you want and the advice you need to get the job done.</p>
                </div>
                <div class="bottom-video">
                    <video id="seccond-video" width="640" height="427" controls>';
                        $html .='<source src="'.esc_url($link_video).'" type="video/mp4" />
                    </video>    
                </div>
            </div>';  
        }
    }
    return $html;
}
}

stp_reg_shortcode('s7upf_video','s7upf_vc_video');

vc_map( array(
    "name"      => esc_html__("SV Post Video", 'worldnews'),
    "base"      => "s7upf_video",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Post id', 'worldnews' ),
            'param_name' => 'post_id',
            'description' => esc_html__( 'Enter List of Posts', 'worldnews' ),
            ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Link video', 'worldnews' ),
            'param_name' => 'link_video',
            'description' => esc_html__( 'Enter List of Posts', 'worldnews' ),
            ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Image Size', 'worldnews'),
            'param_name' => 'image_size',
            'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'worldnews'),
            ),
        )
    ));