<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:20 AM
 */

/******************************************Core Function******************************************/
//Get option
if(!function_exists('s7upf_get_option')){
    function s7upf_get_option($key,$default=NULL)
    {
        if(function_exists('ot_get_option'))
        {
            return ot_get_option($key,$default);
        }

        return $default;
    }
}
//Get list post type
if(!function_exists('s7upf_list_post_type'))
{
    function s7upf_list_post_type($post_type,$type = true)
    {
        global $post;
        $post_temp = $post;
        $page_list = array();
        if($type){
            $page_list[] = array(
                'value' => '',
                'label' => esc_html__('-- Choose One --','worldnews')
            );
        }
        else $page_list[] = esc_html__('-- Choose One --','worldnews');

        if(is_admin()){
            $pages = get_posts( array( 'post_type' => $post_type, 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC' ) );
            if(is_array($pages)){
                foreach ($pages as $page) {
                    if($type){
                        $page_list[] = array(
                            'value' => $page->ID,
                            'label' => $page->post_title,
                        );
                    }else{
                        $page_list[$page->ID] = $page->post_title;
                    }
                }
            }
        }
        $post = $post_temp;
        return $page_list;
    }
}
//Get list header page
if(!function_exists('s7upf_list_header_page'))
{
    function s7upf_list_header_page()
    {
        global $post;
        $post_temp = $post;
        $page_list = array();
        $page_list[] = array(
            'value' => '',
            'label' => esc_html__('-- Choose One --','worldnews')
        );
        /* $args= array(
         'post_type' => 's7upf_header',
         'posts_per_page' => -1,
         );
         $query = new WP_Query($args);
         if($query->have_posts()): while ($query->have_posts()):$query->the_post();
                 $page_list[] = array(
                     'value' => $post->ID,
                     'label' => $post->post_title
                 );
             endwhile;
         endif;
         wp_reset_postdata();
         return $page_list;*/

        if(is_admin()){
            $pages = get_posts( array( 'post_type' => 's7upf_header', 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC' ) );
            if(is_array($pages)){
                foreach ($pages as $page) {
                    $page_list[] = array(
                        'value' => $page->ID,
                        'label' => $page->post_title,
                    );
                }
            }
        }
        $post = $post_temp;
        return $page_list;
    }
}

//Get list TopPosts page
if(!function_exists('s7upf_list_top_posts_page'))
{
    function s7upf_list_top_posts_page()
    {
        global $post;
        $post_temp = $post;
        $page_list = array();
        $page_list[] = array(
            'value' => '',
            'label' => esc_html__('-- Choose One --','worldnews')
        );
        /*   $args= array(
               'post_type' => 's7upf_footer',
               'posts_per_page' => -1,
           );
           $query = new WP_Query($args);
           if($query->have_posts()): while ($query->have_posts()):$query->the_post();
               $page_list[] = array(
                   'value' => $post->ID,
                   'label' => $post->post_title
               );
           endwhile;
           endif;
           wp_reset_postdata();
           return $page_list;*/

        if(is_admin()){
            $pages = get_posts( array( 'post_type' => 's7upf_top_posts', 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC' ) );
            if(is_array($pages)){
                foreach ($pages as $page) {
                    $page_list[] = array(
                        'value' => $page->ID,
                        'label' => $page->post_title,
                    );
                }
            }
        }
        $post = $post_temp;
        return $page_list;
    }
}
//Get list footer page
if(!function_exists('s7upf_list_footer_page'))
{
    function s7upf_list_footer_page()
    {
        global $post;
        $post_temp = $post;
        $page_list = array();
        $page_list[] = array(
            'value' => '',
            'label' => esc_html__('-- Choose One --','worldnews')
        );
        /*   $args= array(
               'post_type' => 's7upf_footer',
               'posts_per_page' => -1,
           );
           $query = new WP_Query($args);
           if($query->have_posts()): while ($query->have_posts()):$query->the_post();
               $page_list[] = array(
                   'value' => $post->ID,
                   'label' => $post->post_title
               );
           endwhile;
           endif;
           wp_reset_postdata();
           return $page_list;*/

        if(is_admin()){
            $pages = get_posts( array( 'post_type' => 's7upf_footer', 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC' ) );
            if(is_array($pages)){
                foreach ($pages as $page) {
                    $page_list[] = array(
                        'value' => $page->ID,
                        'label' => $page->post_title,
                    );
                }
            }
        }
        $post = $post_temp;
        return $page_list;
    }
}
if(!function_exists('s7upf_get_data_isset')){
    function s7upf_get_data_isset($parent,$key){
        if(is_array($parent) && count($parent) > 0){
            if(isset($parent[$key])){
                return $parent[$key];
            }else{
                return '';
            }
        }else{
            return '';
        }
    }
}
//Get list sidebar
if(!function_exists('s7upf_get_sidebar_ids'))
{
    function s7upf_get_sidebar_ids($for_optiontree=false)
    {
        global $wp_registered_sidebars;
        $r=array();
        $r[]=esc_html__('--Select--','worldnews');
        if(!empty($wp_registered_sidebars)){
            foreach($wp_registered_sidebars as $key=>$value)
            {

                if($for_optiontree){
                    $r[]=array(
                        'value'=>$value['id'],
                        'label'=>$value['name']
                    );
                }else{
                    $r[$value['id']]=$value['name'];
                }
            }
        }
        return $r;
    }
}

if(!function_exists('s7upf_get_size_image')){
    function s7upf_get_size_image($default, $value = ''){
        $return = $default;
        if(strpos($value,'x')){
            $size_arr = explode('x',$value);
            if(is_array($size_arr) and count($size_arr) == 2){
                $return = $size_arr;
            }
        }else{
            if($value != '' and !empty($value)){
                $return = $value;
            }else if(strpos($default,'x')){
                $size_arr = explode('x',$default);
                if(is_array($size_arr) and count($size_arr) == 2){
                    $return = $size_arr;
                }
            }
        }
        return $return;
    }
}
if(!function_exists('s7upf_get_vc_build_link')){
    function s7upf_get_vc_build_link($link='' , $class='' , $get='html' , $title_text='' , $attr_title = false){
        $text = '';
        if ( ! empty( $link ) and function_exists('vc_build_link')) {
            $link = vc_build_link( $link );
            if(empty($title_text) and !empty($link['title'])) $title_text = $link['title'];
            if(!empty($title_text))
                $text = '<a class="'.$class.'" '.(($link['url']) ? 'href="'.esc_url( $link['url'] ).'"':''). ( $link['target'] ? ' target="' . esc_attr( $link['target'] ) . '"' : '' ) . ( $link['rel'] ? ' rel="' . esc_attr( $link['rel'] ) . '"' : '' ) . ( ($link['title'] and $attr_title == true) ? ' title="' . esc_attr( $link['title'] ) . '"' : '' ) . '>' . $title_text . '</a>';

            if('link' === $get and isset($link['url'])){
                $text = esc_url($link['url']);
            }
        }

        return $text;
    }
}

//Get list mega menu page
if(!function_exists('s7upf_list_meage_menu_page'))
{
    function s7upf_list_meage_menu_page()
    {
        global $post;
        $post_temp = $post;
        $page_list = array();
        $page_list[''] = esc_html__('None','worldnews');
        /* $args= array(
             'post_type' => 's7upf_mega_item',
             'posts_per_page' => -1,
         );
         $query = new WP_Query($args);
         if($query->have_posts()): while ($query->have_posts()):$query->the_post();
             $page_list[$post->ID] = $post->post_title;
         endwhile;
         endif;
         wp_reset_postdata();
         return $page_list;
         */
        if(is_admin()){
            $pages = get_posts( array( 'post_type' => 's7upf_mega_item', 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC' ) );
            if(is_array($pages)){
                foreach ($pages as $page) {
                    $page_list[$page->ID] = $page->post_title;
                }
            }
        }
        $post = $post_temp;
        return $page_list;
    }
}
if (!function_exists('s7upf_convert_array')) {

    function s7upf_convert_array($old_array)
    {
        $new_array = array();
        foreach ($old_array as $key => $value) {
            $new_array[$value] = $key;
        }
        return $new_array;
    }
}

if(!function_exists('s7upf_get_order_list_shop')) {
    function s7upf_get_order_list_shop($current = false, $extra = array(), $return = 'array')
    {
        $default = array(
            'none' => esc_html__('None', 'worldnews'),
            'ID' => esc_html__('Product ID', 'worldnews'),
            'author' => esc_html__('Author', 'worldnews'),
            'title' => esc_html__('Product Title', 'worldnews'),
            'date' => esc_html__('Product Date', 'worldnews'),
            'modified' => esc_html__('Last Modified Date', 'worldnews'),
            'rand' => esc_html__('Random', 'worldnews'),
            'comment_count' => esc_html__('Comment Count', 'worldnews'),
            'mostview' => esc_html__('Most View','worldnews'),
        );

        if (!empty($extra) and is_array($extra)) {
            $default = array_merge($default, $extra);
        }

        if ($return == "array") {
            return $default;
        } elseif ($return == 'option') {
            $html = '';
            if (!empty($default)) {
                foreach ($default as $key => $value) {
                    $selected = selected($key, $current, false);
                    $html .= "<option {$selected} value='{$key}'>{$value}</option>";
                }
            }
            return $html;
        }
    }
}

// get list attribute
if(!function_exists('s7upf_list_attribute_product'))
{
    function s7upf_list_attribute_product($show_all = true)
    {
        if($show_all) $attribute_array = array('--Select--' => 'worldnews');
        else $attribute_array = array();
        $attribute_taxonomies = wc_get_attribute_taxonomies();
        if ($attribute_taxonomies) {
            foreach ($attribute_taxonomies as $key=>$tax) {
                if (taxonomy_exists(wc_attribute_taxonomy_name($tax->attribute_name))) {
                    $attribute_array[$tax->attribute_label]=$tax->attribute_name;
                }
            }
        }
        return $attribute_array;
    }
}

//Get order list
if(!function_exists('s7upf_get_order_list'))
{
    function s7upf_get_order_list($current=false,$extra=array(),$return='array')
    {
        $default = array(
            esc_html__('None','worldnews')               => 'none',
            esc_html__('Post ID','worldnews')            => 'ID',
            esc_html__('Author','worldnews')             => 'author',
            esc_html__('Post Title','worldnews')         => 'title',
            esc_html__('Post Name','worldnews')          => 'name',
            esc_html__('Post Date','worldnews')          => 'date',
            esc_html__('Last Modified Date','worldnews') => 'modified',
            esc_html__('Post Parent','worldnews')        => 'parent',
            esc_html__('Random','worldnews')             => 'rand',
            esc_html__('Comment Count','worldnews')      => 'comment_count',
            esc_html__('View Post','worldnews')          => 'post_views',
            esc_html__('Like Post','worldnews')          => '_post_like_count',
            esc_html__('Custom Modified Date','worldnews')=> 'time_update',
        );

        if(!empty($extra) and is_array($extra))
        {
            $default=array_merge($default,$extra);
        }

        if($return=="array")
        {
            return $default;
        } elseif($return=='option')
        {
            $html='';
            if(!empty($default)){
                foreach($default as $key=>$value){
                    $selected=selected($value,$current,false);
                    $html.="<option {$selected} value='{$value}'>{$key}</option>";
                }
            }
            return $html;
        }
    }
}

// Get sidebar
if(!function_exists('s7upf_get_sidebar'))
{
    function s7upf_get_sidebar()
    {
        $default=array(
            'position'=>'right',
            'id'      =>'blog-sidebar'
        );

        return apply_filters('s7upf_get_sidebar',$default);
    }
}

//Favicon
if(!function_exists('s7upf_load_favicon') )
{
    function s7upf_load_favicon()
    {
        $value = s7upf_get_option('favicon');
        $favicon = (isset($value) && !empty($value))?$value:false;
        if($favicon)
            echo '<link rel="Shortcut Icon" href="' . esc_url( $favicon ) . '" type="image/x-icon" />' . "\n";
    }
}
if(!function_exists( 'wp_site_icon' ) ){
    add_action( 'wp_head','s7upf_load_favicon');
    add_action('login_head', 's7upf_load_favicon');
    add_action('admin_head', 's7upf_load_favicon');
}

//Fill css background
if(!function_exists('s7upf_fill_css_background'))
{
    function s7upf_fill_css_background($data)
    {
        $string = '';
        if(!empty($data['background-color'])) $string .= 'background-color:'.$data['background-color'].';'."\n";
            if(!empty($data['background-repeat'])) $string .= 'background-repeat:'.$data['background-repeat'].';'."\n";
                if(!empty($data['background-attachment'])) $string .= 'background-attachment:'.$data['background-attachment'].';'."\n";
                    if(!empty($data['background-position'])) $string .= 'background-position:'.$data['background-position'].';'."\n";
                        if(!empty($data['background-size'])) $string .= 'background-size:'.$data['background-size'].';'."\n";
                            if(!empty($data['background-image'])) $string .= 'background-image:url("'.$data['background-image'].'");'."\n";
                                if(!empty($string)) return S7upf_Assets::build_css($string);
                                    else return false;
                                }
                            }

// Get list menu
                            if(!function_exists('s7upf_list_menu_name'))
                            {
                                function s7upf_list_menu_name()
                                {
                                    $menu_nav = wp_get_nav_menus();
                                    $menu_list = array('Default' => '');
                                    if(is_array($menu_nav) && !empty($menu_nav))
                                    {
                                        foreach($menu_nav as $item)
                                        { 
                                            if(is_object($item))
                                            {
                                                $menu_list[$item->name] = $item->slug;
                                            }
                                        }
                                    }
                                    return $menu_list;
                                }
                            }

//Display BreadCrumb
                            if(!function_exists('s7upf_display_breadcrumb'))
                            {
                                function s7upf_display_breadcrumb()
                                {
                                    $breadcrumb = s7upf_get_value_by_id('s7upf_show_breadrumb','on');
                                    if($breadcrumb == 'on'){ ?>
                                    <?php s7upf_breadcrumb();?>
                                    <?php }
                                }
                            }
                            function s7upf_breadcrumb(){
                                /* === OPTIONS === */
                                $text['home']     = esc_html__('Home','worldnews');
                                $text['category'] = esc_html__('%s','worldnews');
                                $text['tax']      = esc_html__('Archive for "%s"','worldnews');
                                $text['search']   = esc_html__('Search Results for "%s" Query','worldnews');
                                $text['tag']      = esc_html__('%s','worldnews');
                                $text['author']   = esc_html__('Articles Posted by %s','worldnews');
                                $text['404']      = esc_html__('Error 404','worldnews');
    $showCurrent = 1; // 1 - show current post/page title in breadcrumbs, 0 - don't show
    $showOnHome  = 1; // 1 - show breadcrumbs on the homepage, 0 - don't show
    $delimiter   = '';
    $delimiter_cat   = ' , ';
    $before      = '<li class="current">';
    $after       = '</li>';
    /* === END OF OPTIONS === */
    global $post;
    $homeLink = home_url('url') . '/';
    $linkBefore = '<li class = "mb">';
    $linkAfter = '</li>';

    $link = $linkBefore . '<a class="" href="%1$s">%2$s</a>' . $linkAfter;
    if (is_home() || is_front_page()) {
        if ($showOnHome == 1) echo '<ul id="crumbs" class="list-none"><a href="' . $homeLink . '">' . $text['home'] . '</a></ul>';
    } else {
        echo '<ul id="crumbs" class="list-inline-block">' . sprintf($link, $homeLink, $text['home']) . $delimiter;

        if ( is_category() ) {
            $thisCat = get_category(get_query_var('cat'), false);
            if ($thisCat->parent != 0) {
                $cats = get_category_parents($thisCat->parent, TRUE, $delimiter);
                $cats = str_replace('<a', $linkBefore . '<a', $cats);
                $cats = str_replace('</a>', '</a>' . $linkAfter, $cats);
                echo balanceTags($cats);
            }
            echo balanceTags($before . sprintf($text['category'], single_cat_title('', false)) . $after);
        } elseif( is_tax() ){
            $thisCat = get_category(get_query_var('cat'), false);
            if (!is_wp_error($thisCat) and $thisCat->parent != 0) {
                $cats = get_category_parents($thisCat->parent, TRUE, $delimiter);
                $cats = str_replace('<a', $linkBefore . '<a' , $cats);
                $cats = str_replace('</a>', '</a>' . $linkAfter, $cats);
                echo balanceTags($cats);
            }
            echo balanceTags($before . sprintf($text['tax'], single_cat_title('', false)) . $after);

        }elseif ( is_search() ) {
            echo balanceTags($before . sprintf($text['search'], get_search_query()) . $after);
        } elseif ( is_day() ) {
            echo sprintf($link, get_year_link(get_the_time('Y')), get_the_time('Y')) . $delimiter;
            echo sprintf($link, get_month_link(get_the_time('Y'),get_the_time('m')), get_the_time('F')) . $delimiter;
            echo balanceTags($before . get_the_time('d') . $after);
        } elseif ( is_month() ) {
            echo sprintf($link, get_year_link(get_the_time('Y')), get_the_time('Y')) . $delimiter;
            echo balanceTags($before . get_the_time('F') . $after);
        } elseif ( is_year() ) {
            echo balanceTags($before . get_the_time('Y') . $after);
        } elseif ( is_single() && !is_attachment() ) {
            if ( get_post_type() != 'post' ) {
                $post_type = get_post_type_object(get_post_type());
                $slug = $post_type->rewrite;
                printf($link, $homeLink . '/' . $slug['slug'] . '/', $post_type->labels->singular_name);
                if ($showCurrent == 1) echo balanceTags($delimiter . $before . get_the_title() . $after);
            } else {
                $cat = get_the_category();
                foreach ($cat as $key=>$value){
                    if($key+1 == count($cat)){
                        $cats = get_category_parents($value, TRUE, $delimiter);
                    }else{
                        $cats = get_category_parents($value, TRUE, $delimiter_cat);
                    }
                    if ($showCurrent == 0) $cats = preg_replace("#^(.+)$delimiter$#", "$1", $cats);
                    $cats = str_replace('<a', $linkBefore . '<a' , $cats);
                    $cats = str_replace('</a>', '</a>' . $linkAfter, $cats);
                    echo balanceTags($cats);
                }
                if ($showCurrent == 1) echo balanceTags($before . get_the_title() . $after);
            }
        } elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
            $post_type = get_post_type_object(get_post_type());
            echo balanceTags($before . $post_type->labels->singular_name . $after);
        } elseif ( is_attachment() ) {
            $parent = get_post($post->post_parent);
            $cat = get_the_category($parent->ID); $cat = $cat[0];
            $cats = get_category_parents($cat, TRUE, $delimiter);
            $cats = str_replace('<a', $linkBefore . '<a', $cats);
            $cats = str_replace('</a>', '</a>' . $linkAfter, $cats);
            echo balanceTags($cats);
            printf($link, get_permalink($parent), $parent->post_title);
            if ($showCurrent == 1) echo balanceTags($delimiter . $before . get_the_title() . $after);
        } elseif ( is_page() && !$post->post_parent ) {
            if ($showCurrent == 1) echo balanceTags($before . get_the_title() . $after);
        } elseif ( is_page() && $post->post_parent ) {
            $parent_id  = $post->post_parent;
            $breadcrumbs = array();
            while ($parent_id) {
                $page = get_post($parent_id);
                $breadcrumbs[] = sprintf($link, get_permalink($page->ID), get_the_title($page->ID));
                $parent_id  = $page->post_parent;
            }
            $breadcrumbs = array_reverse($breadcrumbs);
            for ($i = 0; $i < count($breadcrumbs); $i++) {
                echo balanceTags($breadcrumbs[$i]);
                if ($i != count($breadcrumbs)-1) echo balanceTags($delimiter);
            }
            if ($showCurrent == 1) echo balanceTags($delimiter . $before . get_the_title() . $after);
        } elseif ( is_tag() ) {
            echo balanceTags($before . sprintf($text['tag'], single_tag_title('', false)) . $after);
        } elseif ( is_author() ) {
            global $author;
            $userdata = get_userdata($author);
            echo balanceTags($before . sprintf($text['author'], $userdata->display_name) . $after);
        } elseif ( is_404() ) {
            echo balanceTags($before . $text['404'] . $after);
        }
        if ( get_query_var('paged') ) {
            if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
            echo esc_html__('Page','worldnews') . ' ' . get_query_var('paged');
            if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
        }
        echo '</ul>';
    }
}

//get type url
if(!function_exists('s7upf_get_key_url')){
    function s7upf_get_key_url($key,$value){
        if(function_exists('s7upf_get_current_url')) $current_url = s7upf_get_current_url();
        else $current_url = get_the_permalink();
        if(isset($_GET[$key])){
            $current_url = str_replace('&'.$key.'='.$_GET[$key], '', $current_url);
            $current_url = str_replace('?'.$key.'='.$_GET[$key], '?', $current_url);
        }
        if(strpos($current_url,'?') > -1 ){
            $current_url .= '&amp;'.$key.'='.$value;
        }
        else {
            $current_url .= '?'.$key.'='.$value;
        }
        return $current_url;
    }
}
//get option both id
if(!function_exists('s7upf_get_option_both_id')){
    function s7upf_get_option_both_id($id_option, $id_metabox, $key_check, $value=NULL){
        $key_check_metabox = get_post_meta(get_the_ID(),$key_check,true);
        $key_check_option = s7upf_get_option($key_check);
        if('on' == $key_check_option){
            $value = s7upf_get_option($id_option,$value);
        }
        if('on'==$key_check_metabox){
            $value = get_post_meta(get_the_ID(),$id_metabox,true);
        }else if('off' == $key_check_metabox){
            return;
        }
        return $value;
    }
}



//Get page value by ID
if(!function_exists('s7upf_get_value_by_id'))
{   
    function s7upf_get_value_by_id($key)
    {
        if(!empty($key)){
            $id = get_the_ID();
            if(is_front_page() && is_home()) $id = (int)get_option( 'page_on_front' );
            if(!is_front_page() && is_home()) $id = (int)get_option( 'page_for_posts' );
            if(is_archive() || is_search()) $id = 0;
            if (class_exists('woocommerce')) {
                if(is_shop()) $id = (int)get_option('woocommerce_shop_page_id');
                if(is_cart()) $id = (int)get_option('woocommerce_cart_page_id');
                if(is_checkout()) $id = (int)get_option('woocommerce_checkout_page_id');
                if(is_account_page()) $id = (int)get_option('woocommerce_myaccount_page_id');
            }
            $value = get_post_meta($id,$key,true);
            if(empty($value)) $value = s7upf_get_option($key);
            return $value;
        }
        else return 'Missing a variable of this funtion';
    }
}

//Check woocommerce page
if (!function_exists('s7upf_is_woocommerce_page')) {
    function s7upf_is_woocommerce_page() {
        if(  function_exists ( "is_woocommerce" ) && is_woocommerce()){
            return true;
        }
        $woocommerce_keys   =   array ( "woocommerce_shop_page_id" ,
            "woocommerce_terms_page_id" ,
            "woocommerce_cart_page_id" ,
            "woocommerce_checkout_page_id" ,
            "woocommerce_pay_page_id" ,
            "woocommerce_thanks_page_id" ,
            "woocommerce_myaccount_page_id" ,
            "woocommerce_edit_address_page_id" ,
            "woocommerce_view_order_page_id" ,
            "woocommerce_change_password_page_id" ,
            "woocommerce_logout_page_id" ,
            "woocommerce_lost_password_page_id" ) ;
        foreach ( $woocommerce_keys as $wc_page_id ) {
            if ( get_the_ID () == get_option ( $wc_page_id , 0 ) ) {
                return true ;
            }
        }
        return false;
    }
}

//navigation
if(!function_exists('s7upf_paging_nav'))
{
    function s7upf_paging_nav()
    {
        // Don't print empty markup if there's only one page.
        if ( $GLOBALS['wp_query']->max_num_pages < 2 ) {
            return;
        }

        $paged        = get_query_var( 'paged' ) ? intval( get_query_var( 'paged' ) ) : 1;
        $pagenum_link = html_entity_decode( get_pagenum_link() );
        $query_args   = array();
        $url_parts    = explode( '?', $pagenum_link );

        if ( isset( $url_parts[1] ) ) {
            wp_parse_str( $url_parts[1], $query_args );
        }

        $pagenum_link = remove_query_arg( array_keys( $query_args ), $pagenum_link );
        $pagenum_link = trailingslashit( $pagenum_link ) . '%_%';

        $format  = $GLOBALS['wp_rewrite']->using_index_permalinks() && ! strpos( $pagenum_link, 'index.php' ) ? 'index.php/' : '';
        $format .= $GLOBALS['wp_rewrite']->using_permalinks() ? user_trailingslashit( 'page/%#%', 'paged' ) : '?paged=%#%';

        // Set up paginated links.
        $links = paginate_links( array(
            'base'     => $pagenum_link,
            'format'   => $format,
            'total'    => $GLOBALS['wp_query']->max_num_pages,
            'current'  => $paged,
            'mid_size' => 1,
            'add_args' => array_map( 'urlencode', $query_args ),
            'prev_text' => esc_html__( '&larr;', 'worldnews' ),
            'next_text' => esc_html__( '&rarr;', 'worldnews' ),
        ) );

        if ($links) : ?>
        <div class="row">
            <div class="col-md-12 tp-pagination">
                <nav class="navigation paging-navigation">
                    <div class="page-nav-bar margin-b20">
                        <?php echo balanceTags($links); ?>
                    </div><!-- .pagination -->
                </nav><!-- .navigation -->
            </div>
        </div>
    <?php endif;
}
}

//Set post view
if(!function_exists('s7upf_set_post_view'))
{
    function s7upf_set_post_view($post_id=false)
    {
        if(!$post_id) $post_id=get_the_ID();

        $view=(int)get_post_meta($post_id,'post_views',true);
        $view++;
        update_post_meta($post_id,'post_views',$view);
    }
}

if(!function_exists('s7upf_get_post_view'))
{
    function s7upf_get_post_view($post_id=false)
    {
        if(!$post_id) $post_id=get_the_ID();

        return (int)get_post_meta($post_id,'post_views',true);
    }
}

//remove attr embed
if(!function_exists('s7upf_remove_w3c')){
    function s7upf_remove_w3c($embed_code){
        $embed_code=str_replace('webkitallowfullscreen','',$embed_code);
        $embed_code=str_replace('mozallowfullscreen','',$embed_code);
        $embed_code=str_replace('frameborder="0"','',$embed_code);
        $embed_code=str_replace('frameborder="no"','',$embed_code);
        $embed_code=str_replace('scrolling="no"','',$embed_code);
        $embed_code=str_replace('&','&amp;',$embed_code);
        return $embed_code;
    }
}

if(!function_exists('s7upf_get_header_default')){
    function s7upf_get_header_default(){
        ?>
        <div id="header" class="margin-b30">
            <div class="main-header">
                <div class="container">
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="logo">
                                <a href="<?php echo esc_url(home_url('/'));?>" title="<?php echo esc_attr__("logo",'worldnews');?>">
                                    <?php $s7upf_logo=s7upf_get_option('logo');?>
                                    <?php if($s7upf_logo!=''){
                                        echo '<h1 class="hidden">'.get_bloginfo('name', 'display').'</h1><img src="' . esc_url($s7upf_logo) . '" alt="logo">';
                                    }   else { echo '<h1>'.get_bloginfo('name', 'display').'</h1>'; }
                                    ?>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php if ( has_nav_menu( 'primary' ) ) { ?>
            <div class="white-nav">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <nav class="main-nav">
                                <?php 
                                wp_nav_menu( array(
                                    'theme_location' => 'primary',
                                    'container'=>false,
                                    'walker'=>new S7upf_Walker_Nav_Menu(), 
                                )
                            ); 
                            ?>
                            <span class="ion-navicon-round oswald-font">Menu</span>
                        </nav>
                        <!-- End Main nav -->
                    </div>
                </div>
            </div>
        </div>
        <?php } ?>
    </div>
    <?php 
}
}
if(!function_exists('s7upf_get_footer_default')){
    function s7upf_get_footer_default(){
        ?>
        <div id="footer">
            <div class="bottom-footer">
                <div class="container">
                    <p><?php esc_html_e("&copy; 2017 Worldnews Media LLC. All Rights Reserved.","worldnews")?></p>
                </div>
            </div>
        </div>
        <?php
    }
}
if(!function_exists('s7upf_get_footer_visual')){
    function s7upf_get_footer_visual($page_id){
        ?>
        <div id="footer" class="footer-page">
            <div class="container">
                <?php echo S7upf_Template::get_vc_pagecontent($page_id);?>
            </div>
        </div>
        <?php
    }
}

if(!function_exists('s7upf_check_catelog_mode')){
    function s7upf_check_catelog_mode(){
        if ( !class_exists('WC_Product') )  return;
        $catelog_mode = s7upf_get_option('woo_catelog');
        $hide_other_page = s7upf_get_option('hide_other_page');
        $hide_detail = s7upf_get_option('hide_detail');
        $hide_admin = s7upf_get_option('hide_admin');
        $hide_shop = s7upf_get_option('hide_shop');
        $hide_price = s7upf_get_option('hide_price');
        $show_mode = 'off';
        if($catelog_mode == 'on'){
            if($hide_other_page == 'on' && !is_super_admin() && !is_shop() && !is_single()) $show_mode = 'on';
            if($hide_other_page == 'on' && $hide_admin == 'on' && is_super_admin() && !is_shop() && !is_single() ) $show_mode = 'on';
            if($hide_price == 'on' && !is_super_admin()) $show_mode = 'on';
            if($hide_price == 'on' && $hide_admin == 'on' && is_super_admin() ) $show_mode = 'on';
            if(is_shop()) {
                if($hide_shop == 'on' && !is_super_admin()) $show_mode = 'on';
                if($hide_shop == 'on' && $hide_admin == 'on' && is_super_admin()) $show_mode = 'on';
            }
            if(is_single()) {
                if($hide_detail == 'on' && !is_super_admin()) $show_mode = 'on';
                if($hide_detail == 'on' && $hide_admin == 'on' && is_super_admin()) $show_mode = 'on';
            }
        }
        return $show_mode;
    }
}
if(!function_exists('s7upf_get_header_visual')){
    function s7upf_get_header_visual($page_id){
        ?>
        <div id="header" class="header-page">
            <div class="container">
                <?php echo S7upf_Template::get_vc_pagecontent($page_id);?>
            </div>
        </div>
        <?php
    }
}
if(!function_exists('s7upf_get_top_posts_visual')){
    function s7upf_get_top_posts_visual($page_id){
        ?>
        <div class="top-posts">
            <div class="container">
                <?php echo S7upf_Template::get_vc_pagecontent($page_id);?>
            </div>
        </div>
        <?php
    }
}
if(!function_exists('s7upf_get_main_class')){
    function s7upf_get_main_class(){
        $sidebar=s7upf_get_sidebar();
        $sidebar_pos=$sidebar['position'];
        $main_class = 'col-md-12';
        if($sidebar_pos != 'no') $main_class = 'col-md-8';
        return $main_class;
    }
}
if(!function_exists('s7upf_output_sidebar')){
    function s7upf_output_sidebar($position){
        $sidebar = s7upf_get_sidebar();
        $sidebar_pos = $sidebar['position'];
        if($sidebar_pos == $position) get_sidebar();
    }
}

if(!function_exists('s7upf_fix_import_category')){
    function s7upf_fix_import_category($taxonomy){
        global $s7upf_config;
        $data = $s7upf_config['import_category'];
        if(!empty($data)){
            $data = json_decode($data,true);
            foreach ($data as $cat => $value) {
                $parent_id = 0;
                $term = get_term_by( 'slug',$cat, $taxonomy );
                $term_parent = get_term_by( 'slug', $value['parent'], $taxonomy );
                if(isset($term_parent->term_id)) $parent_id = $term_parent->term_id;
                if($parent_id) wp_update_term( $term->term_id, $taxonomy, array('parent'=> $parent_id) );
                if($value['thumbnail']){
                    if($taxonomy == 'product_cat')  update_metadata( 'woocommerce_term', $term->term_id, 'thumbnail_id', $value['thumbnail']);
                    else{
                        update_term_meta( $term->term_id, 'thumbnail_id', $value['thumbnail']);
                    }
                }
            }
        }
    }
}
if ( ! function_exists( 's7upf_get_google_link' ) ) {
    function s7upf_get_google_link() {
        $protocol = is_ssl() ? 'https' : 'http';
        $fonts_url = '';
        $fonts  = array(
            'Poppins:300,400,700',
            'Oswald:300,400,700',
        );
        if ( $fonts ) {
            $fonts_url = add_query_arg( array(
                'family' => urlencode( implode( '|', $fonts ) ),
            ), $protocol.'://fonts.googleapis.com/css' );
        }

        return $fonts_url;
    }
}
// get list taxonomy
if(!function_exists('s7upf_list_taxonomy'))
{
    function s7upf_list_taxonomy($taxonomy,$show_all = true)
    {
        if($show_all) $list = array('--Select--' => 'worldnews');
        else $list = array();
        if(!isset($taxonomy) || empty($taxonomy)) $taxonomy = 'category';
        $tags = get_terms($taxonomy);
        if(is_array($tags) && !empty($tags)){
            foreach ($tags as $tag) {
                $list[$tag->name] = $tag->slug;
            }
        }
        return $list;
    }
}

if(!function_exists('s7upf_get_custom_javascript')){
    function s7upf_get_custom_javascript(){
        $custom_js = s7upf_get_option('s7upf_custom_javascript');
        if(!empty($custom_js)){
            ?><script type="text/javascript"><?php
            print $custom_js;
            ?></script><?php
        }
    }
}
/***************************************END Core Function***************************************/


/***************************************Add Theme Function***************************************/

if(!function_exists('s7upf_show_preload')){
    function s7upf_show_preload(){
        $preload = s7upf_get_value_by_id('show_preload');
        if($preload == 'on'):
            ?>
            <div id="loader-wrapper">
                <div id="loader"></div>
            </div>
            <?php 
        endif;
    }
}

if(!function_exists('s7upf_scroll_top')){
    function s7upf_scroll_top(){
        $scroll_top = s7upf_get_value_by_id('s7upf_show_scroll_top');
        if($scroll_top == 'on'):
            ?>
            <a href="#" class="scroll-top radius6" title=""><i class="fa fa-angle-up" aria-hidden="true"></i></a>
            <?php 
        endif;
    }
}

if(!function_exists('s7upf_show_post_slider')){
    function s7upf_show_post_slider($post_slider_style){
        $show_post_slider = s7upf_get_value_by_id('s7upf_show_slider');
        if($show_post_slider=='on'){
            $post_slider_style = s7upf_get_value_by_id('s7upf_slider_style');
        }
    }
}

/***************************************END Theme Function***************************************/
/* Add colorpicker in category - ThuyPham */
/**
 * Add new colorpicker field to "Add new Category" screen
 * - https://developer.wordpress.org/reference/hooks/taxonomy_add_form_fields/
 *
 * @param String $taxonomy
 *
 * @return void
 */
if(!function_exists('s7upf_colorpicker_field_add_new_category')) {
    function s7upf_colorpicker_field_add_new_category( $taxonomy ) {
      ?>
      <div class="form-field term-colorpicker-wrap">
        <label for="term-colorpicker"><?php esc_html_e('Category Color', 'worldnews'); ?></label>
        <input name="_category_color" value="#ffffff" class="colorpicker" id="term-colorpicker" />
        <p><?php esc_html_e('Select color for category.', 'worldnews'); ?></p>
    </div>
    <?php }
}
add_action( 'category_add_form_fields', 's7upf_colorpicker_field_add_new_category' );
// Variable Hook Name

/**
 * Add new colopicker field to "Edit Category" screen
 * - https://developer.wordpress.org/reference/hooks/taxonomy_add_form_fields/
 *
 * @param WP_Term_Object $term
 *
 * @return void
 */
if(!function_exists('s7upf_colorpicker_field_edit_category')) {
    function s7upf_colorpicker_field_edit_category( $term ) {
        $color = get_term_meta( $term->term_id, '_category_color', true );
        $color = ( ! empty( $color ) ) ? "#{$color}" : '#ffffff';
        ?>
        <tr class="form-field term-colorpicker-wrap">
            <th scope="row"><label for="term-colorpicker"><?php esc_html_e('Severity Color', 'worldnews'); ?></label></th>
            <td>
                <input name="_category_color" value="<?php echo esc_attr($color); ?>" class="colorpicker" id="term-colorpicker" />
                <p class="description"><?php esc_html_e('Change category color.', 'worldnews'); ?></p>
            </td>
        </tr>
        <?php 
    }
}
add_action( 'category_edit_form_fields', 's7upf_colorpicker_field_edit_category' );
// Variable Hook Name

/**
 * Term Metadata - Save Created and Edited Term Metadata
 * - https://developer.wordpress.org/reference/hooks/created_taxonomy/
 * - https://developer.wordpress.org/reference/hooks/edited_taxonomy/
 *
 * @param Integer $term_id
 *
 * @return void
 */
if(!function_exists('s7upf_save_termmeta')) {
    function s7upf_save_termmeta( $term_id ) {
    // Save term color if possible
        if( isset( $_POST['_category_color'] ) && ! empty( $_POST['_category_color'] ) ) {
            update_term_meta( $term_id, '_category_color', sanitize_hex_color_no_hash( $_POST['_category_color'] ) );
        } else {
            delete_term_meta( $term_id, '_category_color' );
        }
    }
}
add_action( 'created_category', 's7upf_save_termmeta' );  // Variable Hook Name
add_action( 'edited_category',  's7upf_save_termmeta' );  // Variable Hook Name

/**
 * Enqueue colorpicker styles and scripts.
 * - https://developer.wordpress.org/reference/hooks/admin_enqueue_scripts/
 *
 * @return void
 */
if(!function_exists('s7upf_category_colorpicker_enqueue')) {
    function s7upf_category_colorpicker_enqueue( $taxonomy ) {
        if( null !== ( $screen = get_current_screen() ) && 'edit-category' !== $screen->id ) {
            return;
        }
    // Colorpicker Scripts
        wp_enqueue_script( 'wp-color-picker' );
    // Colorpicker Styles
        wp_enqueue_style( 'wp-color-picker' );
    }
}
add_action( 'admin_enqueue_scripts', 's7upf_category_colorpicker_enqueue' );

/**
 * Print javascript to initialize the colorpicker
 * - https://developer.wordpress.org/reference/hooks/admin_print_scripts/
 *
 * @return void
 */
if(!function_exists('s7upf_colorpicker_init_inline')) {
    function s7upf_colorpicker_init_inline() {
        if( null !== ( $screen = get_current_screen() ) && 'edit-category' !== $screen->id ) {
            return;
        }
        ?>
        <script>
            jQuery( document ).ready( function( $ ) {

                $( '.colorpicker' ).wpColorPicker();
        } ); // End Document Ready JQuery
    </script>
    <?php }
}
add_action( 'admin_print_scripts', 's7upf_colorpicker_init_inline', 20 );



/* --------------------- colorpicker in category - ThuyPham --------------------------- */
if(!function_exists('s7upf_substr')){
    function s7upf_substr($string='',$start=0,$end=1){
        $output = '';
        if(!empty($string)){
            if($end < strlen($string)){
                if($string[$end] != ' '){
                    for ($i=$end; $i < strlen($string) ; $i++) { 
                        if($string[$i] == ' ' || $string[$i] == '.' || $i == strlen($string)-1){
                            $end = $i;
                            break;
                        }
                    }
                }
            }
            $output = substr($string,$start,$end);
        }
        return $output;
    }
}


/* ---------------------------- Social count ---------------------------------------*/

//Start Facebook function
if(!function_exists('s7upf_get_fb_access_token')) {
    function s7upf_get_fb_access_token($app_id = '', $app_secret = ''){
        $api_url = 'https://graph.facebook.com/';
        $url = sprintf(
            '%soauth/access_token?client_id=%s&client_secret=%s&grant_type=client_credentials',
            $api_url,
            $app_id,
            $app_secret
        );
        $access_token = wp_remote_get( $url, array( 'timeout' => 60 ) );
        if ( is_wp_error( $access_token ) || ( isset( $access_token['response']['code'] ) && 200 != $access_token['response']['code'] ) ) {
            return '';
        } else {
            return sanitize_text_field( $access_token['body'] );
        }
    }
}
/**
 * Get New Facebook Count
 * */
if(!function_exists('s7upf_new_fb_count')) {
    function s7upf_new_fb_count($page_id = '', $access_token = ''){
        $access_token = json_decode($access_token);
        if(isset($access_token->access_token)) $access_token = $access_token->access_token;
        $api_url = 'https://graph.facebook.com/v2.6/';
        $url = sprintf(
            '%s%s?fields=fan_count&access_token=%s',
            $api_url,
            $page_id ,
            $access_token
        );
        $connection = wp_remote_get( $url, array( 'timeout' => 60 ) );
        if ( is_wp_error( $connection ) || ( isset( $connection['response']['code'] ) && 200 != $connection['response']['code'] ) ) {
            $total = 0;
        } else {
            $_data = json_decode( $connection['body'], true );

            if ( isset( $_data['fan_count'] ) ) {
                $count = intval( $_data['fan_count'] );

                $total = $count;
            } else {
                $total = 0;
            }
        }
        return $total;
    }
}
if(!function_exists('s7upf_facebook_count')) {
    function s7upf_facebook_count($url){
    // Query in FQL
        $fql  = "SELECT like_count ";
        $fql .= " FROM link_stat WHERE url = '$url'";

        $fqlURL = "https://api.facebook.com/method/fql.query?format=json&query=" . urlencode($fql);

    // Facebook Response is in JSON
        $response = wp_remote_get($fqlURL);
        $response = json_decode($response['body']);
        if(is_array($response) && isset($response[0]->like_count)){
            return $response[0]->like_count;
        }else{
            $count = 0;
            return $count;
        }
    }
}
//End facebook function



//Start Twitter function
if(!function_exists('s7upf_signature_base_string')) {
    function s7upf_signature_base_string($url, $query, $method, $params) {
        $return = array();
        ksort($params);
        foreach ($params as $key => $value) {
            $return[] = $key . '=' . $value;
        }
        return $method . "&" . rawurlencode($url) . '&' . rawurlencode(implode('&', $return)) . '%26' . rawurlencode($query);
    }
}
if(!function_exists('s7upf_signature')) {
    function s7upf_signature($query, $consumer_key, $consumer_secret, $oauth_access_token, $oauth_access_token_secret) {
        $oauth = array(
            'oauth_consumer_key' => $consumer_key,
            'oauth_nonce' => hash_hmac('sha1', time(), true),
            'oauth_signature_method' => 'HMAC-SHA1',
            'oauth_token' => $oauth_access_token,
            'oauth_timestamp' => time(),
            'oauth_version' => '1.0'
        );
        $api_url = 'https://api.twitter.com/1.1/users/show.json';
        $base_info = s7upf_signature_base_string($api_url, $query, 'GET', $oauth);
        $composite_key = rawurlencode($consumer_secret) . '&' . rawurlencode($oauth_access_token_secret);
        if(function_exists('s7upf_base_encode')) {
            $oauth_signature = s7upf_base_encode(hash_hmac('sha1', $base_info, $composite_key, true));
        }
        $oauth['oauth_signature'] = $oauth_signature;
        return $oauth;
    }
}
if(!function_exists('s7upf_header')) {
    function s7upf_header($signature) {
        $return = 'OAuth ';
        $values = array();
        foreach ($signature as $key => $value) {
            $values[] = $key . '="' . rawurlencode($value) . '"';
        }
        $return .= implode(', ', $values);
        return $return;
    }
}
if(!function_exists('s7upf_authorization')) {
    function s7upf_authorization($user, $consumer_key, $consumer_secret, $oauth_access_token, $oauth_access_token_secret) {
        $query = 'screen_name=' . $user;
        $signature = s7upf_signature($query, $consumer_key, $consumer_secret, $oauth_access_token, $oauth_access_token_secret);
        return s7upf_header($signature);
    }
}
if(!function_exists('s7upf_get_twitter_count')) {
    function s7upf_get_twitter_count($user = '', $authorization = '') {
        $api_url = 'https://api.twitter.com/1.1/users/show.json';
        $params = array(
            'method' => 'GET',
            'sslverify' => false,
            'timeout' => 60,
            'headers' => array(
                'Content-Type' => 'application/x-www-form-urlencoded',
                'Authorization' => $authorization
            )
        );
        $connection = wp_remote_get($api_url . '?screen_name=' . $user, $params);
        if (is_wp_error($connection)) {
            $count = 0;
        } else {
            $_data = json_decode($connection['body'], true);
            if (isset($_data['followers_count'])) {
                $count = intval($_data['followers_count']);

            } else {
                $count = 0;
            }
        }
        return $count;
    }
}
//End Twitter function

//for pinterest url share count
if(!function_exists('s7upf_get_pinterest')) {
    function s7upf_get_pinterest( $username, $cache ) {
        $id = 'pinterest';
        $api_url = 'https://www.pinterest.com/';
        $connection = wp_remote_get( $api_url . sanitize_text_field( $username ), array( 'timeout' => 60 ) );
       
        if(!empty($username)){
            if ( is_wp_error( $connection ) ) {
                $total = ( isset( $cache[ $id ] ) ) ? $cache[ $id ] : 0;
            } else {
                $count = 0;
                if ( 200 == $connection['response']['code'] ) {
                    $tags = array();
                    $regex = '/property\=\"pinterestapp:followers\" name\=\"pinterestapp:followers\" content\=\"(.*?)" data-app/';
                    preg_match( $regex, $connection['body'], $tags );
                    if(isset($tags[1])) $count = intval( $tags[1] );
                }
                if ( 0 < $count ) {
                    $total = $count;
                } else {
                    $total = ( isset( $cache[ $id ] ) ) ? $cache[ $id ] : 0;
                }
                $connection['body'] = '{"followers":' . $count . '}';
            }
            return $total;
        } else {
            return 0;
        }
    }
}

//for linkedin count
if(!function_exists('s7upf_get_linkedin')) {
    function s7upf_get_linkedin( $cache, $access_token, $company_id ) {
        $id = 'linkedin';
        $api_url = 'https://api.linkedin.com/v1/companies/%s/num-followers?format=json';        
        $params = array(
            'timeout'   => 60,
            'headers'   => array(
                'Authorization' => 'Bearer ' . sanitize_text_field( $access_token )
            )
        );
        $connection = wp_remote_get( sprintf( $api_url, sanitize_text_field( $company_id ) ), $params );
        if ( is_wp_error( $connection ) || 200 != $connection['response']['code'] ) {
            $total = ( isset( $cache[ $id ] ) ) ? $cache[ $id ] : 0;
        } else {
            $count = intval( $connection['body'] );

            if ( 0 < $count ) {
                $total = $count;
            } else {
                $total = ( isset( $cache[ $id ] ) ) ? $cache[ $id ] : 0;
            }
        }
        return $total;
    }
}

//For Vimeo count
if(!function_exists('s7upf_get_vimeo')) {
    function s7upf_get_vimeo( $username, $cache ) {
        $id = 'vimeo';
        $api_url = 'https://vimeo.com/api/v2/%s/info.json';
        $connection = wp_remote_get( sprintf( $api_url, sanitize_text_field( $username ) ), array( 'timeout' => 60 ) );
        if ( is_wp_error( $connection ) || 200 != $connection['response']['code'] ) {
            $total = ( isset( $cache[ $id ] ) ) ? $cache[ $id ] : 0;
        } else {
            $_data = json_decode( $connection['body'], true );
            if ( isset( $_data['total_contacts'] ) ) {
                $count = intval( $_data['total_contacts'] );
                $total = $count;
            } else {
                $total = ( isset( $cache[ $id ] ) ) ? $cache[ $id ] : 0;
            }
        }
        return $total;
    }
}



/* -------------------------------------- Metabox -------------------------------- */
// MetaBox
if(!function_exists('s7upf_display_metabox'))
{
    function s7upf_display_metabox($type ='') {
        switch ($type) {
            case 'single-share':
            $enable_share_single = s7upf_get_option('enable_share_single');
            if($enable_share_single == 'on') { ?>
            <div class="single-share border-bottom">
                <!-- <a href="#" class="hvr-bob" target="blank">
                    <i class="fa fa-share-alt"></i>
                    <span></span> 
                </a> -->
                <a href="http://www.facebook.com/sharer.php?u=<?php the_permalink(); ?>" class="hvr-bob" target="blank">
                    <i class="fa fa-facebook"></i>
                    <span></span>
                </a>
                <a href="http://twitter.com/share?url=<?php the_permalink() ?>" class="hvr-bob" target="blank">
                    <i class="fa fa-twitter"></i>
                    <span></span>
                </a>
                <a href="https://plus.google.com/share?url=<?php the_permalink(); ?>" class="hvr-bob" target="blank">
                    <i class="fa fa-google"></i>
                    <span></span>
                </a>
                <a href="mailto:?body=<?php the_permalink(); ?>" class="hvr-bob">
                    <i class="fa fa-envelope-o"></i>
                    <span></span>
                </a>
                <a href="http://www.pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>" class="hvr-bob" target="blank">
                    <i class="fa fa-pinterest"></i>
                    <span></span>
                </a>
                <a href="http://www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink(); ?>" class="hvr-bob" target="blank">
                    <i class="fa fa-linkedin"></i>
                    <span></span>
                </a>
                <a href="https://www.tumblr.com/share?v=3&u=<?php the_permalink(); ?>" class="hvr-bob" target="blank">
                    <i class="fa fa-tumblr"></i>
                    <span></span>
                </a>
            </div>
            <?php }
            break;
            /* End Single share */

            case 'single-author':
            $enable_info_author = s7upf_get_option('enable_info_author', 'off');
            if($enable_info_author != 'on') return;
            $user_info = get_userdata(get_the_author_meta('ID'));
            ?>
            <div class="post-meta">
                <div class="article-avatar">
                    <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>" class="hvr-rotate"><?php echo get_avatar(get_the_author_meta('ID'), 100); ?></a>
                </div>
                <div class="article-info">
                    <p><?php esc_html_e( 'Written By' ,'worldnews'); ?></p>
                    <div class="social-article">
                        <h3><a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><?php the_author(); ?></a></h3>
                        <ul class="list-inline-block">
                            <?php
                            global $post;
                            $sl=array(
                                'facebook'      =>  "fa fa-facebook",
                                'twitter'       =>  "fa fa-twitter",
                                'pinterest'     =>  "fa fa-pinterest",
                            );
                            if(isset($post->post_author)){
                                foreach($sl as $type=>$class){
                                    $url  = get_user_option( $type, $post->post_author );
                                    if(!empty($url)){ ?>
                                    <li><a class="dark" href="<?php echo esc_url($url);?>"><i class="<?php echo esc_attr($class);?>"></i></a></li>
                                    <?php }
                                }
                            }
                            ?>
                        </ul>
                    </div>
                    <p><?php echo implode(', ',$user_info->roles);?></p>
                </div>
            </div>
            <?php
            break;
            /* End Single author */

            case 'single-control':
            $enable_post_control = s7upf_get_option('enable_post_control');
            if($enable_post_control == 'off') return;
            $previous_post = get_previous_post();
            $next_post = get_next_post();
            if(get_previous_post() || get_next_post()) { 
                $check_rtl = s7upf_get_option('enable_rtl');
                ?>
                <div class="control-text margin-b30 border-bottom border-top">
                    <div class="row">
                        <div class="col-sm-6">
                            <?php if(!empty( $previous_post )):?>
                                <div class="text-left">
                                    <?php
                                    if($check_rtl == 'off') {
                                        echo '<i class="ion-chevron-left"></i>';
                                    }
                                    if($check_rtl == 'on') echo '<i class="ion-chevron-right"></i>';
                                    ?>
                                    <h3><?php previous_post_link('%link'); ?></h3>
                                </div>
                            <?php endif;?>
                        </div>
                        <div class="col-sm-6">
                            <?php if(!empty( $next_post )):?>
                                <div class="text-right">
                                    <h3><?php next_post_link('%link'); ?></h3>
                                    <?php 
                                    if ($check_rtl == 'off') {
                                        echo '<i class="ion-chevron-right"></i>';
                                    }
                                    if($check_rtl == 'on') echo '<i class="ion-chevron-left"></i>';
                                    ?>
                                </div>
                            <?php endif;?>
                        </div>
                    </div>
                </div>
                <?php 
            }
            break;
            /* End Single control */

            case 'single-related':
            global $post;
            $enable_related_post = s7upf_get_option('enable_related_post');
            if($enable_related_post == 'off') return;
            $related = get_posts( array( 'category__in' => wp_get_post_categories($post->ID), 'numberposts' => 2, 'post__not_in' => array($post->ID) ) );
            if($related) {
                ?>
                <div class="also-like color-color-border-top margin-b20">
                    <div>
                        <h2 class="color-title margin-b20"><?php esc_html_e( 'You may also like' ,'worldnews'); ?></h2>
                    </div>
                    <div class="post-box-listing">
                        <div class="grid-blog row">
                            <?php
                            foreach( $related as $post ){ setup_postdata($post); ?>
                            <div class="post-item col-sm-6">
                                <div class="post-thumb">
                                    <div class="list-cat-btn">
                                        <?php
                                        $post_id = get_the_ID();
                                        s7upf_list_cat_btn($post_id); 
                                        ?>
                                    </div>
                                    <div class="type-icon">
                                        <?php 
                                        $format = get_post_format();
                                        s7upf_post_format($format);
                                        ?>
                                    </div>
                                    <a href="<?php the_permalink() ?>"><?php the_post_thumbnail(); ?></a>
                                </div>
                                <div class="post-info">
                                    <a href="<?php the_permalink() ?>"><b><?php the_title() ?></b></a>
                                    <ul class="post-list-info">
                                        <li>
                                            <i class="ion-android-calendar"></i>
                                            <span><?php echo get_the_date(get_option('date_format')); ?></span>
                                        </li>
                                        <li>
                                            <a href="<?php echo esc_url( get_comments_link() ); ?>">
                                                <i class="ion-chatbox-working"></i>
                                                <span><?php comments_number( '0', '1', '%' ); ?></span>
                                            </a>
                                        </li>
                                    </ul>
                                    <p><?php echo s7upf_substr(get_the_excerpt(),0,30); ?></p>
                                    <a href="<?php the_permalink() ?>" class="read-more"><?php esc_html_e( 'Read more' ,'worldnews'); ?></a>
                                </div>
                            </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
                <?php 
            }
            wp_reset_query();
            ?>
            <?php
            break;
            /* End Single related */

            default:?>
            <ul class="post_meta_links">
                <li class="date"><?php echo get_the_time('d F Y')?></li>
                <li class="post_by"><i><?php esc_html_e('by', 'worldnews');?>:</i> <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><?php echo get_the_author(); ?></a></li>
                <li class="post_categoty"><i><?php esc_html_e('in', 'worldnews');?>:</i>
                    <?php $cats = get_the_category_list(', ');?>
                    <?php if($cats) echo balanceTags($cats); else esc_html_e("No Category",'worldnews');?>
                </li>
                <li class="post_categoty st_post_tag"><i><?php esc_html_e('tag', 'worldnews');?>:</i>
                    <?php $cats = get_the_tag_list(' ',', ',' ');?>
                    <?php if($cats) echo balanceTags($cats); else esc_html_e("No Tag",'worldnews');?>
                </li>
                <li class="post_comments"><i><?php esc_html_e('note', 'worldnews');?>:</i> <a href="<?php echo esc_url( get_comments_link() ); ?>"><?php echo get_comments_number(); ?>
                    <?php
                    if(get_comments_number()>1) esc_html_e('Comments', 'worldnews') ;
                    else esc_html_e('Comment', 'worldnews') ;
                    ?>
                </a></li>
            </ul>
            <?php
            break;
        }
    }
}

/* -------------------------------------- List categories button -------------------------------- */
if(!function_exists('s7upf_list_cat_btn')){
    function s7upf_list_cat_btn($post_id) {
        $args = wp_get_post_categories($post_id);
        if(is_array($args)){
            echo '<ul class="post-categories">';
            foreach ($args as $key=>$value) {
                $term_vals = get_term_meta($value);
                foreach($term_vals as $key=>$val){
                    $cat_css = S7upf_Assets::build_css('background-color: #' . $val[0] . ';');
                    echo '<li><a href="'.get_category_link($value).'" class="'.$cat_css.'">'.get_cat_name($value).'</a></li>';
                }
            }
            echo '</ul>';
        }   
    }
}


/* -------------------------------------- Primary category -------------------------------- */
if(!function_exists('s7upf_primary_category')){
    function s7upf_primary_category($post_id) {
        $perma_cat = get_post_meta($post_id, '_category_permalink', true);
        if ( $perma_cat != null ) 
        {
            $cat_id = $perma_cat['category'];
            $category = get_category($cat_id);
        } else {
            $categories = get_the_category();
            $category = $categories[0];
        }
        $category_link = get_category_link($category);
        $category_title = $category->name;
        $cat_color = get_term_meta( $category->term_id, '_category_color', true );
        $cat_css = S7upf_Assets::build_css('background-color: #' .$cat_color. ';');
        echo '<ul><li><a href="'.esc_url($category_link).'" class="'.$cat_css.'">'.esc_attr($category_title).'</a></li></ul>';
    }
}


/* -------------------------------------- Primary category widget -------------------------------- */
if(!function_exists('s7upf_primary_category_widget')){
    function s7upf_primary_category_widget($post_id) {
        $perma_cat = get_post_meta($post_id, '_category_permalink', true);
        if ( $perma_cat != null ) 
        {
            $cat_id = $perma_cat['category'];
            $category = get_category($cat_id);
        } else {
            $categories = get_the_category();
            $category = $categories[0];
        }
        $category_link = get_category_link($category);
        $category_title = $category->name;
        $cat_color = get_term_meta( $category->term_id, '_category_color', true );
        $cat_css = S7upf_Assets::build_css('background-color: #' .$cat_color. ';');
        $html = '';
        $html .= '<ul><li><a href="'.esc_url($category_link).'" class="'.$cat_css.'">'.esc_attr($category_title).'</a></li></ul>';
        return $html;
    }
}

/* -------------------------------------- Post format icon -------------------------------- */
if(!function_exists('s7upf_post_format')){
    function s7upf_post_format($format) {
        if ($format == 'gallery') {
            echo '<i class="ion-images"></i>';
        } elseif ($format == 'image') {
            echo '<i class="ion-image"></i>';
        } elseif ($format == 'video') {
            echo '<i class="ion-ios-videocam"></i>';
        } elseif ($format == 'audio') {
            echo '<i class="ion-ios-musical-notes"></i>';
        } elseif ($format == 'quote') {
            echo '<i class="ion-quote"></i>';
        } else {
            echo '<i class="ion-link"></i>';
        }
    }
}

/* -------------------------------------- Post list info -------------------------------- */
if(!function_exists('s7upf_post_list_info')) {
    function s7upf_post_list_info() {
        ?>
        <ul class="post-list-info">
            <li>
                <i class="ion-android-calendar"></i>
                <span><?php echo get_the_date(get_option('date_format')); ?></span>
            </li>
            <li>
                <a href="<?php echo esc_url( get_comments_link() ); ?>">
                    <i class="ion-chatbox-working"></i>
                    <span><?php comments_number( '0', '1', '%' ); ?></span>
                </a>
            </li>
        </ul>
        <?php
    }
}

/*--------------------------------- Display single slider ----------------------------------------*/
if(!function_exists('s7upf_single_slider')) {
    function s7upf_single_slider() {
        if(is_single()) {
            $enable_slider = s7upf_get_value_by_id('enable_slider_single');
            if($enable_slider=='on') {
                $slider_style = s7upf_get_value_by_id('style_slider_single');
                $number_posts = s7upf_get_value_by_id('number_post_slider_single');
                if($number_posts!= '') $number_posts = $number_posts; else $number_posts = 2;
                $category = s7upf_get_value_by_id('category_slider_single');
                $args=array(
                    'post_type'         => 'post',
                    'posts_per_page'    => $number_posts,
                    'post_status'       => 'publish',
                    'ignore_sticky_posts'   => 1,
                );
                if(!empty($category)) {
                    $args['tax_query'][]=array(
                        'taxonomy'=>'category',
                        'field'=>'id',
                        'terms'=> $category
                    );
                }
                $query = new WP_Query($args);
                if($query->have_posts()) {
                    ?>
                    <div class="<?php echo esc_attr($slider_style); ?>">
                        <div class="<?php if($slider_style=='container') echo esc_attr('top-listing3'); else echo esc_attr('top-listing4'); ?> ion-big">
                            <div class="wrap-item" data-pagination="false" data-paginumber="false"  data-navigation="true" data-itemscustom="[[0,1],[980,1]]">
                                <?php
                                while($query->have_posts()) 
                                {
                                    $query->the_post();
                                    ?>
                                    <div class="post-item white first-post34">
                                        <div class="post-thumb">
                                            <div class="list-cat-btn">
                                                <?php
                                                $post_id = get_the_ID();
                                                s7upf_list_cat_btn($post_id);
                                                ?>
                                            </div>
                                            <div class="type-icon">
                                                <?php 
                                                $format = get_post_format();
                                                s7upf_post_format($format);
                                                ?>
                                            </div>
                                            <a href="<?php the_permalink(); ?>">
                                                <?php
                                                echo get_the_post_thumbnail();
                                                ?>
                                            </a>
                                        </div>
                                        <div class="post-info">
                                            <div class="<?php if($slider_style!='container') echo esc_attr('container');?>">
                                                <div class="center-info-content">
                                                    <a href="<?php the_permalink(); ?>"><b data-hover="<?php the_title(); ?>"><?php the_title(); ?></b></a>
                                                    <ul class="post-list-info">
                                                        <li>
                                                            <i class="ion-android-calendar"></i>
                                                            <span><?php echo get_the_date(get_option('date_format')); ?></span>
                                                        </li>
                                                        <li>
                                                            <a href="<?php echo esc_url( get_comments_link() ); ?>">
                                                                <i class="ion-chatbox-working"></i>
                                                                <span><?php comments_number( '0', '1', '%' ); ?></span>
                                                            </a>
                                                        </li>
                                                    </ul>
                                                    <?php 
                                                    if ( has_excerpt( get_the_ID()) ) {
                                                        echo '<p>'.balanceTags(wp_trim_words( get_the_excerpt(), 30 , '...' ), true).'</p>';
                                                    } else echo '<p>'.balanceTags(wp_trim_words( get_the_content(), 30 , '...'), true).'</p>'; 
                                                    ?>
                                                </div>                          
                                            </div>
                                        </div>
                                    </div>
                                    <?php 
                                } ?>
                            </div>  
                        </div>
                    </div>
                    <?php
                }
            }
        }
    }
}