<?php
/**
 * Created by Sublime text 3.
 * User: 7uptheme
 * Date: 07/2017
 */

$image_size 		= s7upf_get_size_image('full',$image_size);
$background_size	= s7upf_get_size_image('full',$background_size);
$image_link			= vc_build_link($image_link);

switch ($style) {
	case 'style1': ?>
	<div class="scale-out home1-banner1">
		<a href="<?php echo (!empty($image_link['url']))? esc_url($image_link['url']): '#'; ?>" <?php if(empty($image_link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($image_link['target']))?'_blank':'_parent'; ?>">
			<div class="scale-out-bg">
				<?php if(!empty($background)) { echo wp_get_attachment_image($background,$background_size); } ?>
			</div>
			<div class="ads-scale-content1">
				<?php if(!empty($image)) { echo wp_get_attachment_image($image,$image_size); } ?>
			</div>
		</a>
	</div>
	<?php
	break;
	/* End style 1 */

	case 'style2':
	?>
	<div class="ads-style1 drop-shadow">
		<a href="<?php echo (!empty($image_link['url']))? esc_url($image_link['url']): '#'; ?>" <?php if(empty($image_link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($image_link['target']))?'_blank':'_parent'; ?>">
			<figure class="effect-bubba">
				<?php if(!empty($image)) { echo wp_get_attachment_image($image,$image_size); } ?>
				<figcaption>
					<p class="<?php if(!empty($el_class)) echo esc_attr($el_class); else echo 'click-here'; ?>"><?php if(!empty($button_text)) echo esc_attr($button_text); ?></p>
				</figcaption>
			</figure>
		</a>		
	</div>
	<?php
	break;
	/* End style 2 */

	case 'style3':
	?>
	<div class="ads-style2">
		<figure class="scale-out effect-bubba">
			<a href="<?php echo (!empty($image_link['url']))? esc_url($image_link['url']): '#'; ?>">
				<div class="scale-out-bg">
					<?php if(!empty($image)) { echo wp_get_attachment_image($image,$image_size); } ?>
				</div>
				<figcaption>
					<div class="ads-scale-content2">
						<?php echo wpb_js_remove_wpautop($content,false); ?>
					</div>
				</figcaption>
			</a>
		</figure>
	</div>
	<?php
	break;
	/* End style 3 */

	case 'style4':
	?>
	<div class="ads-style3 scale-out popular-ads <?php echo esc_attr($el_class); ?>">
		<a href="<?php echo (!empty($image_link['url']))? esc_url($image_link['url']): '#'; ?>">
			<div class="scale-out-bg">
				<?php if(!empty($image)) { echo wp_get_attachment_image($image,$image_size); } ?>
			</div>
		</a>
		<div class="ads-content3">
			<p><?php echo esc_attr($left_text); ?></p>
			<div class="video-button">
				<span class="ion-play"></span>										
			</div>
			<p><?php echo esc_attr($right_text); ?></p>
		</div>
		<div class="popup-video">
			<div class="window" id="dialog">
				<video id="my-video" width="640" height="427" controls><source src="<?php echo esc_url($link_video); ?>" type="video/mp4" />
					<span class="ion-pause"></span>
				</video>												
			</div>
			<div id="mask"></div>
		</div>	
	</div>
	<?php
	break;

	case 'style5':
	?>
	<div class="fashion-ads scale-out two-side-over popular-ads <?php echo esc_attr($el_class); ?>">
		<a href="<?php echo (!empty($image_link['url']))? esc_url($image_link['url']): '#'; ?>">
			<div class="scale-out-bg">												
				<?php if(!empty($image)) { echo wp_get_attachment_image($image,$image_size); } ?>
			</div>
			<div class="ads-content1">
				<?php echo wpb_js_remove_wpautop($content,false); ?>
			</div>	
		</a>										
	</div>
	<?php
	break;

	case 'style6':
	?>
	<div class="scale-out two-side-over home3-ads1 <?php echo esc_attr($el_class); ?>">
		<a href="<?php echo (!empty($image_link['url']))? esc_url($image_link['url']): '#'; ?>">
			<div class="scale-out-bg">
				<?php if(!empty($background)) { echo wp_get_attachment_image($background,$background_size); } ?>
			</div>
			<div class="ads-content2">
				<?php if(!empty($image)) { echo wp_get_attachment_image($image,$image_size); } ?>
			</div>
		</a>										
	</div>
	<?php
	break;

	case 'style7':
	?>
	<div class="ads-style4">
		<a href="<?php echo (!empty($image_link['url']))? esc_url($image_link['url']): '#'; ?>">
			<?php if(!empty($image)) { echo wp_get_attachment_image($image,$image_size); } ?>
			<div class="ads-content4">
				<p><?php echo wpb_js_remove_wpautop($content,false); ?></p>
				<span class="hvr-shrink"><?php echo esc_html__('Buy now', 'worldnews'); ?></span>
			</div>								
		</a>
	</div>
	<?php
	break;

	default:
	if(!empty($image)) { ?>
	<figure class="effect-shine <?php echo esc_attr($el_class); ?>">
		<a href="<?php echo (!empty($image_link['url']))? esc_url($image_link['url']): '#'; ?>" <?php if(empty($image_link['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($image_link['target']))?'_blank':'_parent'; ?>">
			<?php echo wp_get_attachment_image($image,$image_size); ?>
		</a>
	</figure>
	<?php }
	break;
}