<?php
/**
 * Created by Sublime text 3.
 * User: 7uptheme
 * Date: 25/07/17
 * Time: 08:45
 */

switch ($style) {
	case 'style1':
	?>
	<div class="right-menu">
		<ul class="float-right">
			<?php if($box_profile == 'on'){ ?>
			<li><a href="#"><i class="ion-android-person"></i></a></li>
			<?php } 
			if($show_mini_cart == 'on'){ ?>
			<li><a href="#"><i class="ion-android-cart"></i><span>0</span></a></li>
			<?php }	?>
		</ul>
		<?php if($show_search == 'on'){ ?>
		<div class="box-search float-right">
			<form class="search-form" action="<?php echo esc_url(home_url('/')); ?>">
				<input type="text" name="s" value="<?php echo esc_attr($search_val);?>" onblur="if (this.value=='') this.value = this.defaultValue" onfocus="if (this.value==this.defaultValue) this.value = ''">
				<input type="submit" value="">	
			</form>
		</div>
		<?php } ?>
	</div>
	<?php
	break;

	case 'style2':
	?>
	<div class="right-menu no-border">
		<ul class="float-right">
			<?php if($box_profile == 'on'){ ?>
			<li><a href="#"><i class="ion-android-person"></i></a></li>
			<?php }
			if($show_mini_cart == 'on'){ ?>
			<li><a href="#"><i class="ion-android-cart"></i><span>0</span></a></li>
			<?php } ?>
		</ul>
		<?php if($show_search == 'on'){ ?>
		<div class="box-search float-right">
			<form class="search-form" action="<?php echo esc_url(home_url('/')); ?>">
				<input type="text" name="s" value="<?php echo esc_attr($search_val);?>" onblur="if (this.value=='') this.value = this.defaultValue" onfocus="if (this.value==this.defaultValue) this.value = ''">
				<input type="submit" value="">	
			</form>
		</div>
		<?php } ?>
	</div>
	<?php
	break;

	case 'style3':
	?>
	<div class="header-right-option">
		<?php if($show_search == 'on'){ ?>
		<div class="visible-search-box">
			<form class="search-form" action="<?php echo esc_url(home_url('/')); ?>">
				<input type="text" name="s" value="<?php echo esc_attr($search_val);?>" onblur="if (this.value=='') this.value = this.defaultValue" onfocus="if (this.value==this.defaultValue) this.value = ''">
				<input type="submit" value="">	
			</form>
		</div>
		<?php } ?>
		<?php if($box_profile == 'on'){ ?>
		<div class="my-sth login-button">
			<a href="#"><i class="ion-android-person"></i><p><?php echo esc_html__( 'My account', 'worldnews' ); ?></p></a>
		</div>
		<?php }
		if($show_mini_cart == 'on'){ ?>
		<div class="my-sth">
			<a href="#"><i class="ion-android-cart"></i><span>0</span><p><?php echo esc_html__( 'My cart', 'worldnews' ); ?></p></a>
		</div>
		<?php }	?>
	</div>
	<?php
	break;

	default: 
	?>
	<div class="right-menu">
		<ul class="float-right">
			<?php if($box_profile == 'on'){ ?>
			<li><a href="#"><i class="ion-android-person"></i></a></li>
			<?php }
			if($show_mini_cart == 'on'){ ?>
			<li><a href="#"><i class="ion-android-cart"></i><span>0</span></a></li>
			<?php }	?>
		</ul>
		<?php if($show_search == 'on'){ ?>
		<div class="box-search float-right">
			<form class="search-form" action="<?php echo esc_url(home_url('/')); ?>">
				<input type="text" name="s" value="<?php echo esc_attr($search_val);?>" onblur="if (this.value=='') this.value = this.defaultValue" onfocus="if (this.value==this.defaultValue) this.value = ''">
				<input type="submit" value="">	
			</form>
		</div>
		<?php } ?>
	</div>
	<?php
	break;
}