<?php
$data = $st_link_post= $s_class = '';
global $post;
$s7upf_image_blog = get_post_meta(get_the_ID(), 'format_image', true);
if(!empty($s7upf_image_blog)){
    $data .='
    <div class="post-thumbnail margin-b20">
        <img alt="'.$post->post_name.'" title="'.$post->post_name.'" class="blog-image" src="' . esc_url($s7upf_image_blog) . '"/>
    </div>';
} else{
    if (has_post_thumbnail()) {
        $data .= '
        <div class="post-thumbnail margin-b20">
            '.get_the_post_thumbnail(get_the_ID(),'full',array('class'=>'blog-image')).'                
        </div>';
    }
}
?>
<div class="post-content <?php echo (is_sticky()) ? 'sticky':''?>">
    <?php if(!empty($data)) echo balanceTags($data);?>
    <div class="main-post-content margin-b30">
        <div class="post-item border-bottom">
            <div class="post-info">
                <h1 class="title18 margin-b20">
                    <?php the_title()?>
                    <?php echo (is_sticky()) ? '<i class="fa fa-thumb-tack"></i>':''?>
                </h1>
                <ul class="post-list-info">
                    <li>
                        <i class="ion-android-calendar"></i>
                        <span><?php echo get_the_date(get_option('date_format')); ?></span>
                    </li>
                    <li>
                        <a href="<?php echo esc_url( get_comments_link() ); ?>">
                            <i class="ion-chatbox-working"></i>
                            <span><?php comments_number( '0', '1', '%' ); ?></span>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
        <?php if(has_excerpt()) {?>            
        <div class="desc margin-b20"><?php the_excerpt(); ?></div>
        <?php } ?>
        <div class="post-detail margin-b30"><?php the_content(); ?></div>
    </div>
</div>