<?php
/**
 * The template for displaying all single posts.
 *
 * @package 7up-framework
 */
?>
<?php get_header();?>
<div id="main-content"  class="main-wrapper">
        <?php
        $page_id = s7upf_get_value_by_id('s7upf_top_posts_page');
        if(!empty($page_id)) {
            s7upf_get_top_posts_visual($page_id);
        }
        ?>
    <div id="tp-blog-page" class="tp-blog-page"><!-- blog-single -->
        <div class="container">
            <div class="row">
                <?php s7upf_output_sidebar('left')?>
                <div class="left-side <?php echo esc_attr(s7upf_get_main_class()); ?>">
                    <?php
                    
                    while ( have_posts() ) : the_post();
                    /*
                            * Include the post format-specific template for the content. If you want to
                            * use this in a child theme, then include a file called called content-___.php
                            * (where ___ is the post format) and that will be used instead.
                            */
                    get_template_part( 's7upf_templates/single-content/content',get_post_format() );
                    wp_link_pages( array(
                        'before' => '<div class="page-nav-bar">' . esc_html__( 'Pages:', 'worldnews' ),
                        'after'  => '</div>',
                        'link_before' => '<span class="post-page">',
                        'link_after'  => '</span>',
                        'separator'        => '',
                        'nextpagelink'     => esc_html__( '&larr;', 'worldnews' ),
                        'previouspagelink' => esc_html__( '&rarr;', 'worldnews' ),
                        'pagelink'         => '%',
                        'echo'             => 1
                    ));
                    s7upf_display_metabox('single-share');

                    $check_content = get_the_content();
                    if(!empty($check_content)) { s7upf_display_metabox('single-author');}
                    
                    s7upf_display_metabox('single-control');
                    s7upf_display_metabox('single-related');
                    if ( comments_open() || get_comments_number() ) { comments_template(); }
                    endwhile; ?>
                </div>
                <?php s7upf_output_sidebar('right')?>
            </div>
        </div>
    </div>
</div>
<?php get_footer();?>