<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_contact_box'))
{
    function s7upf_vc_contact_box($attr,$content = false)
    {
        $html = $view_html = $bg_class = '';
        extract(shortcode_atts(array(
            'icon'       => '',
            'link'       => '#',
        ),$attr));
        $html .=    '<div class="item-contact-box">
                        <a href="'.esc_url($link).'" class="contact-icon"><i class="fa '.esc_attr($icon).'" aria-hidden="true"></i></a>
                        '.wpb_js_remove_wpautop($content, true).'
                    </div>';
        return $html;
    }
}

stp_reg_shortcode('sv_contact_box','s7upf_vc_contact_box');

vc_map( array(
    "name"      => esc_html__("SV Contact Box", 'kutearts_shop'),
    "base"      => "sv_contact_box",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Icon",'kutearts_shop'),
            "param_name"    => "icon",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker'
        ),
        array(
            "type"          => "textarea_html",
            "holder"        => 'div',
            "heading"       => esc_html__("Description",'kutearts_shop'),
            "param_name"    => "content",
        ),
        array(
            'type'          => 'textfield',
            'heading'       => esc_html__( 'Link Banner', 'kutearts_shop' ),
            'param_name'    => 'link',
        ),
    )
));