<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_get_sidebar'))
{
    function s7upf_vc_get_sidebar($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'sidebar'       => '',
            'pos'           => 'left',
        ),$attr));
        $html .=    '<div class="sidebar sidebar-'.esc_attr($pos).'">';
        ob_start();
        dynamic_sidebar($sidebar);
        $html .=    ob_get_clean();
        $html .=    '</div>';
        
        return $html;
    }
}

stp_reg_shortcode('sv_get_sidebar','s7upf_vc_get_sidebar');
add_action( 'vc_build_admin_page','s7upf_admin_get_sidebar',10,100 );
if ( ! function_exists( 's7upf_admin_get_sidebar' ) ) {
    function s7upf_admin_get_sidebar(){
        vc_map( array(
            "name"      => esc_html__("SV Sidebar", 'kutearts_shop'),
            "base"      => "sv_get_sidebar",
            "icon"      => "icon-st",
            "category"  => '7Up-theme',
            "params"    => array(
                array(
                    "type" => "dropdown",
                    "holder" => "div",
                    "heading" => esc_html__("Sidebar",'kutearts_shop'),
                    "param_name" => "sidebar",
                    "value"     => s7upf_get_sidebar_list()
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Position",'kutearts_shop'),
                    "param_name" => "pos",
                    "value"     => array(
                        esc_html__("Left",'kutearts_shop')   => 'left',
                        esc_html__("Right",'kutearts_shop')   => 'right',
                        )
                )
            )
        ));
    }
}