<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 26/12/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_mailchimp'))
{
    function s7upf_vc_mailchimp($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'title'         => '',
            'des'           => '',
            'placeholder'   => '',
            'submit'        => '',
            'form_id'       => '',
        ),$attr));
        $form_html = apply_filters('s7upf_remove_autofill',do_shortcode('[mc4wp_form id="'.$form_id.'"]'));
        $html .=    '<div class="footer-box email-footer-box newsletter-form" data-placeholder="'.esc_attr($placeholder).'" data-submit="'.esc_attr($submit).'">
                        <h2 class="title-footer-box">'.esc_html($title).'</h2>
                        <p>'.esc_html($des).'</p>
                        '.$form_html.'
                    </div>';
        return $html;
    }
}

stp_reg_shortcode('sv_mailchimp','s7upf_vc_mailchimp');

vc_map( array(
    "name"      => esc_html__("SV MailChimp", 'kutearts_shop'),
    "base"      => "sv_mailchimp",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(        
        array(
            "type" => "textfield",
            'holder'      => 'div',
            "heading" => esc_html__("Title",'kutearts_shop'),
            "param_name" => "title",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Description",'kutearts_shop'),
            "param_name" => "des",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Placeholder Input",'kutearts_shop'),
            "param_name" => "placeholder",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Submit Label",'kutearts_shop'),
            "param_name" => "submit",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Form ID",'kutearts_shop'),
            "param_name" => "form_id",
        )
    )
));