<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 08/10/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_post_list'))
{
    function s7upf_vc_post_list($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'title'         => '',
            'style'         => 'slider',
            'type_post'     => '',
            'cats'          => '',
            'post_formats'  => '',
            'number'        => '10',
            'order'         => 'DESC',
            'order_by'      => '',
            'link'          => '',
            'icon'          => '',
        ),$attr));
        $args=array(
            'post_type'         => 'post',
            'posts_per_page'    => $number,
            'orderby'           => $order_by,
            'order'             => $order,
            'paged'             => 1,
        );
        if($order_by == 'post_views'){
            $args['orderby'] = 'meta_value_num';
            $args['meta_key'] = 'post_views';
        }
        if($order_by == 'time_update'){
            $args['orderby'] = 'meta_value';
            $args['meta_key'] = 'time_update';
        }
        if($order_by == '_post_like_count'){
            $args['orderby'] = 'meta_value_num';
            $args['meta_key'] = '_post_like_count';
        }
        if(!empty($cats)) {
            $custom_list = explode(",",$cats);
            $args['tax_query']['relation'] = 'AND';
            $args['tax_query'][]=array(
                'taxonomy'  => 'category',
                'field'     => 'slug',
                'terms'     => $custom_list
            );
        }
        if(!empty($post_formats)) {
            $formats_list = explode(",",$post_formats);            
            $args['tax_query']['relation'] = 'AND';
            $args['tax_query'][]=array(
                'taxonomy'  => 'post_format',
                'field'     => 'slug',
                'terms'     => $formats_list
            );
        }
        if(!empty($type_post)) {
            $type_list = explode(",",$type_post);
            if(in_array('trending-post',$type_list)){
                $args['meta_query']['relation'] = 'OR';
                $args['meta_query'][] = array(
                        'key'     => 'trending_post',
                        'value'   => 'on',
                        'compare' => '=',
                    );
            }
            if(in_array('featured-post',$type_list)){
                $args['meta_query']['relation'] = 'OR';
                $args['meta_query'][] = array(
                        'key'     => 'featured_post',
                        'value'   => 'on',
                        'compare' => '=',
                    );
            }
        }

        $query_post = new WP_Query($args);
        $count = 1;
        $count_query = $query_post->post_count;
        $max_page = $query_post->max_num_pages;
        switch ($style) {
            case 'mega-style2':
                $html .=    '<div class="mega-featured-news">';
                $html .=    '<h2 class="title-mega-menu">'.esc_html($title).'</h2>';
                $html .=        '<div class="owl-paginav">
                                    <div class="wrap-item">';
                if($query_post->have_posts()) {
                    while($query_post->have_posts()) {
                        $query_post->the_post();
                        $html .=    '<div class="item-mega-featured">
                                        <div class="post-thumb zoom-image"><a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(260,200)).'</a></div>
                                        <div class="post-info">
                                            <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                            <ul class="post-comment-date">
                                                <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span>'.get_the_date('M d').'</span></li>
                                                <li><a href="'.esc_url(get_comments_link()).'"><i aria-hidden="true" class="fa fa-comment"></i><span>'.get_comments_number().'</span></a></li>
                                            </ul>
                                            <p class="post-desc">'.s7upf_substr(get_the_excerpt(),0,110).'</p>
                                        </div>
                                    </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'mega-style':
                $html .=    '<div class="mega-latest-news">';
                $html .=    '<h2 class="title-mega-menu">'.esc_html($title).'</h2>';
                $html .=        '<div class="owl-paginav owl-paginav-default">
                                    <div class="wrap-item">';
                if($query_post->have_posts()) {
                    while($query_post->have_posts()) {
                        $query_post->the_post();
                        if($count % 3 == 1){
                            $html .=    '<div class="item-mega-latest">
                                            <ul class="list-mega-latest">';
                        }
                        $html .=    '<li>
                                        <div class="post-thumb zoom-image"><a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(130,120)).'</a></div>
                                        <div class="post-info">
                                            <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                            <ul class="post-comment-date">
                                                <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span>'.get_the_date('M d').'</span></li>
                                                <li><a href="'.esc_url(get_comments_link()).'"><i aria-hidden="true" class="fa fa-comment"></i><span>'.get_comments_number().'</span></a></li>
                                            </ul>
                                        </div>
                                    </li>';
                        if($count % 3 == 0 || $count == $count_query){
                            $html .=        '</ul>
                                        </div>';
                        }
                        $count++;
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'grid-loadmore5':
                $html .=    '<div class="wrap-post-item grid-loadmore-wrap">
                                <div class="row">';
                if($query_post->have_posts()) {
                    while($query_post->have_posts()) {
                        $query_post->the_post();                        
                        if($count % 5 == 1 || $count % 5 == 2){
                            $col_item = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
                            $size = array(675,450);
                        }
                        else{
                            $size = array(450,300);
                            $col_item = 'col-lg-4 col-md-4 col-sm-6 col-xs-12';
                        }
                        $html .=    '<div class="'.esc_attr($col_item).'">
                                        <div class="post-item style3">
                                            <div class="post-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),$size).'</a>
                                            </div>
                                            <div class="post-info">
                                                '.s7upf_get_cat_post().'
                                                <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                <a href="'.esc_url(get_the_permalink()).'" class="learmore">'.esc_html__("Learn More","kutearts_shop").'</a>
                                                <ul class="post-comment-date">
                                                    <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span>'.get_the_date('M d').'</span></li>
                                                    <li><a href="'.esc_url(get_comments_link()).'"><i aria-hidden="true" class="fa fa-comment"></i><span>'.get_comments_number().'</span></a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>';
                        $count++;
                    }
                }
                $html .=        '</div>
                                <div class="loadmore-item">
                                    <a href="#" class="load-more-home5" data-cat="'.$cats.'" data-number="'.$number.'"  data-order="'.$order.'" data-orderby="'.$order_by.'" data-paged="1"  data-maxpage="'.$max_page.'" data-post_formats="'.$post_formats.'" data-type_post="'.$type_post.'"><i class="fa fa-spinner" aria-hidden="true"></i>'.esc_html__("Load More","kutearts_shop").'</a>
                                </div>
                            </div>';
                break;

            case 'normal-home4':
                $view_html = '';
                $view_link = vc_build_link( $link );
                if(!empty($view_link['url']) && !empty($view_link['title'])){
                    if(!empty($view_link['target'])) $target_html = 'target="'.$view_link['target'].'"';
                    else $target_html = '';
                    $view_html = '<a class="seemore" href="'.esc_url($view_link['url']).'" '.$target_html.'>'.$view_link['title'].'</a>';
                }
                $html .=    '<div class="latest-from-blog">
                                <div class="title-box">';
                if(!empty($title)) $html .=    '<h2>'.esc_html($title).'</h2>';
                $html .=            $view_html;
                $html .=        '</div>
                                <div class="list-latest-blog wrap-post-item">
                                    <div class="row">';
                if($query_post->have_posts()) {
                    while($query_post->have_posts()) {
                        $query_post->the_post();
                        $html .=        '<div class="col-md-4 col-sm-4 col-xs-12">
                                            <div class="item-from-blog">
                                                <div class="blog-thumb">
                                                    <a href="'.esc_url(get_the_permalink()).'" class="blog-thumb-link">'.get_the_post_thumbnail(get_the_ID(),array(390,500)).'</a>
                                                    <a href="'.esc_url(get_the_permalink()).'" class="readmore">'.esc_html__("read more","kutearts_shop").'</a>
                                                </div>
                                                <div class="blog-info">
                                                    <div class="blog-date">
                                                        <strong>'.get_the_date('j').'</strong>
                                                        <span>'.get_the_date('M').'</span>
                                                    </div>
                                                    <h3 class="blog-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                    <p class="blog-desc">'.s7upf_substr(get_the_excerpt(),0,100).'</p>
                                                </div>
                                            </div>
                                        </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'grid-home4':
                $view_html = '';
                $view_link = vc_build_link( $link );
                if(!empty($view_link['url']) && !empty($view_link['title'])){
                    if(!empty($view_link['target'])) $target_html = 'target="'.$view_link['target'].'"';
                    else $target_html = '';
                    $view_html = '<a class="seemore" href="'.esc_url($view_link['url']).'" '.$target_html.'>'.$view_link['title'].'</a>';
                }
                $html .=    '<div class="featured-gallery">
                                <div class="title-box">';
                if(!empty($title)) $html .=    '<h2>'.esc_html($title).'</h2>';
                $html .=            $view_html;
                $html .=        '</div>
                                <div class="list-featured-gallery">
                                    <div class="row">';
                if($query_post->have_posts()) {
                    while($query_post->have_posts()) {
                        $query_post->the_post();
                        if($count % 5 == 1){
                            $html .=    '<div class="col-md-6 col-sm-12 col-xs-12">
                                            <div class="wrap-post-item">
                                                <div class="post-item4 item-first">
                                                    <div class="post-thumb">
                                                        <a class="gallery-link" data-fancybox-group="button" href="'.esc_url(get_the_post_thumbnail_url(get_the_ID(),'full')).'">'.get_the_post_thumbnail(get_the_ID(),array(570,500)).'</a>
                                                    </div>
                                                    <div class="post-info">
                                                        <span class="post-format"><i class="fa '.esc_attr($icon).'" aria-hidden="true"></i></span>
                                                        <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>';
                        }
                        else{
                            if($count % 5 == 2){
                                $html .=    '<div class="col-md-6 col-sm-12 col-xs-12">
                                                <div class="list-post-item-right">
                                                    <div class="wrap-post-item">
                                                        <div class="row">';
                            }
                            $html .=    '<div class="col-md-6 col-sm-6 col-xs-12">
                                            <div class="post-item4">
                                                <div class="post-thumb">
                                                    <a class="gallery-link" data-fancybox-group="button" href="'.esc_url(get_the_post_thumbnail_url(get_the_ID(),'full')).'">'.get_the_post_thumbnail(get_the_ID(),array(300,250)).'</a>
                                                </div>
                                                <div class="post-info">
                                                    <span class="post-format"><i class="fa '.esc_attr($icon).'" aria-hidden="true"></i></span>
                                                    <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                </div>
                                            </div>
                                        </div>';
                            if($count % 5 == 0 || $count == $count_query){
                                $html .=                '</div>
                                                    </div>
                                                </div>
                                            </div>';
                            }
                        }
                        $count++;
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'grid-home3':
                $html .=    '<div class="popular-post recent-post">';
                if(!empty($title)) $html .=    '<h2 class="title3">'.$title.'</h2>';
                $html .=        '<div class="list-popular-post">
                                    <div class="row">';
                if($query_post->have_posts()) {
                    while($query_post->have_posts()) {
                        $query_post->the_post();
                        $html .=    '<div class="col-lg-3 col-md-4 col-sm-6 col-xs-12">
                                        <div class="post-item post-item-popular">
                                            <div class="post-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'" class="post-thumb-link">'.get_the_post_thumbnail(get_the_ID(),array(337,225)).'</a>
                                                <a href="'.esc_url(get_the_permalink()).'" class="readmore">'.esc_html__("Read more","kutearts_shop").'</a>
                                            </div>
                                            <div class="post-info">
                                                <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                <p class="post-desc">'.s7upf_substr(get_the_excerpt(),0,100).'</p>
                                            </div>
                                        </div>
                                    </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'grid-loadmore':
                $html .=    '<div class="wrap-post-item grid-loadmore-wrap">
                                <div class="row">';
                if($query_post->have_posts()) {
                    while($query_post->have_posts()) {
                        $query_post->the_post();
                        if($count % 3 == 1){
                            $col_item = 12;
                            $size = 'full';
                        }
                        else {
                            $col_item = 6;
                            $size = array(585,390);
                        }
                        $html .=    '<div class="col-md-'.$col_item.' col-sm-'.$col_item.' col-xs-12">
                                        <div class="post-item style3">
                                            <div class="post-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),$size).'</a>
                                            </div>
                                            <div class="post-info">
                                                '.s7upf_get_cat_post().'
                                                <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                <a href="'.esc_url(get_the_permalink()).'" class="learmore">'.esc_html__("Learn More","kutearts_shop").'</a>
                                                <ul class="post-comment-date">
                                                    <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span>'.get_the_date('M d').'</span></li>
                                                    <li><a href="'.esc_url(get_comments_link()).'"><i aria-hidden="true" class="fa fa-comment"></i><span>'.get_comments_number().'</span></a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>';
                        $count++;
                    }
                }
                $html .=        '</div>
                                <div class="loadmore-item">
                                    <a href="#" class="load-more-home2" data-cat="'.$cats.'" data-number="'.$number.'"  data-order="'.$order.'" data-orderby="'.$order_by.'" data-paged="1"  data-maxpage="'.$max_page.'" data-post_formats="'.$post_formats.'" data-type_post="'.$type_post.'"><i class="fa fa-spinner" aria-hidden="true"></i>'.esc_html__("Load More","kutearts_shop").'</a>
                                </div>
                            </div>';
                break;

            case 'blog-loadmore':
                $html .=    '<div class="wrap-post-item grid-loadmore-wrap blog-loadmore">
                                <div class="row">';
                if($query_post->have_posts()) {
                    while($query_post->have_posts()) {
                        $query_post->the_post();
                        if($count % 3 == 1){
                            $col_item = 12;
                            $size = 'full';
                        }
                        else {
                            $col_item = 6;
                            $size = array(585,390);
                        }
                        $html .=    '<div class="col-md-'.$col_item.' col-sm-'.$col_item.' col-xs-12">
                                        <div class="post-item style3">
                                            <div class="post-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),$size).'</a>
                                            </div>
                                            <div class="post-info">
                                                '.s7upf_get_cat_post().'
                                                <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                <a href="'.esc_url(get_the_permalink()).'" class="learmore">'.esc_html__("Learn More","kutearts_shop").'</a>
                                                <ul class="post-comment-date">
                                                    <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span>'.get_the_date('M d').'</span></li>
                                                    <li><a href="'.esc_url(get_comments_link()).'"><i aria-hidden="true" class="fa fa-comment"></i><span>'.get_comments_number().'</span></a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>';
                        $count++;
                    }
                }
                $html .=        '</div>
                                <div class="loadmore-item">
                                    <a href="#" class="load-more-home2" data-cat="'.$cats.'" data-number="'.$number.'"  data-order="'.$order.'" data-orderby="'.$order_by.'" data-paged="1"  data-maxpage="'.$max_page.'" data-post_formats="'.$post_formats.'" data-type_post="'.$type_post.'"><i class="fa fa-spinner" aria-hidden="true"></i>'.esc_html__("Load More","kutearts_shop").'</a>
                                </div>
                            </div>';
                break;

            case 'grid-2':
                $html .=    '<div class="normal-grid">';
                if($query_post->have_posts()) {
                    while($query_post->have_posts()) {
                        $query_post->the_post();
                        $format = get_post_format();
                        $gallery = get_post_meta(get_the_ID(), 'format_gallery', true);
                        if($count % 3 == 1){
                            $html .=    '<div class="post-item item-big post-'.$format.'">';
                            if($format == 'gallery' && !empty($gallery)){
                                $array = explode(',', $gallery);                                    
                                $html .=    '<div class="owl-paginav owl-paginav-default">
                                                <div class="wrap-item">';
                                if(is_array($array) && !empty($array)){
                                    foreach ($array as $key => $item) {
                                        $thumbnail_url = wp_get_attachment_url($item);
                                        $html .=    '<div class="post-thumb">';
                                        $html .=        '<img src="' . esc_url($thumbnail_url) . '" alt="">';           
                                        $html .=    '</div>';
                                    }
                                }                                    
                                $html .=        '</div>
                                            </div>';
                            }
                            else{
                                $html .=    '<div class="post-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),'full').'</a>
                                            </div>';
                            }
                            $html .=    '<div class="post-info">
                                                '.s7upf_get_cat_post().'
                                                <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                            </div>
                                            <div class="readmore-comment">
                                                <a href="'.esc_url(get_the_permalink()).'" class="readmore-link"></a>
                                                <a href="'.esc_url(get_comments_link()).'" class="comment-link"><i class="fa fa-comment" aria-hidden="true"></i><span>'.get_comments_number().'</span></a>
                                            </div>
                                        </div>';
                        }
                        else{
                            $html .=    '<div class="post-item item-small">
                                            <div class="post-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(390,390)).'</a>
                                            </div>
                                            <div class="post-info">
                                                '.s7upf_get_cat_post().'
                                                <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                            </div>
                                            <div class="readmore-comment">
                                                <a href="'.esc_url(get_the_permalink()).'" class="readmore-link"></a>
                                                <a href="'.esc_url(get_comments_link()).'" class="comment-link"><i class="fa fa-comment" aria-hidden="true"></i><span>'.get_comments_number().'</span></a>
                                            </div>
                                        </div>';
                        }
                        $count++;
                    }
                }
                $html .=    '</div>';
                break;

            case 'footer-list':
                $html .=    '<div class="footer-box recent-post-footer-box">
                                <h2 class="title-footer-box">'.$title.'</h2>
                                <ul>';
                if($query_post->have_posts()) {
                    while($query_post->have_posts()) {
                        $query_post->the_post();
                        $html .=    '<li>
                                        <div class="post-thumb">
                                            <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(50,50)).'</a>
                                        </div>
                                        <div class="post-info">
                                            <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                            <ul class="post-comment-date">
                                                <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span>'.get_the_date('M d').'</span></li>
                                                <li><a href="'.esc_url(get_comments_link()).'"><i aria-hidden="true" class="fa fa-comment"></i><span>'.get_comments_number().'</span></a></li>
                                            </ul>
                                        </div>
                                    </li>';
                    }
                }
                $html .=        '</ul>
                            </div>';
                break;

            case 'footer-grid':
                $html .=    '<div class="footer-box video-footer-box">
                                <h2 class="title-footer-box">'.$title.'</h2>
                                <ul class="clearfix">';
                if($query_post->have_posts()) {
                    while($query_post->have_posts()) {
                        $query_post->the_post();
                        $html .=    '<li>
                                        <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(130,90)).'</a>
                                    </li>';
                    }
                }
                $html .=        '</ul>
                            </div>';
                break;

            case 'slider-gallery':
                $ul_content = $ul_nav = '';
                if($query_post->have_posts()) {
                    while($query_post->have_posts()) {
                        $query_post->the_post();
                        $ul_content .=  '<li>
                                            <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(1000,427)).'</a>
                                            <div class="gal-slider-info">
                                                '.s7upf_get_cat_post().'
                                                <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                <span>'.human_time_diff( get_post_time('U'), current_time('timestamp') ).' '.esc_html__("ago","kutearts_shop").'</span>
                                            </div>
                                        </li>';
                        $ul_nav .=  '<li>
                                        <a href="'.esc_url(get_the_permalink()).'">
                                            <div class="gallery-control-thumb">
                                                '.get_the_post_thumbnail(get_the_ID(),array(150,100)).'
                                            </div>
                                            <div class="gallery-control-info">
                                                <h3>'.get_the_title().'</h3>
                                                <span>'.human_time_diff( get_post_time('U'), current_time('timestamp') ).' '.esc_html__("ago","kutearts_shop").'</span>
                                            </div>
                                        </a>
                                    </li>';
                    }
                }
                $html .=    '<div class="gallery-slider-home">
                                <h2 class="hight-title">'.$title.'</h2>
                                <div class="gallery-content">
                                    <div id="slider" class="flexslider">
                                        <ul class="slides">
                                            '.$ul_content.'
                                        </ul>
                                    </div>
                                </div>
                                <div class="gallery-control">
                                    <div id="carousel" class="flexslider">
                                        <ul class="slides">
                                            '.$ul_nav.'
                                        </ul>
                                    </div>
                                </div>
                            </div>';
                break;

            case 'grid-1':
                $html .=    '<div class="pop-news-home">
                                <div class="row">';
                if($query_post->have_posts()) {
                    while($query_post->have_posts()) {
                        $query_post->the_post();
                        if($count % 6 == 0) $sm_class = 'hidden-sm';
                        else $sm_class = 'col-sm-6';
                        if($count % 6 == 1){
                            $html .=    '<div class="col-md-8 col-sm-12 col-xs-12">
                                            <div class="post-item">
                                                <div class="post-thumb">
                                                    <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(520,520)).'</a>
                                                </div>
                                                <div class="post-info">
                                                    <h2 class="hight-title">'.$title.'</h2>
                                                    '.s7upf_get_cat_post().'
                                                    <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                </div>
                                                <div class="readmore-comment">
                                                    <a href="'.esc_url(get_the_permalink()).'" class="readmore-link"></a>
                                                    <a href="'.esc_url(get_comments_link()).'" class="comment-link"><i class="fa fa-comment" aria-hidden="true"></i><span>'.get_comments_number().'</span></a>
                                                </div>
                                            </div>
                                        </div>';
                        }
                        else{
                            $html .=    '<div class="col-md-4 '.$sm_class.' col-xs-12">
                                            <div class="post-item">
                                                <div class="post-thumb">
                                                    <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(260,260)).'</a>
                                                </div>
                                                <div class="post-info">
                                                    '.s7upf_get_cat_post().'
                                                    <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                </div>
                                                <div class="readmore-comment">
                                                    <a href="'.esc_url(get_the_permalink()).'" class="readmore-link"></a>
                                                    <a href="'.esc_url(get_comments_link()).'" class="comment-link"><i class="fa fa-comment" aria-hidden="true"></i><span>'.get_comments_number().'</span></a>
                                                </div>
                                            </div>
                                        </div>';
                        }
                        $count++;
                    }
                }
                $html .=        '</div>
                            </div>';
                break;          

            default:
                $html .=    '<div class="category-featured owl-directnav">
                                <div class="wrap-item">';
                if($query_post->have_posts()) {
                    while($query_post->have_posts()) {
                        $query_post->the_post();
                        $html .=    '<div class="item-cat-fea post-item">
                                        <div class="post-thumb"><a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(384,380)).'</a></div>
                                        <div class="post-info">
                                            '.s7upf_get_cat_post().'
                                            <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                            <div class="readmore-comment">
                                                <a href="'.esc_url(get_the_permalink()).'" class="readmore-link"></a>
                                                <a href="'.esc_url(get_comments_link()).'" class="comment-link"><i class="fa fa-comment" aria-hidden="true"></i><span>'.get_comments_number().'</span></a>
                                            </div>
                                        </div>
                                    </div>';
                    }
                }
                $html .=        '</div>
                            </div>';
                break;
        }
        wp_reset_postdata();
        return $html;
    }
}

stp_reg_shortcode('sv_post_list','s7upf_vc_post_list');

vc_map( array(
    "name"      => esc_html__("SV Post List", 'kutearts_shop'),
    "base"      => "sv_post_list",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "textfield",
            "heading" => esc_html__("Number post",'kutearts_shop'),
            "param_name" => "number",
            'description'   => esc_html__( 'Number of post display in this element. Default is 10.', 'kutearts_shop' ),
        ),
        array(
            "type"          => "dropdown",
            "holder"        => "div",
            "heading"       => esc_html__("Style Post",'kutearts_shop'),
            "param_name"    => "style",
            "value"         => array(
                esc_html__("Slider","kutearts_shop")             => 'slider',
                esc_html__("Slider Gallery","kutearts_shop")     => 'slider-gallery',
                esc_html__("Grid 1","kutearts_shop")             => 'grid-1',
                esc_html__("Grid 2","kutearts_shop")             => 'grid-2',
                esc_html__("Footer list","kutearts_shop")        => 'footer-list',
                esc_html__("Footer grid","kutearts_shop")        => 'footer-grid',
                esc_html__("Grid load more","kutearts_shop")     => 'grid-loadmore',
                esc_html__("Blog load more","kutearts_shop")     => 'blog-loadmore',
                esc_html__("Grid home 3","kutearts_shop")        => 'grid-home3',
                esc_html__("Grid home 4","kutearts_shop")        => 'grid-home4',
                esc_html__("Normal home 4","kutearts_shop")      => 'normal-home4',
                esc_html__("Grid load home 5","kutearts_shop")   => 'grid-loadmore5',
                esc_html__("Mega style","kutearts_shop")         => 'mega-style',
                esc_html__("Mega style 2","kutearts_shop")       => 'mega-style2',
                ),
            'description'   => esc_html__( 'Choose style to display.', 'kutearts_shop' ),
        ),
        array(
            "type" => "textfield",
            "holder"    => 'div',
            "heading" => esc_html__("Title",'kutearts_shop'),
            "param_name" => "title",
            "dependency"    => array(
                "element"   => "style",
                "value"     => array("grid-1","slider-gallery","footer-grid","footer-list","grid-home3","grid-home4","normal-home4","mega-style","mega-style2"),
                )
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Icon Title",'kutearts_shop'),
            "param_name"    => "icon",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
            "dependency"    => array(
                "element"   => "style",
                "value"     => array("grid-home4"),
                )
        ),
        array(
            'type'        => 'vc_link',
            'heading'     => esc_html__( 'Link See more', 'kutearts_shop' ),
            'param_name'  => 'link',
            "dependency"    => array(
                "element"   => "style",
                "value"     => array("grid-home4","normal-home4"),
                )
        ), 
        array(
            "type"          => "checkbox",
            "heading"       => esc_html__("Type Post",'kutearts_shop'),
            "param_name"    => "type_post",
            "value"         => array(
                esc_html__("Default","kutearts_shop") => '',
                esc_html__("Trending Post","kutearts_shop") => 'trending-post',
                esc_html__("Featured Post","kutearts_shop") => 'featured-post',
                ),
            'description'   => esc_html__( 'Choose type of post to display. If empty is show all post.', 'kutearts_shop' ),
            'dependency'  =>  array(
                'element'   => 'style',
                'value'     => array('normal','feature','trending','special-slider','grid-home3','grid-loadmore',"mega-style","mega-style2")
                ),
        ),
        array(
            "type"          => "checkbox",
            "heading"       => esc_html__("Categories In show",'kutearts_shop'),
            "param_name"    => "cats",
            "value"         => s7upf_list_taxonomy('category', false),
            'description'   => esc_html__( 'Check list caterories to display. If empty is show all categories.', 'kutearts_shop' )
        ),
        array(
            "type"          => "checkbox",
            "heading"       => esc_html__("Post Format",'kutearts_shop'),
            "param_name"    => "post_formats",
            "value"         => array(
                esc_html__("Image","kutearts_shop")          => 'post-format-image',
                esc_html__("Video","kutearts_shop")          => 'post-format-video',
                esc_html__("Gallery","kutearts_shop")        => 'post-format-gallery',
                esc_html__("Audio","kutearts_shop")          => 'post-format-audio',
                esc_html__("Quote","kutearts_shop")          => 'post-format-quote',
                ),
            'description'   => esc_html__( 'Choose post format to display. If empty is show all post.', 'kutearts_shop' )
        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Order",'kutearts_shop'),
            "param_name"    => "order",
            "value"         => array(
                esc_html__('Desc','kutearts_shop') => 'DESC',
                esc_html__('Asc','kutearts_shop')  => 'ASC',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column'
        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Order By",'kutearts_shop'),
            "param_name"    => "order_by",
            "value"         => s7upf_get_order_list(),
            'edit_field_class'=>'vc_col-sm-6 vc_column'
        ),
    )
));
//Home 2
add_action( 'wp_ajax_load_more_post_button_home2', 's7upf_load_more_post_button_home2' );
add_action( 'wp_ajax_nopriv_load_more_post_button_home2', 's7upf_load_more_post_button_home2' );
if(!function_exists('s7upf_load_more_post_button_home2')){
    function s7upf_load_more_post_button_home2() {
        $number         = $_POST['number'];
        $order_by       = $_POST['orderby'];
        $order          = $_POST['order'];
        $type_post      = $_POST['type_post'];
        $post_formats   = $_POST['post_formats'];
        $cats           = $_POST['cats'];
        $paged          = $_POST['paged'];
        $html = '';
        $args   =   array(
            'post_type'         => 'post',
            'posts_per_page'    => $number,
            'orderby'           => $order_by,
            'order'             => $order,
            'paged'             => $paged + 1,
        );
        if($order_by == 'post_views'){
            $args['orderby'] = 'meta_value_num';
            $args['meta_key'] = 'post_views';
        }
        if($order_by == 'time_update'){
            $args['orderby'] = 'meta_value';
            $args['meta_key'] = 'time_update';
        }
        if($order_by == '_post_like_count'){
            $args['orderby'] = 'meta_value_num';
            $args['meta_key'] = '_post_like_count';
        }
        if(!empty($cats)) {
            $custom_list = explode(",",$cats);
            $args['tax_query']['relation'] = 'AND';
            $args['tax_query'][]=array(
                'taxonomy'  => 'category',
                'field'     => 'slug',
                'terms'     => $custom_list
            );
        }
        if(!empty($post_formats)) {
            $formats_list = explode(",",$post_formats);            
            $args['tax_query']['relation'] = 'AND';
            $args['tax_query'][]=array(
                'taxonomy'  => 'post_format',
                'field'     => 'slug',
                'terms'     => $formats_list
            );
        }
        if(!empty($type_post)) {
            $type_list = explode(",",$type_post);
            if(in_array('trending-post',$type_list)){
                $args['meta_query']['relation'] = 'OR';
                $args['meta_query'][] = array(
                        'key'     => 'trending_post',
                        'value'   => 'on',
                        'compare' => '=',
                    );
            }
            if(in_array('featured-post',$type_list)){
                $args['meta_query']['relation'] = 'OR';
                $args['meta_query'][] = array(
                        'key'     => 'featured_post',
                        'value'   => 'on',
                        'compare' => '=',
                    );
            }
        }        
        $query_post = new WP_Query($args);
        $count = 1;
        $count_query = $query_post->post_count;
        if($query_post->have_posts()) {
            while($query_post->have_posts()) {
                $query_post->the_post();
                if($count % 3 == 1){
                    $col_item = 12;
                    $size = 'full';
                }
                else {
                    $col_item = 6;
                    $size = array(585,390);
                }
                $html .=    '<div class="col-md-'.$col_item.' col-sm-'.$col_item.' col-xs-12">
                                <div class="post-item style3">
                                    <div class="post-thumb">
                                        <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),$size).'</a>
                                    </div>
                                    <div class="post-info">
                                        '.s7upf_get_cat_post().'
                                        <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                        <a href="'.esc_url(get_the_permalink()).'" class="learmore">'.esc_html__("Learn More","kutearts_shop").'</a>
                                        <ul class="post-comment-date">
                                            <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span>'.get_the_date('M d').'</span></li>
                                            <li><a href="'.esc_url(get_comments_link()).'"><i aria-hidden="true" class="fa fa-comment"></i><span>'.get_comments_number().'</span></a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>';
                $count++;
            }
        }
        echo balanceTags($html);
        wp_reset_postdata();
    }
}
//Home 5
add_action( 'wp_ajax_load_more_post_button_home5', 's7upf_load_more_post_button_home5' );
add_action( 'wp_ajax_nopriv_load_more_post_button_home5', 's7upf_load_more_post_button_home5' );
if(!function_exists('s7upf_load_more_post_button_home5')){
    function s7upf_load_more_post_button_home5() {
        $number         = $_POST['number'];
        $order_by       = $_POST['orderby'];
        $order          = $_POST['order'];
        $type_post      = $_POST['type_post'];
        $post_formats   = $_POST['post_formats'];
        $cats           = $_POST['cats'];
        $paged          = $_POST['paged'];
        $html = '';
        $args   =   array(
            'post_type'         => 'post',
            'posts_per_page'    => $number,
            'orderby'           => $order_by,
            'order'             => $order,
            'paged'             => $paged + 1,
        );
        if($order_by == 'post_views'){
            $args['orderby'] = 'meta_value_num';
            $args['meta_key'] = 'post_views';
        }
        if($order_by == 'time_update'){
            $args['orderby'] = 'meta_value';
            $args['meta_key'] = 'time_update';
        }
        if($order_by == '_post_like_count'){
            $args['orderby'] = 'meta_value_num';
            $args['meta_key'] = '_post_like_count';
        }
        if(!empty($cats)) {
            $custom_list = explode(",",$cats);
            $args['tax_query']['relation'] = 'AND';
            $args['tax_query'][]=array(
                'taxonomy'  => 'category',
                'field'     => 'slug',
                'terms'     => $custom_list
            );
        }
        if(!empty($post_formats)) {
            $formats_list = explode(",",$post_formats);            
            $args['tax_query']['relation'] = 'AND';
            $args['tax_query'][]=array(
                'taxonomy'  => 'post_format',
                'field'     => 'slug',
                'terms'     => $formats_list
            );
        }
        if(!empty($type_post)) {
            $type_list = explode(",",$type_post);
            if(in_array('trending-post',$type_list)){
                $args['meta_query']['relation'] = 'OR';
                $args['meta_query'][] = array(
                        'key'     => 'trending_post',
                        'value'   => 'on',
                        'compare' => '=',
                    );
            }
            if(in_array('featured-post',$type_list)){
                $args['meta_query']['relation'] = 'OR';
                $args['meta_query'][] = array(
                        'key'     => 'featured_post',
                        'value'   => 'on',
                        'compare' => '=',
                    );
            }
        }        
        $query_post = new WP_Query($args);
        $count = 1;
        $count_query = $query_post->post_count;
        if($query_post->have_posts()) {
            while($query_post->have_posts()) {
                $query_post->the_post();
                if($count % 5 == 1 || $count % 5 == 2){
                    $col_item = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
                    $size = array(675,450);
                }
                else{
                    $size = array(450,300);
                    $col_item = 'col-lg-4 col-md-4 col-sm-6 col-xs-12';
                }
                $html .=    '<div class="'.esc_attr($col_item).'">
                                <div class="post-item style3">
                                    <div class="post-thumb">
                                        <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),$size).'</a>
                                    </div>
                                    <div class="post-info">
                                        '.s7upf_get_cat_post().'
                                        <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                        <a href="'.esc_url(get_the_permalink()).'" class="learmore">'.esc_html__("Learn More","kutearts_shop").'</a>
                                        <ul class="post-comment-date">
                                            <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span>'.get_the_date('M d').'</span></li>
                                            <li><a href="'.esc_url(get_comments_link()).'"><i aria-hidden="true" class="fa fa-comment"></i><span>'.get_comments_number().'</span></a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>';
                $count++;
            }
        }
        echo balanceTags($html);
        wp_reset_postdata();
    }
}
