<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 05/09/15
 * Time: 10:00 AM
 */
if(class_exists("woocommerce")){
if(!function_exists('s7upf_vc_product_list'))
{
    function s7upf_vc_product_list($attr, $content = false)
    {
        $html = $view_html = '';
        extract(shortcode_atts(array(
            'style'         => '',
            'title'         => '',
            'number'        => '10',
            'product_type'  =>  '',
            'cats'          => '',
            'order_by'      => 'date',
            'order'         => 'DESC',
            'item'          => '',
            'item_res'      => '',
            'speed'         => '',
            'size'          => '',
            'time'          => '',
        ),$attr));
        $custom_list = array();
        $args = array(
            'post_type'         => 'product',
            'posts_per_page'    => $number,
            'orderby'           => $order_by,
            'order'             => $order,
            'paged'             => 1,
            );
        if($product_type == 'trendding'){
            $args['meta_query'][] = array(
                    'key'     => 'trending_product',
                    'value'   => 'on',
                    'compare' => '=',
                );
        }
        if($product_type == 'toprate'){
            $args['meta_key'] = '_wc_average_rating';
            $args['orderby'] = 'meta_value_num';
            $args['meta_query'] = WC()->query->get_meta_query();
            $args['tax_query'] = WC()->query->get_tax_query();
        }
        if($product_type == 'mostview'){
            $args['meta_key'] = 'post_views';
            $args['orderby'] = 'meta_value_num';
        }
        if($product_type == 'bestsell'){
            $args['meta_key'] = 'total_sales';
            $args['orderby'] = 'meta_value_num';
        }
        if($product_type=='onsale'){
            $args['meta_query']['relation']= 'OR';
            $args['meta_query'][]=array(
                'key'   => '_sale_price',
                'value' => 0,
                'compare' => '>',                
                'type'          => 'numeric'
            );
            $args['meta_query'][]=array(
                'key'   => '_min_variation_sale_price',
                'value' => 0,
                'compare' => '>',                
                'type'          => 'numeric'
            );
        }
        if($product_type == 'featured'){
            $args['meta_key'] = '_featured';
            $args['meta_value'] = 'yes';
        }
        if(!empty($cats)) {
            $custom_list = explode(",",$cats);
            $args['tax_query'][]=array(
                'taxonomy'=>'product_cat',
                'field'=>'slug',
                'terms'=> $custom_list
            );
        }
        $product_query = new WP_Query($args);
        $count = 1;
        $count_query = $product_query->post_count;
        if(!empty($size)) $size = explode('x', $size);
        switch ($style) {
            case 'list-countdown-home7':
                if(empty($size)) $size = array(270,180);
                $html .=    '<div class="dealof-box">';
                if(!empty($title)) $html .=    '<h2>'.esc_html($title).'</h2>';
                if(!empty($time)) $html .= '<div class="days-countdown" data-date="'.esc_attr($time).'"></div>';
                $html .=        '<div class="list-dealof">
                                    <div class="row">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        $html .=        '<div class="col-md-6 col-sm-6 col-xs-12">
                                            <div class="item-deal-product">
                                                <div class="row">
                                                    <div class="col-md-6 col-sm-12 col-xs-6">
                                                        '.s7upf_get_product_thumb($size).'
                                                    </div>
                                                    <div class="col-md-6 col-sm-12 col-xs-6">
                                                        <div class="product-info">
                                                            <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                            '.s7upf_get_price_html().'
                                                            <p class="desc">'.s7upf_substr(get_the_excerpt(),0,120).'</p>
                                                            '.s7upf_get_rating_html(false,'style2').'
                                                            '.s7upf_get_product_link().'
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'tab-slider-home7':
                if(!empty($cats)){
                    if(empty($item) && empty($item_res)) $item_res = '0:1,480:2,768:3,990:4';
                    if(empty($item)) $item = 4;
                    if(empty($size)) $size = array(248*1.2,165*1.2);
                    $pre = rand(1,100);
                    $tabs = explode(",",$cats);
                    $tab_html = $tab_content = '';
                    foreach ($tabs as $key => $tab) {
                        $term = get_term_by( 'slug',$tab, 'product_cat' );
                        if(!empty($term) && is_object($term)){
                            if($key == 0) $active = 'active';
                            else $active = '';
                            $tab_html .=    '<li class="'.esc_attr($active).'"><a href="#'.esc_attr($pre.$term->slug).'" data-toggle="tab">'.$term->name.'</a></li>';
                            $tab_content .=    '<div id="'.$pre.$term->slug.'" class="tab-pane '.$active.'">
                                                    <div class="best-product-slider owl-directnav">
                                                        <div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="">';
                            unset($args['tax_query']);
                            $args['tax_query'][]=array(
                                'taxonomy'=>'product_cat',
                                'field'=>'slug',
                                'terms'=> $tab
                            );
                            $product_query = new WP_Query($args);
                            $count = 1;
                            $count_query = $product_query->post_count;
                            $max_page = $product_query->max_num_pages;
                            if($product_query->have_posts()) {
                                while($product_query->have_posts()) {
                                    $product_query->the_post();
                                    global $product;         
                                    $tab_content .=         '<div class="item-product">
                                                                '.s7upf_get_product_thumb($size).'
                                                                <div class="product-info">
                                                                    <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                                    '.s7upf_get_price_html().'
                                                                    '.s7upf_get_rating_html(false,'style2').'
                                                                    '.s7upf_get_product_link().'
                                                                </div>
                                                            </div>';
                                }
                            }
                            $tab_content .=             '</div>
                                                    </div>
                                                </div>';
                        }
                    }
                    $html .=    '<div class="product-best-sale style2">';
                    if(!empty($title)) $html .= '<h2>'.esc_html($title).'</h2>';
                    $html .=        '<ul class="title-tab6">
                                        '.$tab_html.'
                                    </ul>';
                    $html .=        '<div class="tab-content">
                                        '.$tab_content.'
                                    </div>
                                </div>';
                }
                break;

            case 'tab-slider-home6':
                if(!empty($cats)){
                    if(empty($item) && empty($item_res)) $item_res = '0:1,480:2,768:3,990:4';
                    if(empty($item)) $item = 4;
                    if(empty($size)) $size = array(300,300);
                    $pre = rand(1,100);
                    $tabs = explode(",",$cats);
                    $tab_html = $tab_content = '';
                    foreach ($tabs as $key => $tab) {
                        $term = get_term_by( 'slug',$tab, 'product_cat' );
                        if(!empty($term) && is_object($term)){
                            if($key == 0) $active = 'active';
                            else $active = '';
                            $tab_html .=    '<li class="'.esc_attr($active).'"><a href="#'.esc_attr($pre.$term->slug).'" data-toggle="tab">'.$term->name.'</a></li>';
                            $tab_content .=    '<div id="'.$pre.$term->slug.'" class="tab-pane '.$active.'">
                                                    <div class="best-product-slider owl-directnav">
                                                        <div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                            unset($args['tax_query']);
                            $args['tax_query'][]=array(
                                'taxonomy'=>'product_cat',
                                'field'=>'slug',
                                'terms'=> $tab
                            );
                            $product_query = new WP_Query($args);
                            $count = 1;
                            $count_query = $product_query->post_count;
                            $max_page = $product_query->max_num_pages;
                            if($product_query->have_posts()) {
                                while($product_query->have_posts()) {
                                    $product_query->the_post();
                                    global $product;         
                                    if($count % 2 == 1) $tab_content .=         '<div class="item">';
                                    $tab_content .=         '<div class="item-product">
                                                                '.s7upf_get_product_thumb($size).'
                                                                <div class="product-info">
                                                                    <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                                    '.s7upf_get_price_html().'
                                                                    '.s7upf_get_rating_html(false,'style2').'
                                                                    '.s7upf_get_product_link().'
                                                                </div>
                                                            </div>';
                                    if($count % 2 == 0 || $count == $count_query) $tab_content .=    '</div>';
                                    $count++;
                                }
                            }
                            $tab_content .=             '</div>
                                                    </div>
                                                </div>';
                        }
                    }
                    $html .=    '<div class="product-best-sale">';
                    if(!empty($title)) $html .= '<h2>'.esc_html($title).'</h2>';
                    $html .=        '<ul class="title-tab6">
                                        '.$tab_html.'
                                    </ul>';
                    $html .=        '<div class="tab-content">
                                        '.$tab_content.'
                                    </div>
                                </div>';
                }
                break;

            case 'slider-home6':
                if(empty($item) && empty($item_res)) $item_res = '0:1,560:2,980:3';
                if(empty($item)) $item = 3;
                if(empty($size)) $size = array(390,386);
                $html .=    '<div class="new-product6">';
                if(!empty($title)) $html .=    '<h2>'.esc_html($title).'</h2>';
                $html .=        '<div class="new-product-slider6 owl-directnav">
                                    <div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        $html .=        '<div class="item-new-product6">
                                            <div class="product-thumb">
                                                <a class="product-thumb-link" href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),$size).'</a>
                                            </div>
                                            <div class="product-info">
                                                '.s7upf_get_cat_product().'
                                                <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                '.s7upf_get_price_html().'
                                                '.s7upf_get_rating_html(false,'style2').'
                                                '.s7upf_get_product_link('home6').'
                                            </div>
                                        </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;
            
            default:
                $html .=    '<div class="mega-featured-news">';
                if(!empty($title)) $html .= '<h2 class="title-mega-menu">'.esc_html($title).'</h2>';
                $html .=        '<div class="owl-paginav">
                                    <div class="wrap-item">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        global $product;
                        $html .=    '<div class="item-mega-featured">
                                        <div class="product-thumb zoom-image"><a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(260,173)).'</a></div>
                                        <div class="product-info">
                                            <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                            '.s7upf_get_price_html().'
                                            '.s7upf_get_rating_html().'
                                            '.s7upf_get_product_link().'
                                        </div>
                                    </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;
        }        
        wp_reset_postdata();
        return $html;
    }
}

stp_reg_shortcode('sv_product_list','s7upf_vc_product_list');
add_action( 'vc_build_admin_page','s7upf_add_list_product',10,100 );
if ( ! function_exists( 's7upf_add_list_product' ) ) {
    function s7upf_add_list_product(){
        vc_map( array(
            "name"      => esc_html__("SV Product list", 'kutearts_shop'),
            "base"      => "sv_product_list",
            "icon"      => "icon-st",
            "category"  => '7Up-theme',
            "params"    => array(
                array(
                    'heading'     => esc_html__( 'Style', 'kutearts_shop' ),
                    'type'        => 'dropdown',
                    'param_name'  => 'style',
                    'value' => array(
                        esc_html__('Default','kutearts_shop')                    => '',
                        esc_html__('List Slider Home 6','kutearts_shop')         => 'slider-home6',
                        esc_html__('Categories Slider Home 6','kutearts_shop')   => 'tab-slider-home6',
                        esc_html__('Categories Slider Home 7','kutearts_shop')   => 'tab-slider-home7',
                        esc_html__('List Countdown Home 7','kutearts_shop')      => 'list-countdown-home7',
                    ),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Time",'kutearts_shop'),
                    "param_name" => "time",
                    'description'   => esc_html__( 'Entert time for countdown. Format is mm/dd/yyyy. Example: 12/15/2017', 'kutearts_shop' ),
                    'dependency'    => array(
                        'element'   => 'style',
                        'value'   => array('list-countdown-home7'),
                        ),
                ),
                array(
                    "type"          => "textfield",
                    "holder"        => "h4",
                    "heading"       => esc_html__("Title",'kutearts_shop'),
                    "param_name"    => "title",
                ),
                array(
                    'heading'     => esc_html__( 'Number', 'kutearts_shop' ),
                    'type'        => 'textfield',
                    'description' => esc_html__( 'Enter number of product. Default is 10.', 'kutearts_shop' ),
                    'param_name'  => 'number',
                ),
                array(
                    'heading'     => esc_html__( 'Product Type', 'kutearts_shop' ),
                    'type'        => 'dropdown',
                    'param_name'  => 'product_type',
                    'value' => array(
                        esc_html__('Default','kutearts_shop')            => '',
                        esc_html__('Trendding','kutearts_shop')          => 'trendding',
                        esc_html__('Featured Products','kutearts_shop')  => 'featured',
                        esc_html__('Best Sellers','kutearts_shop')       => 'bestsell',
                        esc_html__('On Sale','kutearts_shop')            => 'onsale',
                        esc_html__('Top rate','kutearts_shop')           => 'toprate',
                        esc_html__('Most view','kutearts_shop')          => 'mostview',
                    ),
                    'description' => esc_html__( 'Select Product View Type', 'kutearts_shop' ),
                ),
                array(
                    'holder'     => 'div',
                    'heading'     => esc_html__( 'Product Categories', 'kutearts_shop' ),
                    'type'        => 'checkbox',
                    'param_name'  => 'cats',
                    'value'       => s7upf_list_taxonomy('product_cat',false)
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Order By', 'kutearts_shop' ),
                    'value' => s7upf_get_order_list(),
                    'param_name' => 'orderby',
                    'description' => esc_html__( 'Select Orderby Type ', 'kutearts_shop' ),
                    'edit_field_class'=>'vc_col-sm-6 vc_column',
                ),
                array(
                    'heading'     => esc_html__( 'Order', 'kutearts_shop' ),
                    'type'        => 'dropdown',
                    'param_name'  => 'order',
                    'value' => array(                   
                        esc_html__('Desc','kutearts_shop')  => 'DESC',
                        esc_html__('Asc','kutearts_shop')  => 'ASC',
                    ),
                    'description' => esc_html__( 'Select Order Type ', 'kutearts_shop' ),
                    'edit_field_class'=>'vc_col-sm-6 vc_column',
                ),
                array(
                    "type"          => "textfield",
                    "heading"       => esc_html__("Item / Slider",'kutearts_shop'),
                    "param_name"    => "item",
                    "group"         => esc_html__("Slider Settings",'kutearts_shop'),
                    'description' => esc_html__( 'Enter number of item. Default is auto with style display.', 'kutearts_shop' ),
                ),
                array(
                    "type"          => "textfield",
                    "heading"       => esc_html__("Item Responsive",'kutearts_shop'),
                    "param_name"    => "item_res",
                    "group"         => esc_html__("Slider Settings",'kutearts_shop'),
                    'description'   => esc_html__( 'Enter item for screen width(px) format is width:value and separate values by ",". Example is 0:2,600:3,1000:4. Default is auto.', 'kutearts_shop' ),
                ),
                array(
                    "type"          => "textfield",
                    "heading"       => esc_html__("Speed",'kutearts_shop'),
                    "param_name"    => "speed",
                    "group"         => esc_html__("Slider Settings",'kutearts_shop'),                    
                ),
                array(
                    "type"          => "textfield",
                    "heading"       => esc_html__("Size Thumbnail",'kutearts_shop'),
                    "param_name"    => "size",
                    "group"         => esc_html__("Thumb Settings",'kutearts_shop'),
                    'description'   => esc_html__( 'Enter site thumbnail to crop. [width]x[height]. Example is 300x300', 'kutearts_shop' ),
                ),
            )
        ));
    }
}
}