<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 05/09/15
 * Time: 10:00 AM
 */
if(class_exists("woocommerce")){
    if(!function_exists('s7upf_vc_product_tab'))
    {
        function s7upf_vc_product_tab($attr, $content = false)
        {
            $html = $el_class = $html_wl = $html_cp = '';
            extract(shortcode_atts(array(
                'title'             => '',
                'tabs'              => '',
                'number'            => '',
                'cats'              => '',
                'order_by'          => 'date',
                'order'             => 'DESC',
            ),$attr)); 
            $args=array(
                'post_type'         => 'product',
                'posts_per_page'    => $number,
                'orderby'           => $order_by,
                'order'             => $order
            );
            if(!empty($cats)) {
                $custom_list = explode(",",$cats);
                $args['tax_query'][]=array(
                    'taxonomy'=>'product_cat',
                    'field'=>'slug',
                    'terms'=> $custom_list
                );
            }
            $pre = rand(1,100);
            if(!empty($tabs)){
                $tabs = explode(',', $tabs);
                $tab_html = $content_html = '';
                foreach ($tabs as $key => $tab) {
                    switch ($tab) {
                        case 'bestsell':
                            $tab_title =    esc_html__("Popular","kutearts_shop");
                            $args['meta_key'] = 'total_sales';
                            $args['orderby'] = 'meta_value_num';
                            break;

                        case 'toprate':
                            $tab_title =    esc_html__("Most review","kutearts_shop");
                            unset($args['meta_key']);
                            $args['meta_key'] = '_wc_average_rating';
                            $args['orderby'] = 'meta_value_num';
                            $args['meta_query'] = WC()->query->get_meta_query();
                            $args['tax_query'] = WC()->query->get_tax_query();
                            break;
                        
                        case 'mostview':
                            $tab_title =    esc_html__("Most View","kutearts_shop");
                            unset($args['no_found_rows']);
                            unset($args['meta_query']);
                            unset($args['tax_query']);
                            if(!empty($cats)) {
                                $custom_list = explode(",",$cats);
                                $args['tax_query'][]=array(
                                    'taxonomy'=>'product_cat',
                                    'field'=>'slug',
                                    'terms'=> $custom_list
                                );
                            }
                            $args['meta_key'] = 'post_views';
                            $args['orderby'] = 'meta_value_num';
                            break;

                        case 'featured':
                            $tab_title =    esc_html__("Featured","kutearts_shop");
                            $args['orderby'] = $order_by;
                            $args['meta_key'] = '_featured';
                            $args['meta_value'] = 'yes';
                            break;

                        case 'trendding':
                            unset($args['meta_key']);
                            unset($args['meta_value']);
                            $tab_title =    esc_html__("Tredding","kutearts_shop");
                            $args['meta_query'][] = array(
                                'key'     => 'trending_product',
                                'value'   => 'on',
                                'compare' => '=',
                            );
                            break;
                        
                        case 'onsale':
                            $tab_title =    esc_html__("On sale","kutearts_shop");
                            unset($args['meta_query']);
                            unset($args['meta_key']);
                            unset($args['meta_value']);
                            $args['meta_query']['relation']= 'OR';
                            $args['meta_query'][]=array(
                                'key'   => '_sale_price',
                                'value' => 0,
                                'compare' => '>',                
                                'type'          => 'numeric'
                            );
                            $args['meta_query'][]=array(
                                'key'   => '_min_variation_sale_price',
                                'value' => 0,
                                'compare' => '>',                
                                'type'          => 'numeric'
                            );
                            break;
                        
                        default:
                            $tab_title =    esc_html__("New arrivals","kutearts_shop");
                            $args['orderby'] = 'date';
                            break;
                    }
                    if($key == 0) $f_class = 'active';
                    else $f_class = '';
                    $tab_html .=    '<li class="'.esc_attr($f_class).'"><a href="'.esc_url('#'.$pre.$tab).'" data-toggle="tab">'.esc_html($tab_title).'</a></li>';
                    $product_query = new WP_Query($args);
                    $count = 1;
                    $count_query = $product_query->post_count;
                    $content_html .=    '<div id="'.esc_attr($pre.$tab).'" class="tab-pane '.esc_attr($f_class).'">
                                            <div class="wrap-post-item">
                                                <div class="row">';
                    if($product_query->have_posts()) {
                        while($product_query->have_posts()) {
                            $product_query->the_post();
                            global $product;
                            if($count % 6 == 1 || $count % 6 == 2 || $count % 6 == 3){
                                $content_html .=    '<div class="col-md-4 col-sm-4 col-xs-12">
                                                        <div class="product-item4">
                                                            '.s7upf_get_product_thumb(array(390,250)).'
                                                            '.s7upf_get_product_link().'
                                                        </div>
                                                    </div>';
                            }
                            else{
                                $content_html .=    '<div class="col-md-3 col-sm-6 col-xs-12">
                                                        <div class="product-item4">
                                                            '.s7upf_get_product_thumb(array(292,250)).'
                                                            '.s7upf_get_product_link().'
                                                        </div>
                                                    </div>';
                            }
                            if($count % 6 == 5){
                                $content_html .=    '<div class="col-md-3 col-sm-6 col-xs-12">
                                                        <div class="product-item4 category-list-box">
                                                            '.wpb_js_remove_wpautop($content, true).'
                                                        </div>
                                                    </div>';
                            }
                            $count++;
                        }
                    }
                    $content_html .=            '</div>
                                            </div>
                                        </div>';
                }
                $html .=    '<div class="shop-product-tab">
                                <div class="title-box">';
                if(!empty($title))  $html .=    '<h2>'.esc_html($title).'</h2>';
                $html .=            '<ul>
                                        '.$tab_html.'
                                    </ul>
                                </div>
                                <div class="tab-content">
                                    '.$content_html.'
                                </div>
                            </div>';
            }
            wp_reset_postdata();
            return $html;
        }
    }

    stp_reg_shortcode('sv_product_tab','s7upf_vc_product_tab');
    add_action( 'vc_build_admin_page','s7upf_add_product_tab',10,100 );
    if ( ! function_exists( 's7upf_add_product_tab' ) ) {
        function s7upf_add_product_tab(){
            vc_map( array(
                "name"      => esc_html__("SV Product Tab", 'kutearts_shop'),
                "base"      => "sv_product_tab",
                "icon"      => "icon-st",
                "category"  => '7Up-theme',
                "params"    => array(
                    array(
                        "type"          => "textfield",
                        "holder"        => "h4",
                        "heading"       => esc_html__("Title",'kutearts_shop'),
                        "param_name"    => "title",
                    ),
                    array(
                        'heading'     => esc_html__( 'Number', 'kutearts_shop' ),
                        'type'        => 'textfield',
                        'description' => esc_html__( 'Enter number of product. Default is 10.', 'kutearts_shop' ),
                        'param_name'  => 'number',
                    ),
                    array(
                        'holder'     => 'div',
                        'heading'     => esc_html__( 'Product Categories', 'kutearts_shop' ),
                        'type'        => 'checkbox',
                        'param_name'  => 'cats',
                        'value'       => s7upf_list_taxonomy('product_cat',false)
                    ),
                    array(
                        'type' => 'dropdown',
                        'heading' => esc_html__( 'Order By', 'kutearts_shop' ),
                        'value' => s7upf_get_order_list(),
                        'param_name' => 'orderby',
                        'description' => esc_html__( 'Select Orderby Type ', 'kutearts_shop' ),
                        'edit_field_class'=>'vc_col-sm-6 vc_column',
                    ),
                    array(
                        'heading'     => esc_html__( 'Order', 'kutearts_shop' ),
                        'type'        => 'dropdown',
                        'param_name'  => 'order',
                        'value' => array(                   
                            esc_html__('Desc','kutearts_shop')  => 'DESC',
                            esc_html__('Asc','kutearts_shop')  => 'ASC',
                        ),
                        'description' => esc_html__( 'Select Order Type ', 'kutearts_shop' ),
                        'edit_field_class'=>'vc_col-sm-6 vc_column',
                    ),
                    array(
                        "type" => "checkbox",
                        "heading" => esc_html__("Tabs",'kutearts_shop'),
                        "param_name" => "tabs",
                        "value" => array(
                            esc_html__("New Arrivals",'kutearts_shop')    => 'newarrival',
                            esc_html__("Best Seller",'kutearts_shop')     => 'bestsell',
                            esc_html__("Most Review",'kutearts_shop')     => 'toprate',
                            esc_html__("Most View",'kutearts_shop')       => 'mostview',
                            esc_html__("Featured",'kutearts_shop')        => 'featured',
                            esc_html__("Trendding",'kutearts_shop')       => 'trendding',
                            esc_html__("On Sale",'kutearts_shop')         => 'onsale',
                            ),
                    ),
                    array(
                        "type"          => "textarea_html",
                        "holder"        => 'div',
                        "heading"       => esc_html__("Description",'kutearts_shop'),
                        "param_name"    => "content",
                    ),
                )
            ));
        }
    }
}
