<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_service'))
{
    function s7upf_vc_service($attr,$content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'      => '',
            'icon'       => '',
            'title'       => '',
            'link'       => '',
        ),$attr));
        switch ($style) {
            case 'style2':
                $html .=    '<div class="item-policy">
                                <a href="'.esc_url($link).'" class="policy-icon"><i class="fa '.esc_attr($icon).'"></i></a>
                                <h3><a href="'.esc_url($link).'">'.esc_html($title).'</a></h3>
                                '.wpb_js_remove_wpautop($content, true).'
                            </div>';
                break;
            
            default:
                $html .=    '<div class="item-service6">
                                <a href="'.esc_url($link).'" class="icon-service wobble-vertical"><i class="fa '.esc_attr($icon).'"></i></a>
                                <h3><a href="'.esc_url($link).'">'.esc_html($title).'</a></h3>
                                '.wpb_js_remove_wpautop($content, true).'
                            </div>';
                break;
        }        
        
        return $html;
    }
}

stp_reg_shortcode('s7upf_service','s7upf_vc_service');

vc_map( array(
    "name"      => esc_html__("SV Service", 'kutearts_shop'),
    "base"      => "s7upf_service",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type"          => "dropdown",
            "holder"        => "div",
            "heading"       => esc_html__("Style Post",'kutearts_shop'),
            "param_name"    => "style",
            "value"         => array(
                esc_html__("Default","kutearts_shop")   => '',
                esc_html__("Style 2","kutearts_shop")   => 'style2',
                ),
        ),
        array(
            "type" => "textfield",
            "holder" => "h3",
            "heading" => esc_html__("Title",'kutearts_shop'),
            "param_name" => "title",
        ),
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon', 'kutearts_shop' ),
            'param_name' => 'icon',
            'value' => '',
            'settings' => array(
                'emptyIcon' => true,
                'iconsPerPage' => 4000,
            ),
            'description' => esc_html__( 'Select icon from library.', 'kutearts_shop' ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Link",'kutearts_shop'),
            "param_name" => "link",
        ),
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => esc_html__("Content",'kutearts_shop'),
            "param_name" => "content",
        )
    )
));