<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 23/12/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_post_special'))
{
    function s7upf_vc_post_special($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'title'     => '',
            'style'     => 'default',
            'post'      => '',
            'id_post'   => '',
            'size'      => '',
            'thumbnail' => '',
        ),$attr));
        if(empty($id_post)) $id_post = $post;
        if(!empty($id_post)){
            $query = new WP_Query( array(
                'post_type' => 'post',
                'post__in' => array($id_post)
                ));
            if( $query->have_posts() ):
                while ( $query->have_posts() ) : $query->the_post();
                    global $post;
                    $terms = wp_get_post_terms( get_the_id(), 'category');
                    $term_name = $term_link = $term_html = '';
                    if(is_array($terms) && !empty($terms)){
                        $term_name = $terms[0]->name;
                        $term_link = get_term_link( $terms[0]->term_id, 'category' );
                        $term_html = '<a href="'.esc_url($term_link).'" class="post-cat-underline">'.$term_name.'</a>';
                    }
                    $cates = get_the_category_list(', ');
                    if($cates) $cate_html = $cates;
                    else $cate_html = esc_html__("No Category","kutearts_shop");
                    $tags = get_the_tag_list(' ',', ',' ');
                    if($tags) $tags_html = $tags;
                    else $tags_html = esc_html__("No Tags","kutearts_shop");
                    switch ($style) {
                        case 'home-2':
                            if(!empty($size)) $size = explode('x', $size);
                            else $size = array(390,390);
                            $thumbnail_html = get_the_post_thumbnail(get_the_ID(),$size);
                            if(!empty($thumbnail)) $thumbnail_html = wp_get_attachment_image($thumbnail,'full');
                            $html .=    '<div class="pop-news-home pop-news-wrap"><div class="post-item style2 pulse">
                                            <div class="post-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'">'.$thumbnail_html.'</a>
                                            </div>
                                            <div class="post-info">
                                                '.s7upf_get_cat_post().'
                                                <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                            </div>
                                            <div class="readmore-comment">
                                                <a href="'.esc_url(get_the_permalink()).'" class="readmore-link"></a>
                                                <a href="'.esc_url(get_comments_link()).'" class="comment-link"><i class="fa fa-comment" aria-hidden="true"></i><span>'.get_comments_number().'</span></a>
                                            </div>
                                        </div></div>';
                            break;
                        
                        default:                        
                            if(!empty($size)) $size = explode('x', $size);
                            else $size = array(470,300);
                            $thumbnail_html = get_the_post_thumbnail(get_the_ID(),$size);
                            if(!empty($thumbnail)) $thumbnail_html = wp_get_attachment_image($thumbnail,'full');
                            $html .=    '<div class="best-video">
                                            <div class="row">
                                                <div class="col-md-5 col-sm-5 col-xs-12">
                                                    <div class="best-video-intro">
                                                        <h2 class="hight-title">'.esc_html($title).'</h2>
                                                        <h3>'.get_the_title().'</h3>
                                                        <span>'.human_time_diff( get_post_time('U'), current_time('timestamp') ).' '.esc_html__("ago","kutearts_shop").'</span>
                                                    </div>
                                                </div>
                                                <div class="col-md-7 col-sm-7 col-xs-12">
                                                    <div class="best-video-content">
                                                        <div class="best-video-thumb">
                                                            <a href="'.esc_url(get_the_permalink()).'">'.$thumbnail_html.'</a>
                                                        </div>
                                                        <div class="social-video">
                                                            '.s7upf_getPostLikeLink(get_the_ID()).'                                                            
                                                            <a href="'.esc_url(get_comments_link()).'">
                                                                <i class="fa fa-comment" aria-hidden="true"></i>
                                                                <span>'.get_comments_number().'</span>
                                                            </a>
                                                            <div class="share-social">
                                                                <a href="#">
                                                                    <i class="fa fa-share-alt" aria-hidden="true"></i>
                                                                    <span>'.esc_html__("Share","kutearts_shop").'</span>
                                                                </a>
                                                                <ul class="list-social-share">
                                                                    <li><a href="'.esc_url('http://www.facebook.com/sharer.php?u='.get_the_permalink()).'"><i class="fa fa-facebook"></i></a></li>
                                                                    <li><a href="'.esc_url('http://www.twitter.com/share?url='.get_the_permalink()).'"><i class="fa fa-twitter"></i></a></li>
                                                                    <li><a href="'.esc_url('http://linkedin.com/shareArticle?mini=true&amp;url='.get_the_permalink().'&amp;title='.$post->post_name).'"><i class="fa fa-linkedin"></i></a></li>
                                                                    <li><a href="'.esc_url('http://pinterest.com/pin/create/button/?url='.get_the_permalink().'&amp;media='.wp_get_attachment_url(get_post_thumbnail_id())).'"><i class="fa fa-pinterest"></i></a></li>
                                                                    <li><a href="'.esc_url('https://plus.google.com/share?url='.get_the_permalink()).'"><i class="fa fa-google-plus"></i></a></li>
                                                                </ul>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>';
                            break;
                    }                    
                endwhile;
            endif;
            wp_reset_postdata();            
        }
        return $html;
    }
}

stp_reg_shortcode('sv_post_special','s7upf_vc_post_special');

vc_map( array(
    "name"      => esc_html__("SV Post", 'kutearts_shop'),
    "base"      => "sv_post_special",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "holder" => "div",
            "heading" => esc_html__("Style",'kutearts_shop'),
            "param_name" => "style",
            "value"     => array(
                esc_html__( 'Default', 'kutearts_shop' )    => 'default',
                esc_html__( 'Style home 2', 'kutearts_shop' )    => 'home-2',
                ),
            'description' => esc_html__( 'Select post to show.', 'kutearts_shop' ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Title",'kutearts_shop'),
            "param_name" => "title",
            "dependency"    => array(
                "element"   => "style",
                "value"   => "default",
                )
        ),
        array(
            "type" => "dropdown",
            "holder" => "div",
            "heading" => esc_html__("Post",'kutearts_shop'),
            "param_name" => "post",
            "value"     => s7upf_get_list_post(),
            'description' => esc_html__( 'Select post to show.', 'kutearts_shop' ),
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "heading" => esc_html__("Post ID",'kutearts_shop'),
            "param_name" => "id_post",
            'description' => esc_html__( 'Enter post ID to show. Default is select post value.', 'kutearts_shop' ),
        ),        
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Size Thumbnail",'kutearts_shop'),
            "param_name"    => "size",
            'description' => esc_html__( 'Enter site thumbnail to crop. [width]x[height]. Example is 300x300', 'kutearts_shop' ),
        ),
        array(
            "type" => "attach_image",
            "holder" => "div",
            "heading" => esc_html__("Custom Thumbnail",'kutearts_shop'),
            "param_name" => "thumbnail",
        )
    )
));