<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:20 AM
 */
if(!class_exists('S7upf_Tweets_Widget'))
{
    class S7upf_Tweets_Widget extends WP_Widget {


        protected $default=array();

        static function _init()
        {
            add_action( 'widgets_init', array(__CLASS__,'_add_widget') );
        }

        static function _add_widget()
        {
            register_widget( 'S7upf_Tweets_Widget' );
        }

        function __construct() {
            // Instantiate the parent object
            parent::__construct( false, esc_html__('Tweets Widget','kutearts_shop'),
                array( 'description' => esc_html__( 'Get Tweets Feed', 'kutearts_shop' ), ));

            $this->default=array(
                'title'    => esc_html__('Latest Tweets','kutearts_shop'),
                'user'     => '',
                'number'   => 3,
            );
        }

        function widget( $args, $instance ) {
            // Widget output
            echo balancetags($args['before_widget']);
            if ( ! empty( $instance['title'] ) ) {
               echo balancetags($args['before_title']) . apply_filters( 'widget_title', $instance['title'] ). $args['after_title'];
            }
            $instance = wp_parse_args($instance,$this->default);
            extract($instance);
            if($user){
                $settings = array(
                    'oauth_access_token' => "460485056-XHfLUud3fQToKfseTnoaiSLrWrdKnsiEyiCaJHLX",
                    'oauth_access_token_secret' => "GmYQbQcDXdiWBJFH39GgyG7i7fxVcfaQQT0YgCgh015f7",
                    'consumer_key' => "18ihEuNsfOJokCLb8SAgA",
                    'consumer_secret' => "7vTYnLYYiP4BhXvkMWtD3bGnysgiGqYlsPFfwXhGk"
                );
                $url = 'https://api.twitter.com/1.1/statuses/user_timeline.json';
                // $url = 'https://api.twitter.com/1.1/followers/ids.json';
                $getfield = '?screen_name='.$user.'&count='.$number;
                $requestMethod = 'GET';

                $twitter = new TwitterAPIExchange($settings);
                $recent_twitter = $twitter->setGetfield($getfield)
                    ->buildOauth($url, $requestMethod)
                    ->performRequest();
                $twitters = json_decode($recent_twitter,true);
                $html =    '<div class="latest-tweets">
                                <ul>';
                if (!isset($twitters['errors']) && count($twitters)>0) {
                    foreach( $twitters as $twitter ) {
                        $status_text = preg_replace('/http:\/\/([^\s]+)/i', '<a href="http://$1" target="_blank">http://$1</a>', $twitter['text']);
                        $status_text = preg_replace('/https:\/\/([^\s]+)/i', '<a href="https://$1" target="_blank">https://$1</a>', $status_text);
                        $html .=    '<li>
                                        <p>'.$status_text.'</p>
                                        <span>'.human_time_diff( strtotime($twitter["created_at"]), current_time('timestamp') ).' '.esc_html__("ago","kutearts_shop").'</span>
                                    </li>';
                    }
                }
                $html .=        '</ul>
                            </div>';
                echo balancetags($html);
            }
            echo balancetags($args['after_widget']);
        }

        function update( $new_instance, $old_instance ) {

            // Save widget options
            $instance=array();
            $instance=wp_parse_args($instance,$this->default);
            $new_instance=wp_parse_args($new_instance,$instance);

            return $new_instance;
        }

        function form( $instance ) {
            // Output admin widget options form

            $instance=wp_parse_args($instance,$this->default);
            extract($instance);
            ?>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title:' ,'kutearts_shop'); ?></label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id('user')); ?>"><?php esc_html_e('User', 'kutearts_shop'); ?>: </label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id('user')); ?>" name="<?php echo esc_attr($this->get_field_name('user')); ?>" type="text" value="<?php echo esc_attr($user); ?>" />
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id('number')); ?>"><?php esc_html_e('Number', 'kutearts_shop'); ?>: </label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id('number')); ?>" name="<?php echo esc_attr($this->get_field_name('number')); ?>" type="text" value="<?php echo esc_attr($number); ?>" />
            </p>
            
        <?php
        }
    }

    S7upf_Tweets_Widget::_init();

}
