<?php
$data = '';
global $post;
$s7upf_image_blog = get_post_meta(get_the_ID(), 'format_image', true);
if(!empty($s7upf_image_blog)){
    $data .=    '<div class="zoom-image">
                    <a href="'.esc_url(get_the_permalink()).'"><img alt="'.esc_attr($post->post_name).'" title="'.esc_attr($post->post_name).'" src="' . esc_url($s7upf_image_blog) . '"/></a>
                </div>';
}
else{
    if (has_post_thumbnail()) {
        $data .=    '<div class="zoom-image">
                        <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),'full').'</a>
                    </div>';
    }
}
?>
<?php
$single_style = get_post_meta(get_the_ID(), 'sv_single_style', true);
if($single_style == 'content-offset'){
    if(!empty($data)) echo balanceTags($data);?>
    <div class="info-single-post">
        <?php echo s7upf_get_cat_post();?>
        <h2><?php the_title()?></h2>
        <ul class="post-comment-date">
            <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span><?php echo get_the_time('M d')?></span></li>
            <li><a href="<?php echo esc_url( get_comments_link() ); ?>"><i aria-hidden="true" class="fa fa-comment"></i><span><?php echo get_comments_number(); ?></span></a></li>
        </ul>
    </div>
    <div class="row">
        <div class="col-md-8 col-sm-12 col-xs-12 col-md-offset-2">
            <div class="sv-post-main-content">
                <?php the_content(); ?>
            </div>
    <?php
}
else{?>
    <div class="info-single-post">
        <?php echo s7upf_get_cat_post();?>
        <h2><?php the_title()?></h2>
        <ul class="post-comment-date">
            <li><i aria-hidden="true" class="fa fa-calendar-o"></i><span><?php echo get_the_time('M d')?></span></li>
            <li><a href="<?php echo esc_url( get_comments_link() ); ?>"><i aria-hidden="true" class="fa fa-comment"></i><span><?php echo get_comments_number(); ?></span></a></li>
        </ul>
    </div>
    <?php if(!empty($data)) echo balanceTags($data);?>
    <div class="sv-post-main-content">
        <?php the_content(); ?>
    </div>
<?php }?>