<?php
/**
 * Created by Sublime Text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:20 AM
 */
if(class_exists('Vc_Manager')){
    if(!class_exists('S7upf_VisualComposerController')) {
        class  S7upf_VisualComposerController
        {

            static function _init()
            {
                self::s7upf_add_custum_shortcode_param('s7up_number', array(__CLASS__,'_s7upf_number_field_shortcode_param'));
                self::s7upf_add_custum_shortcode_param('s7up_image_check', array(__CLASS__,'_s7upf_image_show_shortcode_param'), get_template_directory_uri(). '/assets/js/vc_js.js');
                add_filter( 'vc_autocomplete_sv_post_slider_post_id_callback', array(__CLASS__,'s7upf_blog_id_post_autocomplete_suggester'),10, 1);
                add_filter( 'vc_autocomplete_sv_post_box_post_id_callback', array(__CLASS__,'s7upf_blog_id_post_autocomplete_suggester'),10, 1);
                add_action( 'admin_init', array(__CLASS__,'s7upf_disable_vc_update'), 9 );
            }

            static function s7upf_disable_vc_update() {
                if (function_exists('vc_license') && function_exists('vc_updater') && ! vc_license()->isActivated()) {

                    remove_filter( 'upgrader_pre_download', array( vc_updater(), 'preUpgradeFilter' ), 10);
                    remove_filter( 'pre_set_site_transient_update_plugins', array(
                        vc_updater()->updateManager(),
                        'check_update'
                    ) );

                }
            }
            static function s7upf_add_custum_shortcode_param($name, $form_field_callback, $script_url = null)
            {
                return WpbakeryShortcodeParams::addField($name, $form_field_callback, $script_url);
            }
            /*static function _change_class($class_string, $tag) {
                if($tag=='vc_row' || $tag=='vc_row_inner') {
                    $class_string = str_replace('vc_row-fluid', '', $class_string);
                }

                if(defined ('WPB_VC_VERSION'))
                {
                    if(version_compare(WPB_VC_VERSION,'4.2.3','>'))
                    {
                        // if($tag=='vc_column' || $tag=='vc_column_inner') {
                        //     $class_string = str_replace('vc_col', 'col', $class_string);
                        //     $class_string = str_replace('-lg', '-xl', $class_string);
                        //     $class_string = str_replace('-md', '-lg', $class_string);
                        //     $class_string = str_replace('-sm', '-md', $class_string);
                        //     $class_string = str_replace('-ss', '-sm', $class_string);
                        //     $class_string = str_replace('-xs', '', $class_string);
                        //     $class_string = str_replace('col-xl-offset', 'offset-xl', $class_string);
                        //     $class_string = str_replace('col-lg-offset', 'offset-lg', $class_string);
                        //     $class_string = str_replace('col-md-offset', 'offset-md', $class_string);
                        //     $class_string = str_replace('col-sm-offset', 'offset-sm', $class_string);
                        //     $class_string = str_replace('col-offset', 'offset', $class_string);
                        //     $class_string = str_replace('vc_hidden', 'vc-none', $class_string);
                        // }
                    }else
                    {
                        if($tag=='vc_column' || $tag=='vc_column_inner') {
                            $class_string = preg_replace('/vc_span(\d{1,2})/', 'col-lg-$1', $class_string);
                        }
                    }
                }

                return $class_string;
            }*/

            static function _s7upf_number_field_shortcode_param($settings, $value){
                $param_name = isset($settings['param_name']) ? $settings['param_name'] : '';
                $type = isset($settings['type']) ? $settings['type'] : '';
                $min = isset($settings['min']) ? $settings['min'] : '';
                $max = isset($settings['max']) ? $settings['max'] : '';
                $step = isset($settings['step']) ? $settings['step'] : '';
                $suffix = isset($settings['suffix']) ? $settings['suffix'] : '';
                $class = isset($settings['class']) ? $settings['class'] : '';
                $output_html = '<input type="number" min="'.$min.'" max="'.$max.'" step="'.$step.'" class="wpb_vc_param_value st-vc-type-st-number form-control' . $param_name . ' ' . $type . ' ' . $class . '" name="' . $param_name . '" value="'.$value.'"/>';
                if(!empty($suffix)){
                    $output_html .= '<span class="suffix">'.$suffix.'</span>';
                }

                return $output_html;
            }

            //Show Image
            static function _s7upf_image_show_shortcode_param($settings, $value){
                if(!empty($settings['element'])){
                    $element = $settings['element'];
                    $param_name = isset($settings['param_name']) ? $settings['param_name'] : '';
                    $title_view = isset($settings['title_view']) ? $settings['title_view'] : esc_html__('View demo','worldnews');
                    $std = isset($settings['std']) ? $settings['std'] : '';
                    $url_image_default = get_template_directory_uri().'/assets/admin/image/s7up-image-check/'.$param_name.'/'.$std.'.jpg';
                    $html = '<div class="s7up_image_check" data-element="'.$element.'" data-param_name="'.$param_name.'" data-img_url="'.get_template_directory_uri().'/assets/admin/image/element_name/'.'">';
                    $html .= '<img class = "image_icon_mb" src="'.esc_url($url_image_default).'" alt="Image" style="height:40px">';
                    $html .= '<span class="title-view-demo">'.$title_view.'</span><i class="fa fa-share" aria-hidden="true"></i></div>';

                    return $html;
                }else{
                    return false;
                }
            }

            //
            static function s7upf_blog_id_post_autocomplete_suggester( $query ) {
                global $wpdb;
                $post_id = (int) $query;
                $post_meta_infos = $wpdb->get_results( $wpdb->prepare( "SELECT a.ID AS id, a.post_title AS title, b.meta_value AS sku
                   FROM {$wpdb->posts} AS a
                   LEFT JOIN ( SELECT meta_value, post_id  FROM {$wpdb->postmeta} WHERE `meta_key` = '_sku' ) AS b ON b.post_id = a.ID
                   WHERE a.post_type = 'post' AND ( a.ID = '%d' OR b.meta_value LIKE '%%%s%%' OR a.post_title LIKE '%%%s%%' )", $post_id > 0 ? $post_id : - 1, stripslashes( $query ), stripslashes( $query ) ), ARRAY_A );

                $results = array();
                if ( is_array( $post_meta_infos ) && ! empty( $post_meta_infos ) ) {
                    foreach ( $post_meta_infos as $value ) {
                        $data = array();
                        $data['value'] = $value['id'];
                        $data['label'] = esc_html__( 'Id', 'worldnews' ) . ': ' . $value['id'] . ( ( strlen( $value['title'] ) > 0 ) ? ' - ' . esc_html__( 'Title', 'worldnews' ) . ': ' . $value['title'] : '' );
                        $results[] = $data;
                    }
                }

                return $results;
            }
            static function _change_class($class_string, $tag)
            {
                if($tag=='vc_row' || $tag=='vc_row_inner') {
                    $class_string = str_replace('vc_row-fluid', '', $class_string);
                }

                if(defined ('WPB_VC_VERSION'))
                {
                    if(version_compare(WPB_VC_VERSION,'4.2.3','>'))
                    {
                        if($tag=='vc_column' || $tag=='vc_column_inner') {
                            $class_string=str_replace('vc_col', 'col', $class_string);
                        }
                    }else
                    {
                        if($tag=='vc_column' || $tag=='vc_column_inner') {
                            $class_string = preg_replace('/vc_span(\d{1,2})/', 'col-lg-$1', $class_string);
                        }
                    }
                }

                return $class_string;
            }
        }

        S7upf_VisualComposerController::_init();
    }
    
}