<?php
/**
 * Created by Sublime text 3.
 * User: 7uptheme
 * Date: 07/2017
 */
if(!function_exists('s7upf_vc_banner'))
{
    function s7upf_vc_banner($attr,$content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'             => '',
            'image'             => '',
            'image_size'        => '',
            'background'        => '',
            'background_size'   => '',
            'button_text'       => '',
            'ads_content'       => '',
            'image_link'        => '',
            'el_class'          => '',
            'right_text'        => '',
            'left_text'         => '',
            'link_video'        => '',
            ),$attr));
        $html .= S7upf_Template::load_view('elements/banner',false,array(
            'style'             => $style,
            'image'             => $image,
            'image_size'        => $image_size,
            'background'        => $background,
            'background_size'   => $background_size,
            'button_text'       => $button_text,
            'content'           => $content,
            'image_link'        => $image_link,
            'el_class'          => $el_class,
            'right_text'        => $right_text,
            'left_text'         => $left_text,
            'link_video'        => $link_video,     
            ));
        return $html;
    }
}
stp_reg_shortcode('s7upf_banner','s7upf_vc_banner');
vc_map( array(
    "name"      => esc_html__("SV Banner", 'worldnews'),
    "base"      => "s7upf_banner",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            'type'          => 'dropdown',
            'admin_label'   => true,
            'heading'       => esc_html__('Style', 'worldnews'),
            'param_name'    => 'style',
            'description'   => esc_html__('Select style', 'worldnews'),
            'value'         => array(
                esc_html__('Shine (default)','worldnews')   =>'',
                esc_html__('Style 1','worldnews')           =>'style1',
                esc_html__('Style 2','worldnews')           =>'style2',
                esc_html__('Style 3','worldnews')           =>'style3',
                esc_html__('Style 4','worldnews')           =>'style4',
                esc_html__('Style 5','worldnews')           =>'style5',
                esc_html__('Style 6','worldnews')           =>'style6',
                esc_html__('Style 7','worldnews')           =>'style7',
                ),
            ),
        array(
            'type'          => 'vc_link',
            'heading'       => esc_html__('Ads link', 'worldnews'),
            'param_name'    => 'image_link',
            ),
        array(
            'type'          => 'attach_image',
            'heading'       => esc_html__('Image', 'worldnews'),
            'param_name'    => 'image',
            'description'   => esc_html__('Select image from library.','worldnews'),
            ),
        array(
            'type'          => 'textfield',
            'heading'       => esc_html__('Image Size', 'worldnews'),
            'param_name'    => 'image_size',
            'description'   => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'worldnews'),
            ),
        array(
            'type'          => 'attach_image',
            'heading'       => esc_html__( 'Background', 'worldnews' ),
            'param_name'    => 'background',
            'description'   => esc_html__('Select background image from library.','worldnews'),
            'dependency'    => array(
                'element'   => 'style',
                'value'     => array('style1', 'style6'),
                ),
            ),
        array(
            'type'          => 'textfield',
            'heading'       => esc_html__('Background Size', 'worldnews'),
            'param_name'    => 'background_size',
            'dependency'    => array(
                'element'   => 'style',
                'value'     => array('style1', 'style6'),
                ),
            'description'   => esc_html__('Enter background size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'worldnews'),
            ),
        array(
            'type'          => 'textfield',
            'heading'       => esc_html__( 'Button text', 'worldnews' ),
            'param_name'    => 'button_text',
            'admin_label'   => true,
            'description'   => esc_html__('Enter text.','worldnews'),
            'dependency'    => array(
                'element'   => 'style',
                'value'     => array('style2'),
                ),
            ),
        array(
            'type'          => 'textarea_html',
            "heading"       => __( "Content", "worldnews" ),
            'param_name'    => 'content',
            "description"   => __( "Enter your content.", "worldnews" ),
            'dependency'    => array(
                'element'   => 'style',
                'value'     => array('style3', 'style5', 'style7')
                ),
            ),
        array(
            'type'              => 'textfield',
            'heading'           => esc_html__( 'Left text', 'worldnews' ),
            'param_name'        => 'left_text',
            'description'       => esc_html__('Enter your content.','worldnews'),
            'edit_field_class'  => 'vc_column vc_col-sm-6',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style4')
                ),
            ),
        array(
            'type'              => 'textfield',
            'heading'           => esc_html__( 'Right text', 'worldnews' ),
            'param_name'        => 'right_text',
            'description'       => esc_html__('Enter your content.','worldnews'),
            'edit_field_class'  => 'vc_column vc_col-sm-6',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style4')
                ),
            ),
        array(
            'type'              => 'textfield',
            'heading'           => esc_html__( 'Link video', 'worldnews' ),
            'param_name'        => 'link_video',
            'edit_field_class'  => 'vc_column vc_col-sm-6',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style4')
                ),
            ),
        array(
            'type'          => 'textfield',
            'heading'       => esc_html__('Extra Class Name','worldnews'),
            'param_name'    => 'el_class',
            'description'   => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.','worldnews'),
            ),
        )
)
);