<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_instagram_box'))
{
    function s7upf_vc_instagram_box($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'user'      => '',
            'photos'    => '',
            'token'         => '',
            'size_index'    => '0',
        ),$attr));
        $html .=    '<div class="rss-box">
                    <ul>';
        if ($user != '' && function_exists('s7upf_scrape_instagram')){
            $media_array = s7upf_scrape_instagram($user, $photos, $token, $size_index);
            if(!empty($media_array)){
                foreach ($media_array as $item) {
                    if(isset($item['link']) && isset($item['thumbnail_src'])){
                        $html .= '<li><a href="'. esc_url( $item['link'] ) .'" class="pull-left"><img class="pulse-grow" src="'. esc_url($item['thumbnail_src']) .'" alt=""></a></li>';
                    }
                }
            }
        }
        $html .=    '</ul>
                    </div>';
        return $html;
    }
}

stp_reg_shortcode('sv_instagram_box','s7upf_vc_instagram_box');

vc_map( array(
    "name"      => esc_html__("SV Instagram Box", 'worldnews'),
    "base"      => "sv_instagram_box",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("User",'worldnews'),
            "param_name"    => "user",
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Number",'worldnews'),
            "param_name"    => "photos",
        ),        
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Token",'worldnews'),
            "param_name"    => "token",
            "description"   => esc_html__("Enter token to view more 12 of photos. Create token your account at: https://outofthesandbox.com/pages/instagram-access-token",'worldnews'),
        ),
        
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Image custom size",'worldnews'),
            "param_name"    => "size_index",
            "value"         => array(
                esc_html__("Small",'worldnews')          => '0',
                esc_html__("Medium",'worldnews')         => '1',
                esc_html__("Large",'worldnews')          => '2',
                ),
            'description'   => esc_html__( 'Choose instagram image size to display', 'worldnews' ),
        ),
    )
));