<?php
/**
 * Created by Sublime text 3.
 * User: 7uptheme
 * Date: 24/07/17
 * Time: 03:07 PM
 */

if(!function_exists('s7upf_vc_list_cart_search'))
{
	function s7upf_vc_list_cart_search($attr,$content = false)
	{
		$html = $placeholder = $show_mini_cart = $show_search = $box_profile = $style = '';
		extract(shortcode_atts(array(
			'style'      		=> 'style1',
			'show_search'      	=> 'on',
			'box_profile'      	=> 'off',
			'show_mini_cart'	=> 'off',
			'placeholder'		=> 'Search',
			),$attr));

		ob_start(); 
		$search_val = get_search_query();
		if(empty($search_val)) $search_val = $placeholder;
		$html .= S7upf_Template::load_view('elements/list-cart-search',false,array(
			'style' 			=> $style,
			'show_search' 		=> $show_search,
			'box_profile' 		=> $box_profile,
			'show_mini_cart' 	=> $show_mini_cart,
			'placeholder'		=> $placeholder,
			'search_val'		=> $search_val,
			));
		$html .= @ob_get_clean();
		return $html;
	}
}

stp_reg_shortcode('s7upf_list_cart_search','s7upf_vc_list_cart_search');
vc_map( array(
	"name"      => esc_html__("SV Search box", 'worldnews'),
	"base"      => "s7upf_list_cart_search",
	"icon"      => "icon-st",
	"category"  => '7Up-theme',
	"params"    => array(
		array(
			'type' => 'dropdown',
			'admin_label' => true,
			'heading' => esc_html__( 'Style', 'worldnews' ),
			'param_name' => 'style',
			'value' => array(
				esc_html__('Style 1 (Default)','worldnews')=>'style1',
				esc_html__('Style 2 (No border)','worldnews')=>'style2',
				esc_html__('Style 3 (Extra)','worldnews')=>'style3',
				),
			'description' => esc_html__( 'Select style', 'worldnews' )
			),
		)
	)
);