<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_logo'))
{
    function s7upf_vc_logo($attr)
    {
        $html = $logo = $class_margin = $css_class = '';
        extract(shortcode_atts(array(
            'logo_img'      => '',
            'image_size'    => '',
            'custom_css'    => '',
            ),$attr));
        if(!empty($logo_img)){
            $img = wp_get_attachment_image_src( $logo_img ,"full");
            $logo .= $img[0];
        }
        else{
            $logo .= s7upf_get_option('logo');
        }
        $image_size = s7upf_get_size_image('full',$image_size);
        if(!empty($custom_css)) $css_class = vc_shortcode_custom_css_class( $custom_css );
        if(!empty($logo)){
            $html .=    '<div class="logo '.esc_attr($css_class).'">
            <a href="'.esc_url(home_url('/')).'">'.wp_get_attachment_image($logo_img,$image_size).'</a>
        </div>';
    }
    return $html;
}
}

stp_reg_shortcode('s7upf_logo','s7upf_vc_logo');
vc_map( array(
    "name"      => esc_html__("SV Logo", 'worldnews'),
    "base"      => "s7upf_logo",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "attach_image",
            "holder" => "div",
            "heading" => esc_html__("Logo image",'worldnews'),
            "param_name" => "logo_img",
            ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Image Size', 'worldnews'),
            'param_name' => 'image_size',
            'description' => esc_html__('Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height)).', 'worldnews'),
            ),
        array(
            "type"          => "css_editor",
            "heading"       => esc_html__("Custom Block",'worldnews'),
            "param_name"    => "custom_css",
            'group'         => esc_html__('Design Option','worldnews')
            ),
        )
    )
);
