<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */
if(!function_exists('s7upf_vc_social'))
{

    function s7upf_vc_social($attr, $content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'             => 'style1',
            'title'             => '',
            'list'              => '',
            'link'              => '',
            'custom_css'        => '',
            'cache_period'      => '24',
            'show_facebook'     => 'on',
            'f_page_id'         => '',
            'f_app_id'          => '',
            'f_app_secret'      => '',
            'f_default'         => '13050',
            'show_twitter'      => 'on',
            't_username'        => '',
            't_consumer_key'    => '',
            't_consumer_secret' => '',
            't_access_token'    => '',
            't_act_secret'      => '',
            't_default'         => '700',
            'show_google'       => 'on',
            'g_pagename'        => '',
            'g_api_key'         => '',
            'g_default'         => '11370',
            'show_instagram'    => 'on',
            'i_username'        => '',
            'i_userid'          => '',
            'i_access_token'    => '',
            'i_default'         => '436',
            'show_rss'          => 'on',
            'show_pinterest'    => 'on',
            'p_username'        => '',
            'p_default'         => '5910',
            'show_linkedin'     => 'on',
            'l_company_id'      => '',
            'l_access_token'    => '',
            'l_default'         => '3450',
            'show_vimeo'        => 'on',
            'v_userid'          => '',
            'v_default'         => '980',
            ),$attr));
        $data = (array) vc_param_group_parse_atts( $list );            
        $html .= S7upf_Template::load_view('elements/social',false,array(
            'style'             => $style,
            'title'             => $title,
            'data'              => $data,
            'custom_css'        => $custom_css,
            'cache_period'      => $cache_period,
            'show_facebook'     => $show_facebook,
            'f_page_id'         => $f_page_id,
            'f_app_id'          => $f_app_id,
            'f_app_secret'      => $f_app_secret,
            'f_default'         => $f_default,
            'show_twitter'      => $show_twitter,
            't_username'        => $t_username,
            't_consumer_key'    => $t_consumer_key,
            't_consumer_secret' => $t_consumer_secret,
            't_access_token'    => $t_access_token,
            't_act_secret'      => $t_act_secret,
            't_default'         => $t_default,
            'show_google'       => $show_google,
            'g_pagename'        => $g_pagename,
            'g_api_key'         => $g_api_key,
            'g_default'         => $g_default,
            'show_instagram'    => $show_instagram,
            'i_username'        => $i_username,
            'i_userid'          => $i_userid,
            'i_access_token'    => $i_access_token,
            'i_default'         => $i_default,
            'show_rss'          => $show_rss,
            'show_pinterest'    => $show_pinterest,
            'p_username'        => $p_username,
            'p_default'         => $p_default,
            'show_linkedin'     => $show_linkedin,
            'l_company_id'      => $l_company_id,
            'l_access_token'    => $l_access_token,
            'l_default'         => $l_default,
            'show_vimeo'        => $show_vimeo,
            'v_userid'          => $v_userid,
            'v_default'         => $v_default,
            ));
        return  $html;
    }
}

stp_reg_shortcode('sv_social','s7upf_vc_social');

vc_map( array(
    "name"      => esc_html__("SV Social", 'worldnews'),
    "base"      => "sv_social",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            'type'       => 'dropdown',
            'heading'    => esc_html__( 'Style', 'worldnews' ),
            'value'      => array(
                esc_html__( 'Style 1', 'worldnews' )    => 'style1',
                esc_html__( 'Style 2', 'worldnews' )    => 'style2',
                ),
            'param_name' => 'style',
            'description' => esc_html__( 'Select social layout', 'worldnews' ),
            ),
        // End style
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Title",'worldnews'),
            "param_name"    => "title",
            ),
        //End title
        array(
            "type" => "param_group",
            "heading" => esc_html__("Social List",'worldnews'),
            "param_name" => "list",
            "params"    => array(
                array(
                    'type'          => 'iconpicker',
                    'heading'       => esc_html__( 'Icon', 'worldnews' ),
                    'param_name'    => 'icon',
                    'value'         => '',
                    'settings'      => array(
                        'emptyIcon'     => true,
                        'iconsPerPage'  => 4000,
                        ),
                    'description'   => esc_html__( 'Select icon from library.', 'worldnews' ),
                    ),
                array(
                    "type"          => "textfield",
                    "heading"       => esc_html__("Link",'worldnews'),
                    "param_name"    => "link",
                    ),
                ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style1')
                ),
            ),
        //End social list for style 1
        array(
            "type" => "textfield",
            "heading" => esc_html__("Cache period",'worldnews'),
            "param_name" => "number",
            'description'   => esc_html__( 'Please enter the time in hours in which the count should be updated.Default is 24 hours', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
                ),
            ),
        //Cache period

        //Start Display setting
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Show Facebook",'worldnews'),
            "param_name" => "show_facebook",
            'admin_label' => true,
            "value"         => array(
                esc_html__('On','worldnews') => 'on',
                esc_html__('Off','worldnews') => 'off',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
                ),
            ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Show Twitter",'worldnews'),
            "param_name" => "show_twitter",
            'admin_label' => true,
            "value"         => array(
                esc_html__('On','worldnews') => 'on',
                esc_html__('Off','worldnews') => 'off',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
                ),
            ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Show Pinterest",'worldnews'),
            "param_name" => "show_pinterest",
            'admin_label' => true,
            "value"         => array(
                esc_html__('On','worldnews') => 'on',
                esc_html__('Off','worldnews') => 'off',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
                ),
            ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Show Instagram",'worldnews'),
            "param_name" => "show_instagram",
            'admin_label' => true,
            "value"         => array(
                esc_html__('On','worldnews') => 'on',
                esc_html__('Off','worldnews') => 'off',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
                ),
            ),
        //Start Pinterest profile
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Pinterest Username",'worldnews'),
            "param_name"    => "p_username",
            'description'   => esc_html__( 'Insert your Pinterest username. Example: claudiosmweb.', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_pinterest',
                'value'     =>array('on')
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Default value",'worldnews'),
            "param_name" => "p_default",
            'description'   => esc_html__( 'Insert your Pinterest default value. Example: 5910.', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_pinterest',
                'value'     =>array('on')
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            ),
        //End Pinterest profile
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Show Vimeo",'worldnews'),
            "param_name" => "show_vimeo",
            'admin_label' => true,
            "value"         => array(
                esc_html__('On','worldnews') => 'on',
                esc_html__('Off','worldnews') => 'off',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
                ),
            ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Show Google+",'worldnews'),
            "param_name" => "show_google",
            'admin_label' => true,
            "value"         => array(
                esc_html__('On','worldnews') => 'on',
                esc_html__('Off','worldnews') => 'off',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
                ),
            ),
        //Start Vimeo profile
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Vimeo User ID",'worldnews'),
            "param_name"    => "v_userid",
            'description'   => esc_html__( 'Insert your Vimeo username. Example: claudiosmweb.', 'worldnews' ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            'dependency'    =>array(
                'element'   =>'show_vimeo',
                'value'     =>array('on')
                ),
            ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Default value",'worldnews'),
            "param_name" => "v_default",
            'description'   => esc_html__( 'Insert your Vimeo default value. Example: 980.', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_vimeo',
                'value'     =>array('on')
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            ),
        //End Vimeo profile
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Show RSS",'worldnews'),
            "param_name" => "show_rss",
            'admin_label' => true,
            "value"         => array(
                esc_html__('On','worldnews') => 'on',
                esc_html__('Off','worldnews') => 'off',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
                ),
            ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Show LinkedIn",'worldnews'),
            "param_name" => "show_linkedin",
            'admin_label' => true,
            "value"         => array(
                esc_html__('On','worldnews') => 'on',
                esc_html__('Off','worldnews') => 'off',
                ),
            'edit_field_class'=>'vc_col-sm-6 vc_column',
            'dependency'    =>array(
                'element'   =>'style',
                'value'     =>array('style2')
                ),
            ),
        //End display setting


        //Start Facebook profile
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Page ID",'worldnews'),
            "param_name"    => "f_page_id",
            'group'         => esc_html__('Facebook','worldnews'),
            'description'   => esc_html__( 'Please enter the page ID or page name.For example:If your page url is https://www.facebook.com/AccessPressThemes then your page ID is AccessPressThemes.', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_facebook',
                'value'     =>array('on')
                ),
            ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("App ID",'worldnews'),
            "param_name"    => "f_app_id",
            'group'         => esc_html__('Facebook','worldnews'),
            'description'   => esc_html__( 'Please go to https://developers.facebook.com/ and create an app and get the App ID', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_facebook',
                'value'     =>array('on')
                ),
            ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("App secret",'worldnews'),
            "param_name"    => "f_app_secret",
            'group'         => esc_html__('Facebook','worldnews'),
            'description'   => esc_html__( 'Please go to https://developers.facebook.com/ and create an app and get the App Secret', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_facebook',
                'value'     =>array('on')
                ),
            ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Default value",'worldnews'),
            "param_name" => "f_default",
            'group'         => esc_html__('Facebook','worldnews'),
            'dependency'    =>array(
                'element'   =>'show_facebook',
                'value'     =>array('on')
                ),
            ),
        //End Facebook profile

        //Start Twitter profile
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Twitter Username",'worldnews'),
            "param_name"    => "t_username",
            'group'         => esc_html__('Twitter','worldnews'),
            'description'   => esc_html__( 'Please enter the twitter username.For example:apthemes', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_twitter',
                'value'     =>array('on')
                ),
            ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Twitter Consumer Key",'worldnews'),
            "param_name"    => "t_consumer_key",
            'group'         => esc_html__('Twitter','worldnews'),
            'description'   => esc_html__( 'Please create an app on Twitter through this link:https://dev.twitter.com/apps and get this information.', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_twitter',
                'value'     =>array('on')
                ),
            ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Twitter Consumer Secret",'worldnews'),
            "param_name"    => "t_consumer_secret",
            'group'         => esc_html__('Twitter','worldnews'),
            'description'   => esc_html__( 'Please create an app on Twitter through this link:https://dev.twitter.com/apps and get this information.', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_twitter',
                'value'     =>array('on')
                ),
            ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Twitter Access Token",'worldnews'),
            "param_name"    => "t_access_token",
            'group'         => esc_html__('Twitter','worldnews'),
            'description'   => esc_html__( 'Please create an app on Twitter through this link:https://dev.twitter.com/apps and get this information.', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_twitter',
                'value'     =>array('on')
                ),
            ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Twitter Access Token Secret",'worldnews'),
            "param_name"    => "t_act_secret",
            'group'         => esc_html__('Twitter','worldnews'),
            'description'   => esc_html__( 'Please go to https://developers.facebook.com/ and create an app and get the App Secret', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_twitter',
                'value'     =>array('on')
                ),
            ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Default value",'worldnews'),
            "param_name" => "t_default",
            'group'         => esc_html__('Twitter','worldnews'),
            'dependency'    =>array(
                'element'   =>'show_twitter',
                'value'     =>array('on')
                ),
            ),
        //End Twitter profile


        //Start Google+ profile
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Google Plus Page Name or Profile ID",'worldnews'),
            "param_name"    => "g_pagename",
            'group'         => esc_html__('Google+','worldnews'),
            'description'   => esc_html__( ' Please enter the page name or profile ID.For example:If your page url is https://plus.google.com/+BBCNews then your page name is +BBCNews', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_google',
                'value'     =>array('on')
                ),
            ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Google API Key",'worldnews'),
            "param_name"    => "g_api_key",
            'group'         => esc_html__('Google+','worldnews'),
            'description'   => esc_html__( 'To get your API Key, please go to https://console.developers.google.com/project.', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_google',
                'value'     =>array('on')
                ),
            ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Default value",'worldnews'),
            "param_name" => "g_default",
            'group'         => esc_html__('Google+','worldnews'),
            'dependency'    =>array(
                'element'   =>'show_google',
                'value'     =>array('on')
                ),
            ),
        //End Google+ profile

        //Start Instagram profile
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Instagram Username",'worldnews'),
            "param_name"    => "i_username",
            'group'         => esc_html__('Instagram','worldnews'),
            'description'   => esc_html__( 'Please enter the instagram username', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_instagram',
                'value'     =>array('on')
                ),
            ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Instagram User ID",'worldnews'),
            "param_name"    => "i_userid",
            'group'         => esc_html__('Instagram','worldnews'),
            'description'   => esc_html__( 'Please enter the instagram user ID.You can get this information from http://www.pinceladasdaweb.com.br/instagram/access-token/', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_instagram',
                'value'     =>array('on')
                ),
            ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Instagram Access Token",'worldnews'),
            "param_name"    => "i_access_token",
            'group'         => esc_html__('Instagram','worldnews'),
            'description'   => esc_html__( 'Please enter the instagram Access Token.You can get this information from http://instagram.pixelunion.net/', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_instagram',
                'value'     =>array('on')
                ),
            ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Default value",'worldnews'),
            "param_name" => "i_default",
            'group'         => esc_html__('Instagram','worldnews'),
            'dependency'    =>array(
                'element'   =>'show_instagram',
                'value'     =>array('on')
                ),
            ),
        //End Instagram profile

        //Start LinkedIn profile
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("LinkedIn Company ID",'worldnews'),
            "param_name"    => "l_company_id",
            'group'         => esc_html__('LinkedIn','worldnews'),
            'description'   => esc_html__( 'Insert your LinkedIn Company ID. Get your Company ID in https://socialcountplus-linkedin.herokuapp.com/.', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_linkedin',
                'value'     =>array('on')
                ),
            ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("LinkedIn Access Token",'worldnews'),
            "param_name"    => "l_access_token",
            'group'         => esc_html__('LinkedIn','worldnews'),
            'description'   => esc_html__( 'Get your Access Token in https://socialcountplus-linkedin.herokuapp.com/.', 'worldnews' ),
            'dependency'    =>array(
                'element'   =>'show_linkedin',
                'value'     =>array('on')
                ),
            ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Default value",'worldnews'),
            "param_name" => "l_default",
            'group'         => esc_html__('LinkedIn','worldnews'),
            'dependency'    =>array(
                'element'   =>'show_linkedin',
                'value'     =>array('on')
                ),
            ),
        //End LinkedIn profile


        array(
            "type"          => "css_editor",
            "heading"       => esc_html__("Custom Block",'worldnews'),
            "param_name"    => "custom_css",
            'group'         => esc_html__('Advanced','worldnews'),
            ),
        //End custom css
        )
)
);