<?php
$word_excerpt = s7upf_get_option('number_word_excerpt_blog_list','30');
?>
<div class="post-item col-sm-6">
    <div class="post-thumb">
        <a href="<?php the_permalink(); ?>" title=""><?php the_post_thumbnail(); ?></a>
    </div>
    <div class="post-info">
        <a href="<?php the_permalink(); ?>" title="">
            <b><?php the_title(); echo (is_sticky()) ? '<i class="fa fa-thumb-tack"></i>':''; ?></b>
        </a>
        <ul class="post-list-info">
            <li>
                <i class="ion-android-calendar"></i>
                <span><?php echo get_the_date(get_option('date_format')); ?></span>
            </li>
            <li>
                <a href="<?php echo esc_url( get_comments_link() ); ?>" title="">
                    <i class="ion-chatbox-working"></i>
                    <span><?php comments_number( '0', '1', '%' ); ?></span>
                </a>
            </li>
        </ul>
        <?php 
        if ( has_excerpt( get_the_ID()) ) {
            echo '<p class="excerpt">'.balanceTags(wp_trim_words( get_the_excerpt(), $word_excerpt , '...' ), true).'</p>'; 
        }
        else echo '<p class="excerpt">'.balanceTags(wp_trim_words( get_the_content(), $word_excerpt , '...'), true).'</p>'; 
        ?> 
        <a href="<?php the_permalink(); ?>" class="read-more" title=""><?php esc_html_e("Read more","worldnews");?></a>
    </div>
</div>