<?php
/**
 * Created by Sublime text 3.
 * User: 7utheme
 * Date: 07/2017
 */
$image_size = s7upf_get_size_image('full',$image_size);
switch ($style) {
	case 'grid':
	?>
	<div class="post-box-listing margin-b20 border-bottom">
		<div class="grid-blog">
			<?php
			$i = 1;
			while($query->have_posts()) {
				$query->the_post();
				if(($grid_option=='col-sm-6')&(($i-1)%2==0)) echo '<div class="row">';
				if(($grid_option=='col-sm-4')&(($i-1)%3==0)) echo '<div class="row">';
				?>
				<div class="post-item <?php echo esc_attr($grid_option); ?>">
					<div class="post-thumb">
						<div class="list-cat-btn">
							<?php
							$post_id = get_the_ID();
							s7upf_list_cat_btn($post_id);
							?>
						</div>
						<div class="type-icon">
							<?php 
							$format = get_post_format();
							s7upf_post_format($format);
							?>
						</div>
						<a href="<?php the_permalink(); ?>">
							<?php
							echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = '');
							?>
						</a>
					</div>
					<div class="post-info">
						<a href="<?php the_permalink(); ?>" title="">
							<b><?php the_title()?></b>
						</a>
						<ul class="post-list-info">
							<li>
								<i class="ion-android-calendar"></i>
								<span><?php echo get_the_date(get_option('date_format')); ?></span>
							</li>
							<li>
								<a href="<?php echo esc_url( get_comments_link() ); ?>">
									<i class="ion-chatbox-working"></i>
									<span><?php comments_number( '0', '1', '%' ); ?></span>
								</a>
							</li>
						</ul>
						<?php 
						if ( has_excerpt( get_the_ID()) ) {
							echo '<p class="excerpt">'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>'; 
						}
						else echo '<p class="excerpt">'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
						?> 
						<a href="<?php the_permalink(); ?>" class="read-more"><?php esc_html_e("Read more","worldnews");?></a>
					</div>
				</div>
				<?php
				if(($grid_option=='col-sm-6')&($i%2==0)) echo '</div>';
				if(($grid_option=='col-sm-4')&($i%3==0)) echo '</div>';
				$i = $i+1;
			}
			if(($grid_option=='col-sm-6')&(($i-1)%2!=0)) echo '</div>';
			if(($grid_option=='col-sm-4')&(($i-1)%3!=0)) echo '</div>';
			?>
		</div>
	</div>
	<?php
	break;

	default:
	?>
	<div class="post-box-listing margin-b20 border-bottom">
		<div class="row">
			<?php
			while($query->have_posts()) {
				$query->the_post();	
				?>
				<div class="post-item">
					<div class="col-sm-6">
						<div class="post-thumb">
							<div class="list-cat-btn">
								<?php
								$post_id = get_the_ID();
								s7upf_list_cat_btn($post_id);
								?>
							</div>
							<div class="type-icon">
								<?php 
								$format = get_post_format();
								s7upf_post_format($format);
								?>
							</div>
							<a href="<?php the_permalink(); ?>">
								<?php
								echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = '');
								?>
							</a>
						</div>
					</div>
					<div class="col-sm-6">
						<div class="post-info">
							<a href="<?php the_permalink(); ?>" title="">
								<b><?php the_title()?></b>
							</a>
							<ul class="post-list-info">
								<li>
									<i class="ion-android-calendar"></i>
									<span><?php echo get_the_date(get_option('date_format')); ?></span>
								</li>
								<li>
									<a href="<?php echo esc_url( get_comments_link() ); ?>">
										<i class="ion-chatbox-working"></i>
										<span><?php comments_number( '0', '1', '%' ); ?></span>
									</a>
								</li>
							</ul>
							<?php 
							if ( has_excerpt( get_the_ID()) ) {
								echo '<p class="excerpt">'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>'; 
							}
							else echo '<p class="excerpt">'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
							?> 
							<a href="<?php the_permalink(); ?>" class="read-more"><?php esc_html_e("Read more","worldnews");?></a>
						</div>
					</div>
				</div>
				<?php
			}
			?>
		</div>
	</div>
	<?php
	break;
}

if('on' === $pagination){
	?>
	<div class="row">
		<div class="col-md-12 tp-pagination">
			<nav class="navigation paging-navigation">
				<div class="page-nav-bar margin-b20">
					<?php
					$big = 999999999;
					echo paginate_links(array(
						'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
						'format' => '&page=%#%',
						'current' => max(1, $paged),
						'total' => $query->max_num_pages,
						'mid_size' => 1,
						'type' => 'plain',
						'prev_text' => esc_html__( '&larr;', 'worldnews' ),
						'next_text' => esc_html__( '&rarr;', 'worldnews' ),
						)
					);
					?>
				</div><!-- .pagination -->
			</nav><!-- .navigation -->
		</div>
	</div>
	<?php
}