<?php
/**
 * Created by ThuyPham
 * User: Administrator
 * Date: 24/07/2017
 * Time: 16:32
 */

$class_link_wrap = "";
$class_link_inner = "";
$css_class = '';
if(!empty($custom_css)) $css_class = vc_shortcode_custom_css_class( $custom_css );

switch ($style) {
	case 'style1':
	?>
	<div class="topics bread-crumb <?php echo esc_attr($css_class); ?>">
		<?php
		if($show_label=='on') echo '<span class="main-bg">'.esc_attr($label_content).'</span>';
		if(!empty($data_link) and is_array($data_link)) {
			?>
			<ul class="list-inline-block">
				<?php foreach ($data_link as $value){
					$data = '';
					if(!empty($value['link']))
						$data = vc_build_link($value['link']);
					if(!empty($data['title'])){
						?>
						<li><a href="<?php echo (!empty($data['url']))? esc_url($data['url']): '#'; ?>" <?php if(empty($data['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($data['target']))?'_blank':'_parent'; ?>"><?php echo esc_attr($data['title']);?></a></li>
						<?php
					}
				} ?>
			</ul>
			<?php
		}
		?>
	</div>
	<?php
	break;

	case 'style2':
	if(!empty($data_link) and is_array($data_link)) {
		?>
		<ul class="list-none footer-list <?php echo esc_attr($css_class); ?>">
			<?php foreach ($data_link as $value){
				$data = '';
				if(!empty($value['link']))
					$data = vc_build_link($value['link']);
				if(!empty($data['title'])){
					?>
					<li><a href="<?php echo (!empty($data['url']))? esc_url($data['url']): '#'; ?>" <?php if(empty($data['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($data['target']))?'_blank':'_parent'; ?>"><?php echo esc_attr($data['title']);?></a></li>
					<?php
				}
			} ?>
		</ul>
		<?php
	}
	break;

	case 'style3':
	if(!empty($data_link) and is_array($data_link)) {
		?>
		<ul class="bottom-link list-inline-block text-right <?php echo esc_attr($css_class); ?>">
			<?php foreach ($data_link as $value){
				$data = '';
				if(!empty($value['link']))
					$data = vc_build_link($value['link']);
				if(!empty($data['title'])){
					?>
					<li><a href="<?php echo (!empty($data['url']))? esc_url($data['url']): '#'; ?>" <?php if(empty($data['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($data['target']))?'_blank':'_parent'; ?>"><?php echo esc_attr($data['title']);?></a></li>
					<?php
				}
			} ?>
		</ul>
		<?php
	}
	break;

	case 'style4':
	?>
	<div class="list-cat-mega-menu <?php echo esc_attr($css_class); ?>">
		<?php if($show_label=='on') echo '<a href="'.esc_attr($label_link).'"><b class="title-cat-mega-menu">'.esc_attr($label_content).'</b></a>';
		if(!empty($data_link) and is_array($data_link)) {
			?>
			<ul class="list-none">
				<?php foreach ($data_link as $value){
					$data = '';
					if(!empty($value['link']))
						$data = vc_build_link($value['link']);
					if(!empty($data['title'])){
						?>
						<li><a href="<?php echo (!empty($data['url']))? esc_url($data['url']): '#'; ?>" <?php if(empty($data['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($data['target']))?'_blank':'_parent'; ?>"><?php echo esc_attr($data['title']);?></a></li>
						<?php
					}
				} ?>
			</ul>
			<?php
		} ?>
	</div>
	<?php
	break;

	case 'style5':
	?>
	<div class="vertical-transfrom-list <?php echo esc_attr($css_class); ?>">
		<?php
		if(!empty($data_link) and is_array($data_link)) {
			?>
			<ul class="list-none">
				<?php foreach ($data_link as $value){
					$data = '';
					if(!empty($value['link']))
						$data = vc_build_link($value['link']);
					if(!empty($data['title'])){
						?>
						<li><a href="<?php echo (!empty($data['url']))? esc_url($data['url']): '#'; ?>" <?php if(empty($data['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($data['target']))?'_blank':'_parent'; ?>"><?php echo esc_attr($data['title']);?></a></li>
						<?php
					}
				} ?>
			</ul>
			<?php
		}
		?>
	</div>
	<?php
	break;

	case 'style6':
	?>
	<div class="bread-crumb pull-right <?php echo esc_attr($css_class); ?>">
		<?php
		if(!empty($data_link) and is_array($data_link)) {
			?>
			<ul class="list-inline-block">
				<?php foreach ($data_link as $value){
					$data = '';
					if(!empty($value['link']))
						$data = vc_build_link($value['link']);
					if(!empty($data['title'])){
						?>
						<li><a href="<?php echo (!empty($data['url']))? esc_url($data['url']): '#'; ?>" <?php if(empty($data['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($data['target']))?'_blank':'_parent'; ?>"><?php echo esc_attr($data['title']);?></a></li>
						<?php
					}
				} ?>
			</ul>
			<?php
		}
		?>								
	</div>
	<?php
	break;

	case 'vertical':
	if($show_label=='on') {
		$class_link_wrap = 'list-cat-mega-menu';
		$class_link_inner = 'list-none';
	} elseif($text_transform=='upper') {
		$class_link_wrap = '';
		$class_link_inner = 'list-none';
	} else {
		$class_link_inner = 'list-none footer-list';
	}
	?>
	<div class="<?php echo esc_attr($class_link_wrap); ?>">
		<?php
		if($show_label=='on') echo '<a href="'.esc_attr($label_link).'"><b class="title-cat-mega-menu">'.esc_attr($label_content).'</b></a>';
		if(!empty($data_link) and is_array($data_link)) {
			?>
			<ul class="<?php echo esc_attr($class_link_inner); ?>">
				<?php foreach ($data_link as $value){
					$data = '';
					if(!empty($value['link']))
						$data = vc_build_link($value['link']);
					if(!empty($data['title'])){
						?>
						<li><a href="<?php echo (!empty($data['url']))? esc_url($data['url']): '#'; ?>" <?php if(empty($data['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($data['target']))?'_blank':'_parent'; ?>"><?php echo esc_attr($data['title']);?></a></li>
						<?php
					}
				} ?>
			</ul>
			<?php
		}
		?>
	</div>
	<?php
	break;

	case 'style9':
	?>
	<div class="link-cat-home3 <?php echo esc_attr($css_class); ?>">
		<b><a href="<?php echo esc_url($title_link); ?>"><?php echo esc_attr($title); ?></a></b>
		<?php
		if(!empty($data_link) and is_array($data_link)) {
			?>
			<ul class="">
				<?php foreach ($data_link as $value){
					$data = '';
					if(!empty($value['link']))
						$data = vc_build_link($value['link']);
					if(!empty($data['title'])){
						?>
						<li><a href="<?php echo (!empty($data['url']))? esc_url($data['url']): '#'; ?>" <?php if(empty($data['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($data['target']))?'_blank':'_parent'; ?>"><?php echo esc_attr($data['title']);?></a></li>
						<?php
					}
				} ?>
			</ul>
			<?php
		}
		?>
	</div>
	<?php
	break;

	case 'style10':
	?>
	<div class="link-cat-home3">
		<?php
		if(!empty($data_link) and is_array($data_link)) {
			foreach ($data_link as $value){
				$data = '';
				if(!empty($value['link']))
					$data = vc_build_link($value['link']);
				if(!empty($data['title'])){
					?>
					<b><a href="<?php echo (!empty($data['url']))? esc_url($data['url']): '#'; ?>" <?php if(empty($data['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($data['target']))?'_blank':'_parent'; ?>"><?php echo esc_attr($data['title']);?></a></b>
					<?php
				}
			} 
		}

		if($show_label=='on') echo '<span class="main-bg">'.esc_attr($label_content).'</span>';
		?>
	</div>
	<?php
	break;

	default:
	?>
	<div class="top-left <?php echo esc_attr($css_class); ?>">
		<?php
		if($current_date=='on') echo '<p class="current-time">'.get_the_date().'</p>';
		if(!empty($data_link) and is_array($data_link)) {
			?>
			<ul class="top-header-link color-text-link list-inline-block">
				<?php foreach ($data_link as $value){
					$data = '';
					if(!empty($value['link']))
						$data = vc_build_link($value['link']);
					if(!empty($data['title'])){
						?>
						<li><a href="<?php echo (!empty($data['url']))? esc_url($data['url']): '#'; ?>" <?php if(empty($data['url'])) echo 'onclick="return false;"'; ?> target="<?php echo (!empty($data['target']))?'_blank':'_parent'; ?>"><?php echo esc_attr($data['title']);?></a></li>
						<?php
					}
				} ?>
			</ul>
			<?php
		}
		?>
	</div>
	<?php
	break;
}