<?php
/**
 * Created by Sublime text 3.
 * User: 7uptheme
 * Date: 28/07/2017
 * Time: 16:27
 */

$post_box_class = '';
$image_size = s7upf_get_size_image('full',$image_size);
$small_img = s7upf_get_size_image('full',$small_img);
$count_query = $query->post_count;
switch ($style) {
	case 'style1':
	?>
	<div class="experts home-title color-border-bottom drop-shadow <?php echo esc_attr($el_class);?>">
		<?php if(!empty($title)) { ?>
		<h2 class="color-title margin-b20"><a href="<?php echo esc_url($link); ?>"><?php echo esc_attr($title); ?></a></h2>
		<?php } ?>
		<ul>
			<?php
			while($query->have_posts()) {
				$query->the_post();			
				?>
				<li>
					<div class="experts-thumb">
						<a href="<?php the_permalink(); ?>">
							<?php echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = ''); ?>
						</a>
					</div>											
					<div class="experts-info">											
						<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
						<?php 
						if ( has_excerpt( get_the_ID()) ) {
							echo '<p>'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>';
						} else echo '<p>'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
						?>
						<a class="more" href="<?php the_permalink(); ?>"><?php echo esc_attr($more_text); ?></a>
					</div>
				</li>
				<?php
			}
			?>
		</ul>
	</div>
	<?php
	break;
	/* End style1 - home1 */

	case 'style2':
	?>
	<div class="home-cat-content">
		<?php
		$i = 1;
		while($query->have_posts()) {
			$query->the_post();
			if($i==1) {
				$more_css = S7upf_Assets::build_css('background-color: '.$button_bg.';');
				?>
				<div class="home-cat-first">
					<div class="home-cat-thumb">
						<div class="list-cat-btn">
							<?php
							$post_id = get_the_ID();
							s7upf_list_cat_btn($post_id);
							?>
						</div>
						<div class="type-icon">
							<?php 
							$format = get_post_format();
							s7upf_post_format($format);
							?>
						</div>
						<a href="<?php the_permalink(); ?>">
							<?php echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = ''); ?>
						</a>
					</div>
					<div class="home-cat-info">
						<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
						<ul class="post-list-info">
							<li>
								<i class="ion-android-calendar"></i>
								<span><?php echo get_the_date(get_option('date_format')); ?></span>
							</li>
							<li>
								<a href="<?php echo esc_url( get_comments_link() ); ?>">
									<i class="ion-chatbox-working"></i>
									<span><?php comments_number( '0', '1', '%' ); ?></span>
								</a>
							</li>
						</ul>
						<?php 
						if ( has_excerpt( get_the_ID()) ) {
							echo '<p>'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>';
						} else echo '<p>'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
						?>
						<a href="<?php the_permalink(); ?>" class="more <?php echo esc_attr($more_css); ?>"><?php echo esc_attr($more_text); ?></a>
					</div>								
				</div>
				<?php
			} else {
				if($i==2) echo '<div class="home-cat-related"><div class="post-box">';
				?>					
				<div class="post-item">
					<div class="post-thumb">
						<a href="<?php the_permalink(); ?>">
							<?php echo get_the_post_thumbnail($post = null, $size= $small_img, $attr = ''); ?>
						</a>
					</div>
					<div class="post-info">
						<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>	
						<ul class="post-list-info">
							<li>
								<i class="ion-android-calendar"></i>
								<span><?php echo get_the_date(get_option('date_format')); ?></span>
							</li>
							<li>
								<a href="<?php echo esc_url( get_comments_link() ); ?>">
									<i class="ion-chatbox-working"></i>
									<span><?php comments_number( '0', '1', '%' ); ?></span>
								</a>
							</li>
						</ul>
					</div>
				</div>
				<?php
				if(($i>=2) && ($i==$count_query)) echo '</div></div>';
			}
			$i++;
		}
		?>
	</div>
	<?php
	break; 
	/* End style2 - home1 */

	case 'style3':
	$title_css = S7upf_Assets::build_css('background-color: '.$title_bg.';');
	?>
	<div class="most-popular">
		<?php if(!empty($title)) { ?>
		<h3 class="title14 <?php echo esc_attr($title_css); ?>">
			<a href="<?php echo esc_url($link); ?>"><?php echo esc_attr($title); ?></a>
		</h3>
		<?php } ?>
		<div class="post-box square">
			<?php
			while($query->have_posts()) {
				$query->the_post();
				?>
				<div class="post-item">
					<div class="post-thumb">
						<a href="<?php the_permalink(); ?>">
							<?php echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = ''); ?>
						</a>
					</div>
					<div class="post-info">
						<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
						<ul class="post-list-info">
							<li>
								<i class="ion-android-calendar"></i>
								<span><?php echo get_the_date(get_option('date_format')); ?></span>
							</li>
							<li>
								<a href="<?php echo esc_url( get_comments_link() ); ?>">
									<i class="ion-chatbox-working"></i>
									<span><?php comments_number( '0', '1', '%' ); ?></span>
								</a>
							</li>
						</ul>
					</div>
				</div>				
				<?php
			}
			?>
		</div>
	</div>
	<?php
	break;
	/* End style3 - home1 */
	
	case 'style4':
	?>
	<div class="list-editor-pick">
		<div class="post-box">
			<?php
			while($query->have_posts()) {
				$query->the_post();
				?>
				<div class="post-item">
					<div class="post-thumb">
						<div class="list-cat-btn">
							<?php
							$post_id = get_the_ID();
							s7upf_list_cat_btn($post_id);
							?>
						</div>
						<div class="type-icon">
							<?php 
							$format = get_post_format();
							s7upf_post_format($format);
							?>
						</div>
						<a href="<?php the_permalink(); ?>">
							<?php echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = ''); ?>
						</a>	
					</div>
					<div class="post-info">
						<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
						<ul class="post-list-info">
							<li>
								<i class="ion-android-calendar"></i>
								<span><?php echo get_the_date(get_option('date_format')); ?></span>
							</li>
							<li>
								<a href="<?php echo esc_url( get_comments_link() ); ?>">
									<i class="ion-chatbox-working"></i>
									<span><?php comments_number( '0', '1', '%' ); ?></span>
								</a>
							</li>
						</ul>
					</div>
				</div>		
				<?php
			}
			?>
		</div>								
	</div>
	<?php
	break;
	/* End style4 - home1 */

	case 'style5':
	$title_css = S7upf_Assets::build_css('background-color: '.$title_bg.';');
	$border_css = S7upf_Assets::build_css('border: 2px solid '.$border_color.'; padding: 0 25px;');
	?>
	<div class="most-viewed <?php if($border_color!='transperent') echo esc_attr($border_css); ?>">
		<?php if(!empty($title)) { 
			?>
			<h3 class="title14 <?php echo esc_attr($title_css); ?>">
				<a href="<?php echo esc_url($link); ?>"><?php echo esc_attr($title); ?></a>
			</h3>
			<?php 
		} ?>
		<ul class="viewed-list list-none">
			<?php
			$i = 1;
			while($query->have_posts()) {
				$query->the_post();
				?>
				<li>
					<span><?php echo esc_attr($i); ?></span>
					<a href="<?php the_permalink(); ?>">
						<?php 
						$format = get_post_format();
						s7upf_post_format($format);
						?>
						<?php the_title(); ?>
					</a>
				</li>
				<?php $i++;
			}
			?>
		</ul>
	</div>
	<?php
	break;
	/* End style5 - most viewed */

	case 'style6':
	?>
	<div class="home2-top-new color-border-top drop-shadow">
		<div class="post-box row">
			<?php
			$i = 1;
			while($query->have_posts()) {
				$query->the_post();
				if($i==1||$i==4) echo '<div class="col-sm-3">';
				if($i==3) echo '<div class="col-sm-6">';
				?>
				<div class="post-item">
					<div class="post-thumb">	
						<div class="list-cat-btn">
							<?php
							$post_id = get_the_ID();
							s7upf_list_cat_btn($post_id);
							?>
						</div>
						<div class="type-icon">
							<?php 
							$format = get_post_format();
							s7upf_post_format($format);
							?>
						</div>
						<a href="<?php the_permalink(); ?>">
							<?php
							$new_img_size = '';
							if($i==3) $new_img_size = $image_size; else $new_img_size = $small_img;
							echo get_the_post_thumbnail($post = null, $size= $new_img_size, $attr = ''); ?>
						</a>
					</div>
					<div class="post-info">
						<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
						<?php s7upf_post_list_info(); ?>
						<?php
						if($i==3) { 
							if ( has_excerpt( get_the_ID()) ) {
								echo '<p>'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>';
							} else echo '<p>'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
						}
						?>
					</div>
				</div>
				<?php if($count_query==1 || $i==2 || $i==3 || (($count_query==4) && ($i==$count_query)) || $i==5) echo '</div>';
				$i++;
			} ?>
		</div>
	</div>
	<?php
	break;
	/* End style6 - home2 */

	case 'style7':
	$firt_post_css = S7upf_Assets::build_css('background-color: '.$first_bg.';');
	?>
	<div class="home-cat-2 color-border-top">
		<?php if(!empty($title)) { ?>
		<h2 class="color-title margin-b20"><a href="<?php echo esc_url($link); ?>"><?php echo esc_attr($title); ?></a></h2>
		<?php } ?>
		<div class="post-box row">
			<?php
			$i=1;
			while($query->have_posts()) {
				$query->the_post();
				if($i==1) {
					?>
					<div class="post-item col-md-9 first-post">
						<div class="<?php if(!empty($first_bg)) echo esc_attr($firt_post_css); else echo 'business-bg'; ?> overflow">
							<div class="post-thumb">
								<div class="list-cat-btn">
									<?php
									$post_id = get_the_ID();
									s7upf_list_cat_btn($post_id);
									?>
								</div>
								<div class="type-icon">
									<?php 
									$format = get_post_format();
									s7upf_post_format($format);
									?>
								</div>
								<a href="<?php the_permalink(); ?>">
									<?php echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = ''); ?>
								</a>
							</div>
							<div class="post-info">
								<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
								<?php s7upf_post_list_info(); ?>
								<?php
								if ( has_excerpt( get_the_ID()) ) {
									echo '<p>'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>';
								} else echo '<p>'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
								?>
								<a class="more" href="<?php the_permalink(); ?>"><?php echo esc_attr($more_text); ?></a>
							</div>
						</div>
					</div>
					<?php 
				} else {
					?>
					<div class="post-item col-md-3">
						<div class="post-thumb">
							<a href="<?php the_permalink(); ?>">
								<?php echo get_the_post_thumbnail($post = null, $size= $small_img, $attr = ''); ?>
							</a>
						</div>
						<div class="post-info">
							<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
							<?php s7upf_post_list_info(); ?>
							<?php
							if ( has_excerpt( get_the_ID()) ) {
								echo '<p>'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>';
							} else echo '<p>'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
							?>
						</div>
					</div>
					<?php 
				} ?>
				<?php $i++;
			} ?>
		</div>
	</div>
	<?php
	break;
	/* End style7 - home2 */

	case 'style8':
	?>
	<div class="<?php if($number_column==3) echo 'post-box-home3'; else echo 'top-post-home4'; ?>">
		<div class="<?php if($number_column!=1) echo 'row'; ?>">
			<?php
			while($query->have_posts()) {
				$query->the_post();
				?>		
				<div class="white post-item col-sm-<?php echo 12/$number_column;?>">
					<div class="post-thumb">
						<div class="list-cat-btn">
							<?php
							$post_id = get_the_ID();
							s7upf_list_cat_btn($post_id);
							?>
						</div>
						<div class="type-icon">
							<?php 
							$format = get_post_format();
							s7upf_post_format($format);
							?>
						</div>
						<a href="<?php the_permalink(); ?>">
							<?php echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = ''); ?>
						</a>
					</div>
					<div class="post-info <?php if($number_column!=3) echo 'white-sub'; ?>">
						<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>	
						<ul class="post-list-info">
							<li>
								<i class="ion-android-calendar"></i>
								<span><?php echo get_the_date(get_option('date_format')); ?></span>
							</li>
							<li>
								<a href="<?php echo esc_url( get_comments_link() ); ?>">
									<i class="ion-chatbox-working"></i>
									<span><?php comments_number( '0', '1', '%' ); ?></span>
								</a>
							</li>
						</ul>
						<?php
						if ( has_excerpt( get_the_ID()) ) {
							echo '<p>'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>';
						} else echo '<p>'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
						?>
					</div>
				</div>
				<?php
			}
			?>
		</div>
	</div>
	<?php
	break;
	/* End style8 - home3 */

	case 'style9':
	?>
	<div class="popular-post-home3  <?php echo esc_attr($el_class);?>">
		<?php if(!empty($title)) { ?>
		<h2 class="color-title margin-b20"><a href="<?php echo esc_url($link); ?>"><?php echo esc_attr($title); ?></a></h2>
		<?php } ?>
		<div class="post-box">
			<?php
			$i = 1;
			while($query->have_posts()) {
				$query->the_post();
				?>
				<div class="post-item">
					<div class="post-thumb pull-left">
						<div class="list-cat-btn">
							<?php
							$post_id = get_the_ID();
							s7upf_list_cat_btn($post_id);
							?>
						</div>
						<div class="type-icon">
							<?php
							$format = get_post_format();
							s7upf_post_format($format);
							?>
						</div>
						<a href="<?php the_permalink(); ?>">
							<?php echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = ''); ?>
						</a>
					</div>
					<div class="post-info">
						<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
						<?php s7upf_post_list_info(); ?>
						<?php
						if ( has_excerpt( get_the_ID()) ) {
							echo '<p>'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>';
						} else echo '<p>'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
						?>
						<ul class="include-info">
							<?php if($show_post_by=='on') {
								?>
								<li class="post-category">
									<?php echo esc_html__('Post by:', 'worldnews'); ?>
									<a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><?php the_author(); ?></a>
								</li>
								<li></li>
								<?php
							} ?>
						</ul>
					</div>
				</div>
				<?php $i++;
			}
			?>
		</div>
	</div>
	<?php
	break;
	/* End style9 - home3 */

	case 'style10':
	?>
	<div class="cat-home3 color-border-top">
		<?php if(!empty($title)) { ?>
		<h2 class="color-title margin-b20"><a href="<?php echo esc_url($link); ?>"><?php echo esc_attr($title); ?></a></h2>
		<?php } ?>
		<div class="post-box">
			<?php
			$i = 1;
			while($query->have_posts()) {
				$query->the_post();
				if($i==1) {
					?>
					<div class="post-item white">
						<div class="post-thumb">
							<div class="list-cat-btn">
								<?php
								$post_id = get_the_ID();
								s7upf_list_cat_btn($post_id);
								?>
							</div>
							<div class="type-icon">
								<?php 
								$format = get_post_format();
								s7upf_post_format($format);
								?>
							</div>
							<a href="<?php the_permalink(); ?>">
								<?php echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = ''); ?>
							</a>
						</div>
						<div class="post-info">
							<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>	
							<ul class="post-list-info">
								<li>
									<i class="ion-android-calendar"></i>
									<span><?php echo get_the_date(get_option('date_format')); ?></span>
								</li>
								<li>
									<a href="<?php echo esc_url( get_comments_link() ); ?>">
										<i class="ion-chatbox-working"></i>
										<span><?php comments_number( '0', '1', '%' ); ?></span>
									</a>
								</li>
							</ul>
							<?php 
							if ( has_excerpt( get_the_ID()) ) {
								echo '<p>'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>';
							} else echo '<p>'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
							?>
						</div>
					</div>
					<?php 
				} else {
					if(($i==2)&&($i<=$count_query)) echo '<div class="square">'; ?>
					<div class="post-item">
						<div class="post-thumb">
							<a href="<?php the_permalink(); ?>">
								<?php echo get_the_post_thumbnail($post = null, $size= $small_img, $attr = ''); ?>
							</a>
						</div>
						<div class="post-info">
							<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
							<ul class="post-list-info">
								<li>
									<i class="ion-android-calendar"></i>
									<span><?php echo get_the_date(get_option('date_format')); ?></span>
								</li>
								<li>
									<a href="<?php echo esc_url( get_comments_link() ); ?>">
										<i class="ion-chatbox-working"></i>
										<span><?php comments_number( '0', '1', '%' ); ?></span>
									</a>
								</li>
							</ul>
						</div>
					</div>
					<?php 
				} $i++;
			} if($i>=2) echo '</div>';
			?>
		</div>
	</div>
	<?php
	break;
	/* End style10 - home3 */

	case 'style11':
	?>
	<div class="top-post-home3 color-border-top">
		<?php if(!empty($title)) { ?>
		<h2 class="color-title margin-b20"><a href="<?php echo esc_url($link); ?>"><?php echo esc_attr($title); ?></a></h2>
		<?php } ?>
		<div class="post-box">
			<?php
			while($query->have_posts()) {
				$query->the_post();
				?>
				<div class="post-item">
					<div class="post-thumb">
						<a href="<?php the_permalink(); ?>">
							<?php echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = ''); ?>
						</a>
					</div>
					<div class="post-info">
						<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>	
						<ul class="post-list-info">
							<li>
								<i class="ion-android-calendar"></i>
								<span><?php echo get_the_date(get_option('date_format')); ?></span>
							</li>
							<li>
								<a href="<?php echo esc_url( get_comments_link() ); ?>">
									<i class="ion-chatbox-working"></i>
									<span><?php comments_number( '0', '1', '%' ); ?></span>
								</a>
							</li>
						</ul>
					</div>
				</div>
				<?php
			} ?>
		</div>
	</div>
	<?php
	break;
	/* End style11 - home3 */

	case 'style12':
	?>
	<div class="cat-content-home4">
		<?php
		$i=1;
		while($query->have_posts()) {
			$query->the_post();
			if($i==1) {
				?>
				<div class="post-item white">
					<div class="post-thumb">
						<div class="list-cat-btn">
							<?php
							$post_id = get_the_ID();
							s7upf_list_cat_btn($post_id);
							?>
						</div>
						<div class="type-icon">
							<?php 
							$format = get_post_format();
							s7upf_post_format($format);
							?>
						</div>
						<a href="<?php the_permalink(); ?>">
							<?php echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = ''); ?>
						</a>
					</div>
					<div class="post-info white-sub">
						<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>	
						<ul class="post-list-info">
							<li>
								<i class="ion-android-calendar"></i>
								<span><?php echo get_the_date(get_option('date_format')); ?></span>
							</li>
							<li>
								<a href="<?php echo esc_url( get_comments_link() ); ?>">
									<i class="ion-chatbox-working"></i>
									<span><?php comments_number( '0', '1', '%' ); ?></span>
								</a>
							</li>
						</ul>
						<?php
						if ( has_excerpt( get_the_ID()) ) {
							echo '<p>'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>';
						} else echo '<p>'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
						?>
					</div>
				</div>
				<?php 
			} else { 
				if(($i==2) && ($i<=$count_query)) echo '<div class="home4-rlt1"><ul class="list-none">'; ?>
				<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
				<?php 
			}
			$i++;
		} if($i>=2) echo '</ul></div>'; ?>
	</div>
	<?php
	break;
	/* End style12 - home4 */

	case 'style13':
	?>
	<div class="post-box-home4">
		<?php
		$i=1;
		while($query->have_posts()) {
			$query->the_post();
			if($i==1) {
				?>
				<div class="post-item">
					<div class="post-thumb">
						<div class="list-cat-btn">
							<?php
							$post_id = get_the_ID();
							s7upf_list_cat_btn($post_id);
							?>
						</div>
						<div class="type-icon">
							<?php 
							$format = get_post_format();
							s7upf_post_format($format);
							?>
						</div>
						<a href="<?php the_permalink(); ?>">
							<?php echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = ''); ?>
						</a>
					</div>
					<div class="post-info">
						<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>	
						<ul class="post-list-info">
							<li>
								<i class="ion-android-calendar"></i>
								<span><?php echo get_the_date(get_option('date_format')); ?></span>
							</li>
							<li>
								<a href="<?php echo esc_url( get_comments_link() ); ?>">
									<i class="ion-chatbox-working"></i>
									<span><?php comments_number( '0', '1', '%' ); ?></span>
								</a>
							</li>
						</ul>
					</div>
				</div>
				<?php 
			} else { 
				if(($i==2) && ($i<=$count_query)) echo '<div class="home4-rlt2"><ul class="list-none">'; ?>
				<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
				<?php 
			}
			$i++;
		} if($i>=2) echo '</ul></div>'; ?>
	</div>
	<?php
	break;

	case 'style14':
	while($query->have_posts()) {
		$query->the_post();
		?>
		<div class="post-item white">
			<div class="post-thumb">
				<div class="video2">
					<span class="ion-play"></span>
				</div>
				
				<a href="<?php the_permalink(); ?>">
					<?php echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = ''); ?>
				</a>
			</div>
			<div class="post-info">
				<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
				<ul class="post-list-info">
					<li>
						<i class="ion-android-calendar"></i>
						<span><?php echo get_the_date(get_option('date_format')); ?></span>
					</li>
					<li>
						<a href="<?php echo esc_url( get_comments_link() ); ?>">
							<i class="ion-chatbox-working"></i>
							<span><?php comments_number( '0', '1', '%' ); ?></span>
						</a>
					</li>
				</ul>
				<?php if($show_excerpt=='on') {
					if ( has_excerpt( get_the_ID()) ) {
						echo '<p>'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>';
					} else echo '<p>'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
				} ?>
			</div>
			<div class="bottom-video">
				<video id="seccond-video" width="640" height="427" controls>
					<?php
					$data = '';
					if (get_post_meta(get_the_ID(), 'format_media', true)) {
						$media_url = get_post_meta(get_the_ID(), 'format_media', true);
						$data .='<div class="post-video">';
						$data .= s7upf_remove_w3c(wp_oembed_get($media_url));
						$data .='</div>';
					}
					?>
					<source src="" type="video/mp4" />
				</video>	
			</div>
		</div>

		<?php
	}
	break;

	case 'style15':
		?>

		<?php
		break;

	default:
	?>
	<div class="default-post-item">
		<?php if(!empty($title)) { ?>
		<div class="color-border-top">
			<h2 class="color-title margin-b20"><a href="<?php echo esc_url($link); ?>"><?php echo esc_attr($title); ?></a></h2>
		</div>
		<?php } ?>
		<div class="post-box post-grid">
			<?php
			while($query->have_posts()) {
				$query->the_post();
				?>
				<div class="post-item">
					<div class="post-thumb">
						<div class="list-cat-btn">
							<?php
							$post_id = get_the_ID();
							s7upf_list_cat_btn($post_id);
							?>
						</div>
						<div class="type-icon">
							<?php 
							$format = get_post_format();
							s7upf_post_format($format);
							?>
						</div>
						<a href="<?php the_permalink(); ?>">
							<?php echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = ''); ?>
						</a>
					</div>
					<div class="post-info">
						<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>	
						<ul class="post-list-info">
							<li>
								<i class="ion-android-calendar"></i>
								<span><?php echo get_the_date(get_option('date_format')); ?></span>
							</li>
							<li>
								<a href="<?php echo esc_url( get_comments_link() ); ?>">
									<i class="ion-chatbox-working"></i>
									<span><?php comments_number( '0', '1', '%' ); ?></span>
								</a>
							</li>
						</ul>
						<?php if($show_excerpt=='on') {
							if ( has_excerpt( get_the_ID()) ) {
								echo '<p>'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>';
							} else echo '<p>'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
						} ?>
						<?php if($show_post_by=='on') { 
							?>
							<ul class="include-info">
								<li class="post-by">
									<?php echo esc_html__('Post-by:', 'worldnews'); ?>
									<a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><?php the_author(); ?></a>
								</li>
							</ul>
							<?php 
						} ?>
					</div>
				</div>
				<?php
			}
			?>
		</div>
	</div>
	<?php
	break;
}