<?php
/**
 * Created by Sublime Text 3
 * User: 7uptheme
 * Date: 27/07/2017
 * Time: 16:01
 */
$image_size = s7upf_get_size_image('full',$image_size);
switch ($style){
	case 'style1':
	?>
	<div class="wrap-item <?php echo esc_attr($el_class); ?>" data-autoplay="<?php echo esc_attr($autoplay)?>" data-pagination="<?php echo esc_attr($pagination); ?>" data-paginumber="<?php echo esc_attr($pagination); ?>" data-navigation="<?php echo esc_attr($navigation); ?>" data-itemscustom="[[0,1],[992,<?php echo esc_attr($posts_per_page); ?>]]">
		<?php
		while($query->have_posts()) {
			$query->the_post();
			?>
			<div class="post-item">
				<div class="post-thumb">
					<div class="list-cat-btn">
						<?php
						$post_id = get_the_ID();
						s7upf_list_cat_btn($post_id);
						?>
					</div>
					<div class="type-icon">
						<?php 
						$format = get_post_format();
						s7upf_post_format($format);
						?>
					</div>
					<a href="<?php the_permalink(); ?>">
						<?php
						echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = '');
						?>
					</a>
				</div>
				<div class="slide-post-info">
					<a href="<?php the_permalink(); ?>"><b data-hover="<?php the_title(); ?>"><?php the_title(); ?></b></a>
					<ul class="post-list-info">
						<li>
							<i class="ion-android-calendar"></i>
							<span><?php echo get_the_date(get_option('date_format')); ?></span>
						</li>
						<li>
							<a href="<?php echo esc_url( get_comments_link() ); ?>">
								<i class="ion-chatbox-working"></i>
								<span><?php comments_number( '0', '1', '%' ); ?></span>
							</a>
						</li>
					</ul>
				</div>
			</div>			
			<?php
		}
		?>
	</div>
	<?php
	break;
	/* End style 1 */

	case 'style2':
	?>
	<div class="<?php echo esc_attr($el_class); ?> trending home-title ion-small">
		<h2 class="color-title"><a href="<?php echo esc_url($link); ?>"><?php echo esc_attr($title); ?></a></h2>
		<div class="wrap-item" data-autoplay="<?php echo esc_attr($autoplay)?>" data-pagination="<?php echo esc_attr($pagination); ?>" data-paginumber="<?php echo esc_attr($pagination); ?>"  data-navigation="<?php echo esc_attr($navigation); ?>" data-itemscustom="[[0,1]]">
			<?php
			$i=1;
			while($query->have_posts()) {
				$query->the_post();
				if(($i-1)%$posts_per_page == 0) echo '<div class="post-box">';
				?>
				<div class="post-item">
					<div class="post-thumb">
						<a href="<?php the_permalink(); ?>">
							<?php
							echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = '');
							?>
						</a>
					</div>
					<div class="post-info">
						<div class="list-cat-btn">
							<?php
							$post_id = get_the_ID();
							s7upf_primary_category($post_id);
							?>
						</div>
						<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
						<ul class="post-list-info">
							<li>
								<i class="ion-android-calendar"></i>
								<span><?php echo get_the_date(get_option('date_format')); ?></span>
							</li>
							<li>
								<a href="<?php echo esc_url( get_comments_link() ); ?>">
									<i class="ion-chatbox-working"></i>
									<span><?php comments_number( '0', '1', '%' ); ?></span>
								</a>
							</li>
						</ul>
					</div>
				</div>			
				<?php
				if($i%$posts_per_page==0) echo '</div>';
				$i=$i+1;
			}
			?>
		</div>
	</div>
	<?php
	break;
	/* End style 2 */

	case 'style3':
	?>
	<div class="feature-posts home-title color-border-bottom ion-small drop-shadow">
		<h2 class="color-title"><a href="<?php echo esc_url($link); ?>"><?php echo esc_attr($title); ?></a></h2>
		<div class="wrap-item" data-autoplay="<?php echo esc_attr($autoplay)?>" data-pagination="false" data-navigation="<?php echo esc_attr($navigation); ?>" data-itemscustom="[[0,1],[480,2],[768,3],[980,5]]">
			<?php
			while($query->have_posts()) {
				$query->the_post();
				?>
				<div class="post-item">
					<div class="post-thumb">
						<a href="<?php the_permalink(); ?>">
							<?php
							echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = '');
							?>
						</a>
					</div>
					<div class="post-info">
						<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
						<ul class="post-list-info">
							<li>
								<i class="ion-android-calendar"></i>
								<span><?php echo get_the_date(get_option('date_format')); ?></span>
							</li>
							<li>
								<a href="<?php echo esc_url( get_comments_link() ); ?>">
									<i class="ion-chatbox-working"></i>
									<span><?php comments_number( '0', '1', '%' ); ?></span>
								</a>
							</li>
						</ul>
					</div>
				</div>
				<?php 
			} ?>
		</div>
	</div>
	<?php
	break;
	/* End style 3 */

	case 'style4':
	?>
	<div class="home3-top-content <?php echo esc_attr($el_class); ?>">
		<div class="post-box ion-big">
			<div class="wrap-item" data-autoplay="<?php echo esc_attr($autoplay)?>" data-pagination="false" data-paginumber="false"  data-navigation="<?php echo esc_attr($navigation); ?>" data-itemscustom="[[0,1],[980,1]]">
				<?php
				while($query->have_posts()) {
					$query->the_post();
					?>
					<div class="post-item white first-post34">
						<div class="post-thumb">
							<div class="list-cat-btn">
								<?php
								$post_id = get_the_ID();
								s7upf_list_cat_btn($post_id);
								?>
							</div>
							<div class="type-icon">
								<?php 
								$format = get_post_format();
								s7upf_post_format($format);
								?>
							</div>
							<a href="<?php the_permalink(); ?>">
								<?php
								echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = '');
								?>
							</a>
						</div>
						<div class="post-info">
							<a href="<?php the_permalink(); ?>"><b data-hover="<?php the_title(); ?>"><?php the_title(); ?></b></a>
							<ul class="post-list-info">
								<li>
									<i class="ion-android-calendar"></i>
									<span><?php echo get_the_date(get_option('date_format')); ?></span>
								</li>
								<li>
									<a href="<?php echo esc_url( get_comments_link() ); ?>">
										<i class="ion-chatbox-working"></i>
										<span><?php comments_number( '0', '1', '%' ); ?></span>
									</a>
								</li>
							</ul>
							<?php 
							if ( has_excerpt( get_the_ID()) ) {
								echo '<p>'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>';
							} else echo '<p>'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
							?>
						</div>
					</div>
					<?php 
				} ?>
			</div>	
		</div>
	</div>
	<?php
	break;
	/* End style4 */

	case 'style5':
	?>
	<div class="home2-slider">
		<div class="wrap-item data-autoplay="<?php echo esc_attr($autoplay)?>" ion-big" data-pagination="false" data-navigation="true" data-itemscustom="[[0,1]]">
			<?php
			$i=1;
			while($query->have_posts()) {
				$query->the_post();
				?>
				<div class="slide-item">
					<div class="slide-thumb">
						<a href="<?php the_permalink(); ?>">
							<?php
							the_post_thumbnail();
							?>
						</a>
					</div>
					<div class="slide-content">
						<div class="container">
							<div class="slide-info col-md-6">
								<div class="list-cat-btn">
									<?php
									$post_id = get_the_ID();
									s7upf_list_cat_btn($post_id);
									?>
								</div>
								<div class="type-icon">
									<?php 
									$format = get_post_format();
									s7upf_post_format($format);
									?>
								</div>
								<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
								<ul class="post-list-info">
									<li>
										<i class="ion-android-calendar"></i>
										<span><?php echo get_the_date(get_option('date_format')); ?></span>
									</li>
									<li>
										<a href="<?php echo esc_url( get_comments_link() ); ?>">
											<i class="ion-chatbox-working"></i>
											<span><?php comments_number( '0', '1', '%' ); ?></span>
										</a>
									</li>
								</ul>
							</div>
							<div class="clearfix"></div>
							<div class="related-slide">
								<div class="post-box row">
									<?php
									global $post;
									$related = get_posts( array( 'category__in' => wp_get_post_categories($post->ID), 'numberposts' => 4, 'post__not_in' => array($post->ID) ) );
									if($related) {
										foreach( $related as $post ){ setup_postdata($post);
											?>
											<div class="post-item col-sm-3">
												<div class="post-info">
													<div class="list-cat-btn">
														<?php
														$post_id = get_the_ID();
														s7upf_list_cat_btn($post_id);
														?>
													</div>
													<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
													<ul class="post-list-info">
														<li>
															<i class="ion-android-calendar"></i>
															<span><?php echo get_the_date(get_option('date_format')); ?></span>
														</li>
														<li>
															<a href="<?php echo esc_url( get_comments_link() ); ?>">
																<i class="ion-chatbox-working"></i>
																<span><?php comments_number( '0', '1', '%' ); ?></span>
															</a>
														</li>
													</ul>
												</div>
											</div>
											<?php 
										}
									}
									wp_reset_query();
									?>
								</div>
							</div>
						</div>							
					</div>						
				</div>
				<?php 
			} ?>
		</div>
	</div>
	<?php
	break;
	/* End style 5 */

	case 'style6':
	?>
	<div class="ion-small">
		<span class="mega-menu-title"><?php echo esc_attr($title); ?></span>
		<div class="wrap-item" data-autoplay="<?php echo esc_attr($autoplay)?>" data-pagination="false" data-navigation="true" data-itemscustom="[[0,1],[768,3]]">
			<?php
			while($query->have_posts()) {
				$query->the_post();
				?>
				<div class="post-item">
					<div class="post-thumb">
						<a href="<?php the_permalink(); ?>">
							<?php
							echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = '');
							?>
						</a>
					</div>
					<div class="post-info">
						<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
						<ul class="post-list-info">
							<li>
								<i class="ion-android-calendar"></i>
								<span><?php echo get_the_date(get_option('date_format')); ?></span>
							</li>
							<li>
								<a href="<?php echo esc_url( get_comments_link() ); ?>">
									<i class="ion-chatbox-working"></i>
									<span><?php comments_number( '0', '1', '%' ); ?></span>
								</a>
							</li>
						</ul>
						<?php 
						if ( has_excerpt( get_the_ID()) ) {
							echo '<p>'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>';
						} else echo '<p>'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
						?>
					</div>
				</div>
				<?php 
			} ?>
		</div>
	</div>
	<?php
	break;

	case 'style7':
	?>
	<div class="ion-big <?php echo esc_attr($el_class); ?>">
		<div class="wrap-item" data-autoplay="<?php echo esc_attr($autoplay)?>" data-pagination="false" data-paginumber="false"  data-navigation="true" data-itemscustom="[[0,1],[980,1]]">
			<?php
			while($query->have_posts()) {
				$query->the_post();
				?>
				<div class="post-item white first-post34">
					<div class="post-thumb">
						<div class="list-cat-btn">
							<?php
							$post_id = get_the_ID();
							s7upf_list_cat_btn($post_id);
							?>
						</div>
						<div class="type-icon">
							<?php 
							$format = get_post_format();
							s7upf_post_format($format);
							?>
						</div>
						<a href="<?php the_permalink(); ?>">
							<?php
							echo get_the_post_thumbnail($post = null, $size= $image_size, $attr = '');
							?>
						</a>
					</div>
					<div class="post-info">
						<div class="center-info-content">
							<a href="<?php the_permalink(); ?>"><b><?php the_title(); ?></b></a>
							<ul class="post-list-info">
								<li>
									<i class="ion-android-calendar"></i>
									<span><?php echo get_the_date(get_option('date_format')); ?></span>
								</li>
								<li>
									<a href="<?php echo esc_url( get_comments_link() ); ?>">
										<i class="ion-chatbox-working"></i>
										<span><?php comments_number( '0', '1', '%' ); ?></span>
									</a>
								</li>
							</ul>
							<?php 
							if ( has_excerpt( get_the_ID()) ) {
								echo '<p>'.balanceTags(wp_trim_words( get_the_excerpt(), $sv_excerpt , '...' ), true).'</p>';
							} else echo '<p>'.balanceTags(wp_trim_words( get_the_content(), $sv_excerpt , '...'), true).'</p>'; 
							?>
						</div>
					</div>
				</div>
				<?php 
			} ?>
		</div>	
	</div>
	<?php
	break;

	default:
	$button_class = S7upf_Assets::build_css('background-color: '.$button_bg.';');
	?>
	<div class="breaking-news">
		<button class="<?php echo esc_attr($button_class); ?>"><?php echo esc_attr($title); ?></button>
		<div class="carousel slide" data-ride="carousel">
			<ul class="carousel-inner" role="listbox">
				<?php
				$i = 0;
				while($query->have_posts()) {
					$query->the_post();
					?>
					<li class="carousel-item item <?php if($i==0) echo 'active'; ?>"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
					<?php 
					$i++;
				} ?>
			</ul>								
		</div>
	</div>
	<?php
	break;
}