<?php
$data = '';
$gallery = get_post_meta(get_the_ID(), 'format_gallery', true);
if (!empty($gallery)){
    $array = explode(',', $gallery);
    if(is_array($array) && !empty($array)){
        
        $data .= '<div class="listing-slider ion-big margin-b20">
            <div class="wrap-item" data-pagination="false" data-paginumber="false"  data-navigation="true" data-itemscustom="[[0,1],[980,1]]">';
        foreach ($array as $key => $item) {
            $thumbnail_url = wp_get_attachment_url($item);
            $data .='<div class="image-slider">';
            $data .= '<img src="' . esc_url($thumbnail_url) . '" alt="image-slider">';           
            $data .= '</div>';
        }
        $data .='</div></div>';
    }
}
?>
<div class="post-content <?php echo (is_sticky()) ? 'sticky':''?>">
    <?php if(!empty($data)) echo balanceTags($data);?>
    <div class="main-post-content margin-b30">
        <div class="post-item border-bottom">
            <div class="post-info">
                <h1 class="title18 margin-b20">
                    <a href="<?php the_permalink(); ?>"><?php the_title()?></a>
                    <?php echo (is_sticky()) ? '<i class="fa fa-thumb-tack"></i>':''?>
                </h1>
                <ul class="post-list-info">
                    <li>
                        <i class="ion-android-calendar"></i>
                        <span><?php echo get_the_date(get_option('date_format')); ?></span>
                    </li>
                    <li>
                        <a href="<?php echo esc_url( get_comments_link() ); ?>">
                            <i class="ion-chatbox-working"></i>
                            <span><?php comments_number( '0', '1', '%' ); ?></span>
                        </a>
                    </li>
                    <li class="post-cat">
                        <?php 
                        esc_html_e( 'Category:', 'worldnews' );
                        the_category();
                        ?>
                    </li>
                </ul>
            </div>
        </div>
        <?php if(has_excerpt()) {?>            
        <div class="desc margin-b20"><?php the_excerpt(); ?></div>
        <?php } ?>
        <div class="post-detail margin-b30"><?php the_content(); ?></div>
    </div>
</div>