<?php
$data = '';
$data_media = get_post_meta(get_the_ID(), 'format_media', true);
$video_format = array('.mp4','.ogg','.webm','.MP4','.Ogg','WebM');
$check_format = false;
foreach ($video_format as $key => $value) {
    $check_format = strpos($data_media, $value);
    if ($check_format !== false)
        break;
}
if($check_format !== false) {
    $data .= '<div class="media-video-blog media_single ">';
    $data .= '<video class="video_host_media" controls> <source src="'.esc_url($data_media).'"></video>';
    $data .= '</div>';
}else{
    $data .= '<div class="media-video-blog media_single">';
    $data .= s7upf_remove_w3c(wp_oembed_get($data_media));
    $data .= '</div>';
}
?>
<div class="post-content <?php echo (is_sticky()) ? 'sticky':''?>">
    <?php if(!empty($data)) echo balanceTags($data);?>
    <div class="main-post-content margin-b30">
        <div class="post-item border-bottom">
            <div class="post-info">
                <h1 class="title18 margin-b20">
                    <a href="<?php the_permalink(); ?>"><?php the_title()?></a>
                    <?php echo (is_sticky()) ? '<i class="fa fa-thumb-tack"></i>':''?>
                </h1>
                <ul class="post-list-info">
                    <li>
                        <i class="ion-android-calendar"></i>
                        <span><?php echo get_the_date(get_option('date_format')); ?></span>
                    </li>
                    <li>
                        <a href="<?php echo esc_url( get_comments_link() ); ?>">
                            <i class="ion-chatbox-working"></i>
                            <span><?php comments_number( '0', '1', '%' ); ?></span>
                        </a>
                    </li>
                    <li class="post-cat">
                        <?php 
                        esc_html_e( 'Category:', 'worldnews' );
                        the_category();
                        ?>
                    </li>
                </ul>
            </div>
        </div>
        <?php if(has_excerpt()) {?>            
        <div class="desc margin-b20"><?php the_excerpt(); ?></div>
        <?php } ?>
        <div class="post-detail margin-b30"><?php the_content(); ?></div>
    </div>
</div>